#!/usr/bin/env python

#
# Generated Mon Dec  8 08:01:43 2008 by generateDS.py.
#

import sys
import getopt
from string import lower as str_lower
from xml.dom import minidom
from xml.dom import Node

#
# If you have installed IPython you can uncomment and use the following.
# IPython is available from http://ipython.scipy.org/.
#

## from IPython.Shell import IPShellEmbed
## args = ''
## ipshell = IPShellEmbed(args,
##     banner = 'Dropping into IPython',
##     exit_msg = 'Leaving Interpreter, back to program.')

# Then use the following line where and when you want to drop into the
# IPython shell:
#    ipshell('<some message> -- Entering ipshell.\nHit Ctrl-D to exit')

#
# Support/utility functions.
#

def showIndent(outfile, level):
    for idx in range(level):
        outfile.write('    ')

def quote_xml(inStr):
    s1 = (isinstance(inStr, basestring) and inStr or
          '%s' % inStr)
    s1 = s1.replace('&', '&amp;')
    s1 = s1.replace('<', '&lt;')
    s1 = s1.replace('>', '&gt;')
    return s1

def quote_attrib(inStr):
    s1 = (isinstance(inStr, basestring) and inStr or
          '%s' % inStr)
    s1 = s1.replace('&', '&amp;')
    s1 = s1.replace('"', '&quot;')
    s1 = s1.replace('<', '&lt;')
    s1 = s1.replace('>', '&gt;')
    return s1

def quote_python(inStr):
    s1 = inStr
    if s1.find("'") == -1:
        if s1.find('\n') == -1:
            return "'%s'" % s1
        else:
            return "'''%s'''" % s1
    else:
        if s1.find('"') != -1:
            s1 = s1.replace('"', '\\"')
        if s1.find('\n') == -1:
            return '"%s"' % s1
        else:
            return '"""%s"""' % s1


class MixedContainer:
    # Constants for category:
    CategoryNone = 0
    CategoryText = 1
    CategorySimple = 2
    CategoryComplex = 3
    # Constants for content_type:
    TypeNone = 0
    TypeText = 1
    TypeString = 2
    TypeInteger = 3
    TypeFloat = 4
    TypeDecimal = 5
    TypeDouble = 6
    TypeBoolean = 7
    def __init__(self, category, content_type, name, value):
        self.category = category
        self.content_type = content_type
        self.name = name
        self.value = value
    def getCategory(self):
        return self.category
    def getContenttype(self, content_type):
        return self.content_type
    def getValue(self):
        return self.value
    def getName(self):
        return self.name
    def export(self, outfile, level, name):
        if self.category == MixedContainer.CategoryText:
            outfile.write(self.value)
        elif self.category == MixedContainer.CategorySimple:
            self.exportSimple(outfile, level, name)
        else:    # category == MixedContainer.CategoryComplex
            self.value.export(outfile, level, name)
    def exportSimple(self, outfile, level, name):
        if self.content_type == MixedContainer.TypeString:
            outfile.write('<%s>%s</%s>' % (self.name, self.value, self.name))
        elif self.content_type == MixedContainer.TypeInteger or \
                self.content_type == MixedContainer.TypeBoolean:
            outfile.write('<%s>%d</%s>' % (self.name, self.value, self.name))
        elif self.content_type == MixedContainer.TypeFloat or \
                self.content_type == MixedContainer.TypeDecimal:
            outfile.write('<%s>%f</%s>' % (self.name, self.value, self.name))
        elif self.content_type == MixedContainer.TypeDouble:
            outfile.write('<%s>%g</%s>' % (self.name, self.value, self.name))
    def exportLiteral(self, outfile, level, name):
        if self.category == MixedContainer.CategoryText:
            showIndent(outfile, level)
            outfile.write('MixedContainer(%d, %d, "%s", "%s"),\n' % \
                (self.category, self.content_type, self.name, self.value))
        elif self.category == MixedContainer.CategorySimple:
            showIndent(outfile, level)
            outfile.write('MixedContainer(%d, %d, "%s", "%s"),\n' % \
                (self.category, self.content_type, self.name, self.value))
        else:    # category == MixedContainer.CategoryComplex
            showIndent(outfile, level)
            outfile.write('MixedContainer(%d, %d, "%s",\n' % \
                (self.category, self.content_type, self.name,))
            self.value.exportLiteral(outfile, level + 1)
            showIndent(outfile, level)
            outfile.write(')\n')


class _MemberSpec(object):
    def __init__(self, name='', data_type='', container=0):
        self.name = name
        self.data_type = data_type
        self.container = container
    def set_name(self, name): self.name = name
    def get_name(self): return self.name
    def set_data_type(self, data_type): self.data_type = data_type
    def get_data_type(self): return self.data_type
    def set_container(self, container): self.container = container
    def get_container(self): return self.container


#
# Data representation classes.
#

class RestoreTaskResult:
    subclass = None
    superclass = None
    def __init__(self, conflicts_description=None, dump_validity_error=None, dump_overview=None):
        self.conflicts_description = conflicts_description
        if dump_validity_error is None:
            self.dump_validity_error = []
        else:
            self.dump_validity_error = dump_validity_error
        self.dump_overview = dump_overview
    def factory(*args_, **kwargs_):
        if RestoreTaskResult.subclass:
            return RestoreTaskResult.subclass(*args_, **kwargs_)
        else:
            return RestoreTaskResult(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_conflicts_description(self): return self.conflicts_description
    def set_conflicts_description(self, conflicts_description): self.conflicts_description = conflicts_description
    def get_dump_validity_error(self): return self.dump_validity_error
    def set_dump_validity_error(self, dump_validity_error): self.dump_validity_error = dump_validity_error
    def add_dump_validity_error(self, value): self.dump_validity_error.append(value)
    def insert_dump_validity_error(self, index, value): self.dump_validity_error[index] = value
    def validate_DumpValidityError(self, value):
        # validate type DumpValidityError
        pass
    def get_dump_overview(self): return self.dump_overview
    def set_dump_overview(self, dump_overview): self.dump_overview = dump_overview
    def export(self, outfile, level, namespace_='', name_='RestoreTaskResult'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='RestoreTaskResult')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='RestoreTaskResult'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='RestoreTaskResult'):
        if self.conflicts_description:
            self.conflicts_description.export(outfile, level, namespace_, name_='conflicts-description', )
        for dump_validity_error_ in self.get_dump_validity_error():
            dump_validity_error_.export(outfile, level, namespace_, name_='dump-validity-error')
        if self.dump_overview:
            self.dump_overview.export(outfile, level, namespace_, name_='dump-overview', )
    def exportLiteral(self, outfile, level, name_='RestoreTaskResult'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        if self.conflicts_description:
            showIndent(outfile, level)
            outfile.write('conflicts_description=ConflictsDescription(\n')
            self.conflicts_description.exportLiteral(outfile, level, name_='conflicts_description')
            showIndent(outfile, level)
            outfile.write('),\n')
        showIndent(outfile, level)
        outfile.write('dump_validity_error=[\n')
        level += 1
        for dump_validity_error in self.dump_validity_error:
            showIndent(outfile, level)
            outfile.write('DumpValidityError(\n')
            dump_validity_error.exportLiteral(outfile, level, name_='dump_validity_error')
            showIndent(outfile, level)
            outfile.write('),\n')
        level -= 1
        showIndent(outfile, level)
        outfile.write('],\n')
        if self.dump_overview:
            showIndent(outfile, level)
            outfile.write('dump_overview=DumpOverview(\n')
            self.dump_overview.exportLiteral(outfile, level, name_='dump_overview')
            showIndent(outfile, level)
            outfile.write('),\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'conflicts-description':
            obj_ = ConflictsDescription.factory()
            obj_.build(child_)
            self.set_conflicts_description(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'dump-validity-error':
            obj_ = DumpValidityError.factory()
            obj_.build(child_)
            self.dump_validity_error.append(obj_)
            self.validate_DumpValidityError(self.dump_validity_error)    # validate type DumpValidityError
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'dump-overview':
            obj_ = DumpOverview.factory()
            obj_.build(child_)
            self.set_dump_overview(obj_)
# end class RestoreTaskResult


class DumpValidityError:
    subclass = None
    superclass = None
    def __init__(self, typexx='', valueOf_=''):
        self.typexx = typexx
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if DumpValidityError.subclass:
            return DumpValidityError.subclass(*args_, **kwargs_)
        else:
            return DumpValidityError(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_type(self): return self.typexx
    def set_type(self, typexx): self.typexx = typexx
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='DumpValidityError'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='DumpValidityError')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='DumpValidityError'):
        if self.get_type() is not None:
            outfile.write(' type="%s"' % (quote_attrib(self.get_type()), ))
    def exportChildren(self, outfile, level, namespace_='', name_='DumpValidityError'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='DumpValidityError'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('typexx = "%s",\n' % (self.get_type(),))
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('type'):
            self.typexx = attrs.get('type').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class DumpValidityError


class ResourceUsageReasonDescription:
    subclass = None
    superclass = None
    def __init__(self, resource_class='', requested_value='', resource_type='', available_value='', plesk_object_identifier=None):
        self.resource_class = resource_class
        self.requested_value = requested_value
        self.resource_type = resource_type
        self.available_value = available_value
        self.plesk_object_identifier = plesk_object_identifier
    def factory(*args_, **kwargs_):
        if ResourceUsageReasonDescription.subclass:
            return ResourceUsageReasonDescription.subclass(*args_, **kwargs_)
        else:
            return ResourceUsageReasonDescription(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_plesk_object_identifier(self): return self.plesk_object_identifier
    def set_plesk_object_identifier(self, plesk_object_identifier): self.plesk_object_identifier = plesk_object_identifier
    def get_resource_class(self): return self.resource_class
    def set_resource_class(self, resource_class): self.resource_class = resource_class
    def get_requested_value(self): return self.requested_value
    def set_requested_value(self, requested_value): self.requested_value = requested_value
    def get_resource_type(self): return self.resource_type
    def set_resource_type(self, resource_type): self.resource_type = resource_type
    def get_available_value(self): return self.available_value
    def set_available_value(self, available_value): self.available_value = available_value
    def export(self, outfile, level, namespace_='', name_='ResourceUsageReasonDescription'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='ResourceUsageReasonDescription')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='ResourceUsageReasonDescription'):
        if self.get_resource_class() is not None:
            outfile.write(' resource-class="%s"' % (quote_attrib(self.get_resource_class()), ))
        if self.get_requested_value() is not None:
            outfile.write(' requested-value="%s"' % (quote_attrib(self.get_requested_value()), ))
        if self.get_resource_type() is not None:
            outfile.write(' resource-type="%s"' % (quote_attrib(self.get_resource_type()), ))
        if self.get_available_value() is not None:
            outfile.write(' available-value="%s"' % (quote_attrib(self.get_available_value()), ))
    def exportChildren(self, outfile, level, namespace_='', name_='ResourceUsageReasonDescription'):
        if self.get_plesk_object_identifier() != None :
            if self.plesk_object_identifier:
                self.plesk_object_identifier.export(outfile, level, namespace_, name_='plesk-object-identifier')
    def exportLiteral(self, outfile, level, name_='ResourceUsageReasonDescription'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('resource_class = "%s",\n' % (self.get_resource_class(),))
        showIndent(outfile, level)
        outfile.write('requested_value = "%s",\n' % (self.get_requested_value(),))
        showIndent(outfile, level)
        outfile.write('resource_type = "%s",\n' % (self.get_resource_type(),))
        showIndent(outfile, level)
        outfile.write('available_value = "%s",\n' % (self.get_available_value(),))
    def exportLiteralChildren(self, outfile, level, name_):
        if self.plesk_object_identifier:
            showIndent(outfile, level)
            outfile.write('plesk_object_identifier=PleskObjectIdentifier(\n')
            self.plesk_object_identifier.exportLiteral(outfile, level, name_='plesk_object_identifier')
            showIndent(outfile, level)
            outfile.write('),\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('resource-class'):
            self.resource_class = attrs.get('resource-class').value
        if attrs.get('requested-value'):
            self.requested_value = attrs.get('requested-value').value
        if attrs.get('resource-type'):
            self.resource_type = attrs.get('resource-type').value
        if attrs.get('available-value'):
            self.available_value = attrs.get('available-value').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'plesk-object-identifier':
            obj_ = PleskObjectIdentifier.factory()
            obj_.build(child_)
            self.set_plesk_object_identifier(obj_)
# end class ResourceUsageReasonDescription


class UniqueResourceReasonDescription:
    subclass = None
    superclass = None
    def __init__(self, resource_class='', resource_type='', value='', plesk_object_identifier=None):
        self.resource_class = resource_class
        self.resource_type = resource_type
        self.value = value
        self.plesk_object_identifier = plesk_object_identifier
    def factory(*args_, **kwargs_):
        if UniqueResourceReasonDescription.subclass:
            return UniqueResourceReasonDescription.subclass(*args_, **kwargs_)
        else:
            return UniqueResourceReasonDescription(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_plesk_object_identifier(self): return self.plesk_object_identifier
    def set_plesk_object_identifier(self, plesk_object_identifier): self.plesk_object_identifier = plesk_object_identifier
    def get_resource_class(self): return self.resource_class
    def set_resource_class(self, resource_class): self.resource_class = resource_class
    def get_resource_type(self): return self.resource_type
    def set_resource_type(self, resource_type): self.resource_type = resource_type
    def get_value(self): return self.value
    def set_value(self, value): self.value = value
    def export(self, outfile, level, namespace_='', name_='UniqueResourceReasonDescription'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='UniqueResourceReasonDescription')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='UniqueResourceReasonDescription'):
        if self.get_resource_class() is not None:
            outfile.write(' resource-class="%s"' % (quote_attrib(self.get_resource_class()), ))
        if self.get_resource_type() is not None:
            outfile.write(' resource-type="%s"' % (quote_attrib(self.get_resource_type()), ))
        if self.get_value() is not None:
            outfile.write(' value="%s"' % (quote_attrib(self.get_value()), ))
    def exportChildren(self, outfile, level, namespace_='', name_='UniqueResourceReasonDescription'):
        if self.get_plesk_object_identifier() != None :
            if self.plesk_object_identifier:
                self.plesk_object_identifier.export(outfile, level, namespace_, name_='plesk-object-identifier')
    def exportLiteral(self, outfile, level, name_='UniqueResourceReasonDescription'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('resource_class = "%s",\n' % (self.get_resource_class(),))
        showIndent(outfile, level)
        outfile.write('resource_type = "%s",\n' % (self.get_resource_type(),))
        showIndent(outfile, level)
        outfile.write('value = "%s",\n' % (self.get_value(),))
    def exportLiteralChildren(self, outfile, level, name_):
        if self.plesk_object_identifier:
            showIndent(outfile, level)
            outfile.write('plesk_object_identifier=PleskObjectIdentifier(\n')
            self.plesk_object_identifier.exportLiteral(outfile, level, name_='plesk_object_identifier')
            showIndent(outfile, level)
            outfile.write('),\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('resource-class'):
            self.resource_class = attrs.get('resource-class').value
        if attrs.get('resource-type'):
            self.resource_type = attrs.get('resource-type').value
        if attrs.get('value'):
            self.value = attrs.get('value').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'plesk-object-identifier':
            obj_ = PleskObjectIdentifier.factory()
            obj_.build(child_)
            self.set_plesk_object_identifier(obj_)
# end class UniqueResourceReasonDescription


class TimingReasonDescription:
    subclass = None
    superclass = None
    def __init__(self, plesk_owner_guid='', backup_owner_guid='', plesk_object_identifier=None):
        self.plesk_owner_guid = plesk_owner_guid
        self.backup_owner_guid = backup_owner_guid
        self.plesk_object_identifier = plesk_object_identifier
    def factory(*args_, **kwargs_):
        if TimingReasonDescription.subclass:
            return TimingReasonDescription.subclass(*args_, **kwargs_)
        else:
            return TimingReasonDescription(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_plesk_object_identifier(self): return self.plesk_object_identifier
    def set_plesk_object_identifier(self, plesk_object_identifier): self.plesk_object_identifier = plesk_object_identifier
    def get_plesk_owner_guid(self): return self.plesk_owner_guid
    def set_plesk_owner_guid(self, plesk_owner_guid): self.plesk_owner_guid = plesk_owner_guid
    def get_backup_owner_guid(self): return self.backup_owner_guid
    def set_backup_owner_guid(self, backup_owner_guid): self.backup_owner_guid = backup_owner_guid
    def export(self, outfile, level, namespace_='', name_='TimingReasonDescription'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='TimingReasonDescription')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='TimingReasonDescription'):
        if self.get_plesk_owner_guid() is not None:
            outfile.write(' plesk-owner-guid="%s"' % (quote_attrib(self.get_plesk_owner_guid()), ))
        if self.get_backup_owner_guid() is not None:
            outfile.write(' backup-owner-guid="%s"' % (quote_attrib(self.get_backup_owner_guid()), ))
    def exportChildren(self, outfile, level, namespace_='', name_='TimingReasonDescription'):
        if self.get_plesk_object_identifier() != None :
            if self.plesk_object_identifier:
                self.plesk_object_identifier.export(outfile, level, namespace_, name_='plesk-object-identifier')
    def exportLiteral(self, outfile, level, name_='TimingReasonDescription'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('plesk_owner_guid = "%s",\n' % (self.get_plesk_owner_guid(),))
        showIndent(outfile, level)
        outfile.write('backup_owner_guid = "%s",\n' % (self.get_backup_owner_guid(),))
    def exportLiteralChildren(self, outfile, level, name_):
        if self.plesk_object_identifier:
            showIndent(outfile, level)
            outfile.write('plesk_object_identifier=PleskObjectIdentifier(\n')
            self.plesk_object_identifier.exportLiteral(outfile, level, name_='plesk_object_identifier')
            showIndent(outfile, level)
            outfile.write('),\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('plesk-owner-guid'):
            self.plesk_owner_guid = attrs.get('plesk-owner-guid').value
        if attrs.get('backup-owner-guid'):
            self.backup_owner_guid = attrs.get('backup-owner-guid').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'plesk-object-identifier':
            obj_ = PleskObjectIdentifier.factory()
            obj_.build(child_)
            self.set_plesk_object_identifier(obj_)
# end class TimingReasonDescription


class ConfigurationReasonDescription:
    subclass = None
    superclass = None
    def __init__(self, required_resource_description=None, plesk_object_identifier=None):
        self.required_resource_description = required_resource_description
        if plesk_object_identifier is None:
            self.plesk_object_identifier = []
        else:
            self.plesk_object_identifier = plesk_object_identifier
    def factory(*args_, **kwargs_):
        if ConfigurationReasonDescription.subclass:
            return ConfigurationReasonDescription.subclass(*args_, **kwargs_)
        else:
            return ConfigurationReasonDescription(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_required_resource_description(self): return self.required_resource_description
    def set_required_resource_description(self, required_resource_description): self.required_resource_description = required_resource_description
    def get_plesk_object_identifier(self): return self.plesk_object_identifier
    def set_plesk_object_identifier(self, plesk_object_identifier): self.plesk_object_identifier = plesk_object_identifier
    def add_plesk_object_identifier(self, value): self.plesk_object_identifier.append(value)
    def insert_plesk_object_identifier(self, index, value): self.plesk_object_identifier[index] = value
    def export(self, outfile, level, namespace_='', name_='ConfigurationReasonDescription'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='ConfigurationReasonDescription')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='ConfigurationReasonDescription'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='ConfigurationReasonDescription'):
        if self.required_resource_description:
            self.required_resource_description.export(outfile, level, namespace_, name_='required-resource-description', )
        for plesk_object_identifier_ in self.get_plesk_object_identifier():
            plesk_object_identifier_.export(outfile, level, namespace_, name_='plesk-object-identifier')
    def exportLiteral(self, outfile, level, name_='ConfigurationReasonDescription'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        if self.required_resource_description:
            showIndent(outfile, level)
            outfile.write('required_resource_description=RequiredResourceDescription(\n')
            self.required_resource_description.exportLiteral(outfile, level, name_='required_resource_description')
            showIndent(outfile, level)
            outfile.write('),\n')
        showIndent(outfile, level)
        outfile.write('plesk_object_identifier=[\n')
        level += 1
        for plesk_object_identifier in self.plesk_object_identifier:
            showIndent(outfile, level)
            outfile.write('PleskObjectIdentifier(\n')
            plesk_object_identifier.exportLiteral(outfile, level, name_='plesk_object_identifier')
            showIndent(outfile, level)
            outfile.write('),\n')
        level -= 1
        showIndent(outfile, level)
        outfile.write('],\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'required-resource-description':
            obj_ = RequiredResourceDescription.factory()
            obj_.build(child_)
            self.set_required_resource_description(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'plesk-object-identifier':
            obj_ = PleskObjectIdentifier.factory()
            obj_.build(child_)
            self.plesk_object_identifier.append(obj_)
# end class ConfigurationReasonDescription


class RequiredResourceDescription:
    subclass = None
    superclass = None
    def __init__(self, ip=None, database=None, db_server=None, site_app=None):
        self.ip = ip
        self.database = database
        self.db_server = db_server
        self.site_app = site_app
    def factory(*args_, **kwargs_):
        if RequiredResourceDescription.subclass:
            return RequiredResourceDescription.subclass(*args_, **kwargs_)
        else:
            return RequiredResourceDescription(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_ip(self): return self.ip
    def set_ip(self, ip): self.ip = ip
    def get_database(self): return self.database
    def set_database(self, database): self.database = database
    def get_db_server(self): return self.db_server
    def set_db_server(self, db_server): self.db_server = db_server
    def get_site_app(self): return self.site_app
    def set_site_app(self, site_app): self.site_app = site_app
    def export(self, outfile, level, namespace_='', name_='RequiredResourceDescription'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='RequiredResourceDescription')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='RequiredResourceDescription'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='RequiredResourceDescription'):
        if self.ip:
            self.ip.export(outfile, level, namespace_, name_='ip', )
        if self.database:
            self.database.export(outfile, level, namespace_, name_='database', )
        if self.db_server:
            self.db_server.export(outfile, level, namespace_, name_='db-server', )
        if self.site_app:
            self.site_app.export(outfile, level, namespace_, name_='site-app', )
    def exportLiteral(self, outfile, level, name_='RequiredResourceDescription'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        if self.ip:
            showIndent(outfile, level)
            outfile.write('ip=Ip(\n')
            self.ip.exportLiteral(outfile, level, name_='ip')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.database:
            showIndent(outfile, level)
            outfile.write('database=Database(\n')
            self.database.exportLiteral(outfile, level, name_='database')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.db_server:
            showIndent(outfile, level)
            outfile.write('db_server=DbServer(\n')
            self.db_server.exportLiteral(outfile, level, name_='db_server')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.site_app:
            showIndent(outfile, level)
            outfile.write('site_app=SiteApp(\n')
            self.site_app.exportLiteral(outfile, level, name_='site_app')
            showIndent(outfile, level)
            outfile.write('),\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ip':
            obj_ = Ip.factory()
            obj_.build(child_)
            self.set_ip(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'database':
            obj_ = Database.factory()
            obj_.build(child_)
            self.set_database(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'db-server':
            obj_ = DbServer.factory()
            obj_.build(child_)
            self.set_db_server(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'site-app':
            obj_ = SiteApp.factory()
            obj_.build(child_)
            self.set_site_app(obj_)
# end class RequiredResourceDescription


class Ip:
    subclass = None
    superclass = None
    def __init__(self, typexx='', value='', valueOf_=''):
        self.typexx = typexx
        self.value = value
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if Ip.subclass:
            return Ip.subclass(*args_, **kwargs_)
        else:
            return Ip(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_type(self): return self.typexx
    def set_type(self, typexx): self.typexx = typexx
    def get_value(self): return self.value
    def set_value(self, value): self.value = value
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='Ip'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='Ip')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='Ip'):
        if self.get_type() is not None:
            outfile.write(' type="%s"' % (quote_attrib(self.get_type()), ))
        if self.get_value() is not None:
            outfile.write(' value="%s"' % (quote_attrib(self.get_value()), ))
    def exportChildren(self, outfile, level, namespace_='', name_='Ip'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='Ip'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('typexx = "%s",\n' % (self.get_type(),))
        showIndent(outfile, level)
        outfile.write('value = "%s",\n' % (self.get_value(),))
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('type'):
            self.typexx = attrs.get('type').value
        if attrs.get('value'):
            self.value = attrs.get('value').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class Ip


class Database:
    subclass = None
    superclass = None
    def __init__(self, typexx='', name='', valueOf_=''):
        self.typexx = typexx
        self.name = name
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if Database.subclass:
            return Database.subclass(*args_, **kwargs_)
        else:
            return Database(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_type(self): return self.typexx
    def set_type(self, typexx): self.typexx = typexx
    def get_name(self): return self.name
    def set_name(self, name): self.name = name
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='Database'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='Database')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='Database'):
        if self.get_type() is not None:
            outfile.write(' type="%s"' % (quote_attrib(self.get_type()), ))
        if self.get_name() is not None:
            outfile.write(' name="%s"' % (quote_attrib(self.get_name()), ))
    def exportChildren(self, outfile, level, namespace_='', name_='Database'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='Database'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('typexx = "%s",\n' % (self.get_type(),))
        showIndent(outfile, level)
        outfile.write('name = "%s",\n' % (self.get_name(),))
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('type'):
            self.typexx = attrs.get('type').value
        if attrs.get('name'):
            self.name = attrs.get('name').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class Database


class DbServer:
    subclass = None
    superclass = None
    def __init__(self, host='', typexx='', port='', valueOf_=''):
        self.host = host
        self.typexx = typexx
        self.port = port
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if DbServer.subclass:
            return DbServer.subclass(*args_, **kwargs_)
        else:
            return DbServer(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_host(self): return self.host
    def set_host(self, host): self.host = host
    def get_type(self): return self.typexx
    def set_type(self, typexx): self.typexx = typexx
    def get_port(self): return self.port
    def set_port(self, port): self.port = port
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='DbServer'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='DbServer')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='DbServer'):
        if self.get_host() is not None:
            outfile.write(' host="%s"' % (quote_attrib(self.get_host()), ))
        if self.get_type() is not None:
            outfile.write(' type="%s"' % (quote_attrib(self.get_type()), ))
        if self.get_port() is not None:
            outfile.write(' port="%s"' % (quote_attrib(self.get_port()), ))
    def exportChildren(self, outfile, level, namespace_='', name_='DbServer'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='DbServer'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('host = "%s",\n' % (self.get_host(),))
        showIndent(outfile, level)
        outfile.write('typexx = "%s",\n' % (self.get_type(),))
        showIndent(outfile, level)
        outfile.write('port = "%s",\n' % (self.get_port(),))
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('host'):
            self.host = attrs.get('host').value
        if attrs.get('type'):
            self.typexx = attrs.get('type').value
        if attrs.get('port'):
            self.port = attrs.get('port').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class DbServer


class SiteApp:
    subclass = None
    superclass = None
    def __init__(self, version='', name='', valueOf_=''):
        self.version = version
        self.name = name
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if SiteApp.subclass:
            return SiteApp.subclass(*args_, **kwargs_)
        else:
            return SiteApp(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_version(self): return self.version
    def set_version(self, version): self.version = version
    def get_name(self): return self.name
    def set_name(self, name): self.name = name
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='SiteApp'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='SiteApp')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='SiteApp'):
        if self.get_version() is not None:
            outfile.write(' version="%s"' % (quote_attrib(self.get_version()), ))
        if self.get_name() is not None:
            outfile.write(' name="%s"' % (quote_attrib(self.get_name()), ))
    def exportChildren(self, outfile, level, namespace_='', name_='SiteApp'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='SiteApp'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('version = "%s",\n' % (self.get_version(),))
        showIndent(outfile, level)
        outfile.write('name = "%s",\n' % (self.get_name(),))
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('version'):
            self.version = attrs.get('version').value
        if attrs.get('name'):
            self.name = attrs.get('name').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class SiteApp


class ResourceUsage:
    subclass = None
    superclass = None
    def __init__(self, reason_description=None, resolve_options=None):
        self.reason_description = reason_description
        self.resolve_options = resolve_options
    def factory(*args_, **kwargs_):
        if ResourceUsage.subclass:
            return ResourceUsage.subclass(*args_, **kwargs_)
        else:
            return ResourceUsage(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_reason_description(self): return self.reason_description
    def set_reason_description(self, reason_description): self.reason_description = reason_description
    def get_resolve_options(self): return self.resolve_options
    def set_resolve_options(self, resolve_options): self.resolve_options = resolve_options
    def export(self, outfile, level, namespace_='', name_='ResourceUsage'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='ResourceUsage')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='ResourceUsage'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='ResourceUsage'):
        if self.reason_description:
            self.reason_description.export(outfile, level, namespace_, name_='reason-description', )
        if self.resolve_options:
            self.resolve_options.export(outfile, level, namespace_, name_='resolve-options', )
    def exportLiteral(self, outfile, level, name_='ResourceUsage'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        if self.reason_description:
            showIndent(outfile, level)
            outfile.write('reason_description=ResourceUsageReasonDescription(\n')
            self.reason_description.exportLiteral(outfile, level, name_='reason_description')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.resolve_options:
            showIndent(outfile, level)
            outfile.write('resolve_options=ResolveOptions(\n')
            self.resolve_options.exportLiteral(outfile, level, name_='resolve_options')
            showIndent(outfile, level)
            outfile.write('),\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'reason-description':
            obj_ = ResourceUsageReasonDescription.factory()
            obj_.build(child_)
            self.set_reason_description(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'resolve-options':
            obj_ = ResolveOptions.factory()
            obj_.build(child_)
            self.set_resolve_options(obj_)
# end class ResourceUsage


class UniqueResource:
    subclass = None
    superclass = None
    def __init__(self, reason_description=None, resolve_options=None):
        self.reason_description = reason_description
        self.resolve_options = resolve_options
    def factory(*args_, **kwargs_):
        if UniqueResource.subclass:
            return UniqueResource.subclass(*args_, **kwargs_)
        else:
            return UniqueResource(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_reason_description(self): return self.reason_description
    def set_reason_description(self, reason_description): self.reason_description = reason_description
    def get_resolve_options(self): return self.resolve_options
    def set_resolve_options(self, resolve_options): self.resolve_options = resolve_options
    def export(self, outfile, level, namespace_='', name_='UniqueResource'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='UniqueResource')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='UniqueResource'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='UniqueResource'):
        if self.reason_description:
            self.reason_description.export(outfile, level, namespace_, name_='reason-description', )
        if self.resolve_options:
            self.resolve_options.export(outfile, level, namespace_, name_='resolve-options', )
    def exportLiteral(self, outfile, level, name_='UniqueResource'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        if self.reason_description:
            showIndent(outfile, level)
            outfile.write('reason_description=UniqueResourceReasonDescription(\n')
            self.reason_description.exportLiteral(outfile, level, name_='reason_description')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.resolve_options:
            showIndent(outfile, level)
            outfile.write('resolve_options=ResolveOptions(\n')
            self.resolve_options.exportLiteral(outfile, level, name_='resolve_options')
            showIndent(outfile, level)
            outfile.write('),\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'reason-description':
            obj_ = UniqueResourceReasonDescription.factory()
            obj_.build(child_)
            self.set_reason_description(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'resolve-options':
            obj_ = ResolveOptions.factory()
            obj_.build(child_)
            self.set_resolve_options(obj_)
# end class UniqueResource


class Timing:
    subclass = None
    superclass = None
    def __init__(self, reason_description=None, resolve_options=None):
        self.reason_description = reason_description
        self.resolve_options = resolve_options
    def factory(*args_, **kwargs_):
        if Timing.subclass:
            return Timing.subclass(*args_, **kwargs_)
        else:
            return Timing(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_reason_description(self): return self.reason_description
    def set_reason_description(self, reason_description): self.reason_description = reason_description
    def get_resolve_options(self): return self.resolve_options
    def set_resolve_options(self, resolve_options): self.resolve_options = resolve_options
    def export(self, outfile, level, namespace_='', name_='Timing'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='Timing')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='Timing'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='Timing'):
        if self.reason_description:
            self.reason_description.export(outfile, level, namespace_, name_='reason-description', )
        if self.resolve_options:
            self.resolve_options.export(outfile, level, namespace_, name_='resolve-options', )
    def exportLiteral(self, outfile, level, name_='Timing'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        if self.reason_description:
            showIndent(outfile, level)
            outfile.write('reason_description=TimingReasonDescription(\n')
            self.reason_description.exportLiteral(outfile, level, name_='reason_description')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.resolve_options:
            showIndent(outfile, level)
            outfile.write('resolve_options=ResolveOptions(\n')
            self.resolve_options.exportLiteral(outfile, level, name_='resolve_options')
            showIndent(outfile, level)
            outfile.write('),\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'reason-description':
            obj_ = TimingReasonDescription.factory()
            obj_.build(child_)
            self.set_reason_description(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'resolve-options':
            obj_ = ResolveOptions.factory()
            obj_.build(child_)
            self.set_resolve_options(obj_)
# end class Timing


class Configuration:
    subclass = None
    superclass = None
    def __init__(self, reason_description=None, resolve_options=None):
        self.reason_description = reason_description
        self.resolve_options = resolve_options
    def factory(*args_, **kwargs_):
        if Configuration.subclass:
            return Configuration.subclass(*args_, **kwargs_)
        else:
            return Configuration(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_reason_description(self): return self.reason_description
    def set_reason_description(self, reason_description): self.reason_description = reason_description
    def get_resolve_options(self): return self.resolve_options
    def set_resolve_options(self, resolve_options): self.resolve_options = resolve_options
    def export(self, outfile, level, namespace_='', name_='Configuration'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='Configuration')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='Configuration'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='Configuration'):
        if self.reason_description:
            self.reason_description.export(outfile, level, namespace_, name_='reason-description', )
        if self.resolve_options:
            self.resolve_options.export(outfile, level, namespace_, name_='resolve-options', )
    def exportLiteral(self, outfile, level, name_='Configuration'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        if self.reason_description:
            showIndent(outfile, level)
            outfile.write('reason_description=ConfigurationReasonDescription(\n')
            self.reason_description.exportLiteral(outfile, level, name_='reason_description')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.resolve_options:
            showIndent(outfile, level)
            outfile.write('resolve_options=ResolveOptions(\n')
            self.resolve_options.exportLiteral(outfile, level, name_='resolve_options')
            showIndent(outfile, level)
            outfile.write('),\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'reason-description':
            obj_ = ConfigurationReasonDescription.factory()
            obj_.build(child_)
            self.set_reason_description(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'resolve-options':
            obj_ = ResolveOptions.factory()
            obj_.build(child_)
            self.set_resolve_options(obj_)
# end class Configuration


class ConflictType:
    subclass = None
    superclass = None
    def __init__(self, resource_usage=None, unique_resource=None, timing=None, configuration=None):
        self.resource_usage = resource_usage
        self.unique_resource = unique_resource
        self.timing = timing
        self.configuration = configuration
    def factory(*args_, **kwargs_):
        if ConflictType.subclass:
            return ConflictType.subclass(*args_, **kwargs_)
        else:
            return ConflictType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_resource_usage(self): return self.resource_usage
    def set_resource_usage(self, resource_usage): self.resource_usage = resource_usage
    def get_unique_resource(self): return self.unique_resource
    def set_unique_resource(self, unique_resource): self.unique_resource = unique_resource
    def get_timing(self): return self.timing
    def set_timing(self, timing): self.timing = timing
    def get_configuration(self): return self.configuration
    def set_configuration(self, configuration): self.configuration = configuration
    def export(self, outfile, level, namespace_='', name_='ConflictType'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='ConflictType')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='ConflictType'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='ConflictType'):
        if self.resource_usage:
            self.resource_usage.export(outfile, level, namespace_, name_='resource-usage', )
        if self.unique_resource:
            self.unique_resource.export(outfile, level, namespace_, name_='unique-resource', )
        if self.timing:
            self.timing.export(outfile, level, namespace_, name_='timing', )
        if self.configuration:
            self.configuration.export(outfile, level, namespace_, name_='configuration', )
    def exportLiteral(self, outfile, level, name_='ConflictType'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        if self.resource_usage:
            showIndent(outfile, level)
            outfile.write('resource_usage=ResourceUsage(\n')
            self.resource_usage.exportLiteral(outfile, level, name_='resource_usage')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.unique_resource:
            showIndent(outfile, level)
            outfile.write('unique_resource=UniqueResource(\n')
            self.unique_resource.exportLiteral(outfile, level, name_='unique_resource')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.timing:
            showIndent(outfile, level)
            outfile.write('timing=Timing(\n')
            self.timing.exportLiteral(outfile, level, name_='timing')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.configuration:
            showIndent(outfile, level)
            outfile.write('configuration=Configuration(\n')
            self.configuration.exportLiteral(outfile, level, name_='configuration')
            showIndent(outfile, level)
            outfile.write('),\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'resource-usage':
            obj_ = ResourceUsage.factory()
            obj_.build(child_)
            self.set_resource_usage(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'unique-resource':
            obj_ = UniqueResource.factory()
            obj_.build(child_)
            self.set_unique_resource(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'timing':
            obj_ = Timing.factory()
            obj_.build(child_)
            self.set_timing(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'configuration':
            obj_ = Configuration.factory()
            obj_.build(child_)
            self.set_configuration(obj_)
# end class ConflictType


class ConflictingObjects:
    subclass = None
    superclass = None
    def __init__(self, node=None):
        if node is None:
            self.node = []
        else:
            self.node = node
    def factory(*args_, **kwargs_):
        if ConflictingObjects.subclass:
            return ConflictingObjects.subclass(*args_, **kwargs_)
        else:
            return ConflictingObjects(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_node(self): return self.node
    def set_node(self, node): self.node = node
    def add_node(self, value): self.node.append(value)
    def insert_node(self, index, value): self.node[index] = value
    def validate_TransformNode(self, value):
        # validate type TransformNode
        pass
    def export(self, outfile, level, namespace_='', name_='ConflictingObjects'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='ConflictingObjects')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='ConflictingObjects'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='ConflictingObjects'):
        for node_ in self.get_node():
            node_.export(outfile, level, namespace_, name_='node')
    def exportLiteral(self, outfile, level, name_='ConflictingObjects'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('node=[\n')
        level += 1
        for node in self.node:
            showIndent(outfile, level)
            outfile.write('TransformNode(\n')
            node.exportLiteral(outfile, level, name_='node')
            showIndent(outfile, level)
            outfile.write('),\n')
        level -= 1
        showIndent(outfile, level)
        outfile.write('],\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'node':
            obj_ = TransformNode.factory()
            obj_.build(child_)
            self.node.append(obj_)
            self.validate_TransformNode(self.node)    # validate type TransformNode
# end class ConflictingObjects


class TransformNode:
    subclass = None
    superclass = None
    def __init__(self, children_processing_type='', name='', context=None, attributes=None):
        self.children_processing_type = children_processing_type
        self.name = name
        self.context = context
        self.attributes = attributes
    def factory(*args_, **kwargs_):
        if TransformNode.subclass:
            return TransformNode.subclass(*args_, **kwargs_)
        else:
            return TransformNode(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_context(self): return self.context
    def set_context(self, context): self.context = context
    def get_attributes(self): return self.attributes
    def set_attributes(self, attributes): self.attributes = attributes
    def get_children_processing_type(self): return self.children_processing_type
    def set_children_processing_type(self, children_processing_type): self.children_processing_type = children_processing_type
    def get_name(self): return self.name
    def set_name(self, name): self.name = name
    def export(self, outfile, level, namespace_='', name_='TransformNode'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='TransformNode')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='TransformNode'):
        if self.get_children_processing_type() is not None:
            outfile.write(' children-processing-type="%s"' % (quote_attrib(self.get_children_processing_type()), ))
        outfile.write(' name="%s"' % (quote_attrib(self.get_name()), ))
    def exportChildren(self, outfile, level, namespace_='', name_='TransformNode'):
        if self.get_context() != None :
            if self.context:
                self.context.export(outfile, level, namespace_, name_='context')
        if self.get_attributes() != None :
            if self.attributes:
                self.attributes.export(outfile, level, namespace_, name_='attributes')
    def exportLiteral(self, outfile, level, name_='TransformNode'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('children_processing_type = "%s",\n' % (self.get_children_processing_type(),))
        showIndent(outfile, level)
        outfile.write('name = "%s",\n' % (self.get_name(),))
    def exportLiteralChildren(self, outfile, level, name_):
        if self.context:
            showIndent(outfile, level)
            outfile.write('context=Context(\n')
            self.context.exportLiteral(outfile, level, name_='context')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.attributes:
            showIndent(outfile, level)
            outfile.write('attributes=Attributes(\n')
            self.attributes.exportLiteral(outfile, level, name_='attributes')
            showIndent(outfile, level)
            outfile.write('),\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('children-processing-type'):
            self.children_processing_type = attrs.get('children-processing-type').value
        if attrs.get('name'):
            self.name = attrs.get('name').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'context':
            obj_ = Context.factory()
            obj_.build(child_)
            self.set_context(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'attributes':
            obj_ = Attributes.factory()
            obj_.build(child_)
            self.set_attributes(obj_)
# end class TransformNode


class Context:
    subclass = None
    superclass = None
    def __init__(self, path=None):
        if path is None:
            self.path = []
        else:
            self.path = path
    def factory(*args_, **kwargs_):
        if Context.subclass:
            return Context.subclass(*args_, **kwargs_)
        else:
            return Context(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_path(self): return self.path
    def set_path(self, path): self.path = path
    def add_path(self, value): self.path.append(value)
    def insert_path(self, index, value): self.path[index] = value
    def export(self, outfile, level, namespace_='', name_='Context'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='Context')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='Context'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='Context'):
        for path_ in self.get_path():
            showIndent(outfile, level)
            outfile.write('<%spath>%s</%spath>\n' % (namespace_, quote_xml(path_), namespace_))
    def exportLiteral(self, outfile, level, name_='Context'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('path=[\n')
        level += 1
        for path in self.path:
            showIndent(outfile, level)
            outfile.write('%s,\n' % quote_python(path))
        level -= 1
        showIndent(outfile, level)
        outfile.write('],\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'path':
            path_ = ''
            for text__content_ in child_.childNodes:
                path_ += text__content_.nodeValue
            self.path.append(path_)
# end class Context


class path:
    subclass = None
    superclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if path.subclass:
            return path.subclass(*args_, **kwargs_)
        else:
            return path(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='path'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='path')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='path'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='path'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='path'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class path


class Attributes:
    subclass = None
    superclass = None
    def __init__(self, attribute=None):
        if attribute is None:
            self.attribute = []
        else:
            self.attribute = attribute
    def factory(*args_, **kwargs_):
        if Attributes.subclass:
            return Attributes.subclass(*args_, **kwargs_)
        else:
            return Attributes(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_attribute(self): return self.attribute
    def set_attribute(self, attribute): self.attribute = attribute
    def add_attribute(self, value): self.attribute.append(value)
    def insert_attribute(self, index, value): self.attribute[index] = value
    def export(self, outfile, level, namespace_='', name_='Attributes'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='Attributes')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='Attributes'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='Attributes'):
        for attribute_ in self.get_attribute():
            attribute_.export(outfile, level, namespace_, name_='attribute')
    def exportLiteral(self, outfile, level, name_='Attributes'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('attribute=[\n')
        level += 1
        for attribute in self.attribute:
            showIndent(outfile, level)
            outfile.write('Attribute(\n')
            attribute.exportLiteral(outfile, level, name_='attribute')
            showIndent(outfile, level)
            outfile.write('),\n')
        level -= 1
        showIndent(outfile, level)
        outfile.write('],\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'attribute':
            obj_ = Attribute.factory()
            obj_.build(child_)
            self.attribute.append(obj_)
# end class Attributes


class Attribute:
    subclass = None
    superclass = None
    def __init__(self, name='', value='', valueOf_=''):
        self.name = name
        self.value = value
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if Attribute.subclass:
            return Attribute.subclass(*args_, **kwargs_)
        else:
            return Attribute(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_name(self): return self.name
    def set_name(self, name): self.name = name
    def get_value(self): return self.value
    def set_value(self, value): self.value = value
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='Attribute'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='Attribute')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='Attribute'):
        if self.get_name() is not None:
            outfile.write(' name="%s"' % (quote_attrib(self.get_name()), ))
        if self.get_value() is not None:
            outfile.write(' value="%s"' % (quote_attrib(self.get_value()), ))
    def exportChildren(self, outfile, level, namespace_='', name_='Attribute'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='Attribute'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('name = "%s",\n' % (self.get_name(),))
        showIndent(outfile, level)
        outfile.write('value = "%s",\n' % (self.get_value(),))
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('name'):
            self.name = attrs.get('name').value
        if attrs.get('value'):
            self.value = attrs.get('value').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class Attribute


class ConflictOverviewReasonParam:
    subclass = None
    superclass = None
    def __init__(self, name='', value='', valueOf_=''):
        self.name = name
        self.value = value
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if ConflictOverviewReasonParam.subclass:
            return ConflictOverviewReasonParam.subclass(*args_, **kwargs_)
        else:
            return ConflictOverviewReasonParam(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_name(self): return self.name
    def set_name(self, name): self.name = name
    def get_value(self): return self.value
    def set_value(self, value): self.value = value
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='ConflictOverviewReasonParam'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='ConflictOverviewReasonParam')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='ConflictOverviewReasonParam'):
        outfile.write(' name="%s"' % (quote_attrib(self.get_name()), ))
        if self.get_value() is not None:
            outfile.write(' value="%s"' % (quote_attrib(self.get_value()), ))
    def exportChildren(self, outfile, level, namespace_='', name_='ConflictOverviewReasonParam'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='ConflictOverviewReasonParam'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('name = "%s",\n' % (self.get_name(),))
        showIndent(outfile, level)
        outfile.write('value = "%s",\n' % (self.get_value(),))
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('name'):
            self.name = attrs.get('name').value
        if attrs.get('value'):
            self.value = attrs.get('value').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class ConflictOverviewReasonParam


class ConflictOverviewReason:
    subclass = None
    superclass = None
    def __init__(self, message='', param=None):
        self.message = message
        if param is None:
            self.param = []
        else:
            self.param = param
    def factory(*args_, **kwargs_):
        if ConflictOverviewReason.subclass:
            return ConflictOverviewReason.subclass(*args_, **kwargs_)
        else:
            return ConflictOverviewReason(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_message(self): return self.message
    def set_message(self, message): self.message = message
    def get_param(self): return self.param
    def set_param(self, param): self.param = param
    def add_param(self, value): self.param.append(value)
    def insert_param(self, index, value): self.param[index] = value
    def export(self, outfile, level, namespace_='', name_='ConflictOverviewReason'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='ConflictOverviewReason')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='ConflictOverviewReason'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='ConflictOverviewReason'):
        showIndent(outfile, level)
        outfile.write('<%smessage>%s</%smessage>\n' % (namespace_, quote_xml(self.get_message()), namespace_))
        for param_ in self.get_param():
            param_.export(outfile, level, namespace_, name_='param')
    def exportLiteral(self, outfile, level, name_='ConflictOverviewReason'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('message=%s,\n' % quote_python(self.get_message()))
        showIndent(outfile, level)
        outfile.write('param=[\n')
        level += 1
        for param in self.param:
            showIndent(outfile, level)
            outfile.write('ConflictOverviewReasonParam(\n')
            param.exportLiteral(outfile, level, name_='param')
            showIndent(outfile, level)
            outfile.write('),\n')
        level -= 1
        showIndent(outfile, level)
        outfile.write('],\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'message':
            message_ = ''
            for text__content_ in child_.childNodes:
                message_ += text__content_.nodeValue
            self.message = message_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'param':
            obj_ = ConflictOverviewReasonParam.factory()
            obj_.build(child_)
            self.param.append(obj_)
# end class ConflictOverviewReason


class ConflictOverviewReasons:
    subclass = None
    superclass = None
    def __init__(self, reason=None):
        if reason is None:
            self.reason = []
        else:
            self.reason = reason
    def factory(*args_, **kwargs_):
        if ConflictOverviewReasons.subclass:
            return ConflictOverviewReasons.subclass(*args_, **kwargs_)
        else:
            return ConflictOverviewReasons(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_reason(self): return self.reason
    def set_reason(self, reason): self.reason = reason
    def add_reason(self, value): self.reason.append(value)
    def insert_reason(self, index, value): self.reason[index] = value
    def export(self, outfile, level, namespace_='', name_='ConflictOverviewReasons'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='ConflictOverviewReasons')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='ConflictOverviewReasons'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='ConflictOverviewReasons'):
        for reason_ in self.get_reason():
            reason_.export(outfile, level, namespace_, name_='reason')
    def exportLiteral(self, outfile, level, name_='ConflictOverviewReasons'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('reason=[\n')
        level += 1
        for reason in self.reason:
            showIndent(outfile, level)
            outfile.write('ConflictOverviewReason(\n')
            reason.exportLiteral(outfile, level, name_='reason')
            showIndent(outfile, level)
            outfile.write('),\n')
        level -= 1
        showIndent(outfile, level)
        outfile.write('],\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'reason':
            obj_ = ConflictOverviewReason.factory()
            obj_.build(child_)
            self.reason.append(obj_)
# end class ConflictOverviewReasons


class ConflictOverviewObject:
    subclass = None
    superclass = None
    def __init__(self, message='', name='', typexx='', owner_name='', reasons=None):
        self.message = message
        self.name = name
        self.typexx = typexx
        self.owner_name = owner_name
        self.reasons = reasons
    def factory(*args_, **kwargs_):
        if ConflictOverviewObject.subclass:
            return ConflictOverviewObject.subclass(*args_, **kwargs_)
        else:
            return ConflictOverviewObject(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_message(self): return self.message
    def set_message(self, message): self.message = message
    def get_name(self): return self.name
    def set_name(self, name): self.name = name
    def get_type(self): return self.typexx
    def set_type(self, typexx): self.typexx = typexx
    def get_owner_name(self): return self.owner_name
    def set_owner_name(self, owner_name): self.owner_name = owner_name
    def get_reasons(self): return self.reasons
    def set_reasons(self, reasons): self.reasons = reasons
    def export(self, outfile, level, namespace_='', name_='ConflictOverviewObject'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='ConflictOverviewObject')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='ConflictOverviewObject'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='ConflictOverviewObject'):
        showIndent(outfile, level)
        outfile.write('<%smessage>%s</%smessage>\n' % (namespace_, quote_xml(self.get_message()), namespace_))
        showIndent(outfile, level)
        outfile.write('<%sname>%s</%sname>\n' % (namespace_, quote_xml(self.get_name()), namespace_))
        showIndent(outfile, level)
        outfile.write('<%stype>%s</%stype>\n' % (namespace_, quote_xml(self.get_type()), namespace_))
        if self.get_owner_name() != None :
            if self.get_owner_name() != "" :
                showIndent(outfile, level)
                outfile.write('<%sowner-name>%s</%sowner-name>\n' % (namespace_, quote_xml(self.get_owner_name()), namespace_))
        if self.reasons:
            self.reasons.export(outfile, level, namespace_, name_='reasons', )
    def exportLiteral(self, outfile, level, name_='ConflictOverviewObject'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('message=%s,\n' % quote_python(self.get_message()))
        showIndent(outfile, level)
        outfile.write('name=%s,\n' % quote_python(self.get_name()))
        showIndent(outfile, level)
        outfile.write('typexx=%s,\n' % quote_python(self.get_type()))
        showIndent(outfile, level)
        outfile.write('owner_name=%s,\n' % quote_python(self.get_owner_name()))
        if self.reasons:
            showIndent(outfile, level)
            outfile.write('reasons=ConflictOverviewReasons(\n')
            self.reasons.exportLiteral(outfile, level, name_='reasons')
            showIndent(outfile, level)
            outfile.write('),\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'message':
            message_ = ''
            for text__content_ in child_.childNodes:
                message_ += text__content_.nodeValue
            self.message = message_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'name':
            name_ = ''
            for text__content_ in child_.childNodes:
                name_ += text__content_.nodeValue
            self.name = name_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'type':
            type_ = ''
            for text__content_ in child_.childNodes:
                type_ += text__content_.nodeValue
            self.typexx = type_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'owner-name':
            owner_name_ = ''
            for text__content_ in child_.childNodes:
                owner_name_ += text__content_.nodeValue
            self.owner_name = owner_name_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'reasons':
            obj_ = ConflictOverviewReasons.factory()
            obj_.build(child_)
            self.set_reasons(obj_)
# end class ConflictOverviewObject


class ConflictOverview:
    subclass = None
    superclass = None
    def __init__(self, object=None):
        if object is None:
            self.object = []
        else:
            self.object = object
    def factory(*args_, **kwargs_):
        if ConflictOverview.subclass:
            return ConflictOverview.subclass(*args_, **kwargs_)
        else:
            return ConflictOverview(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_object(self): return self.object
    def set_object(self, object): self.object = object
    def add_object(self, value): self.object.append(value)
    def insert_object(self, index, value): self.object[index] = value
    def export(self, outfile, level, namespace_='', name_='ConflictOverview'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='ConflictOverview')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='ConflictOverview'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='ConflictOverview'):
        for object_ in self.get_object():
            object_.export(outfile, level, namespace_, name_='object')
    def exportLiteral(self, outfile, level, name_='ConflictOverview'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('object=[\n')
        level += 1
        for object in self.object:
            showIndent(outfile, level)
            outfile.write('ConflictOverviewObject(\n')
            object.exportLiteral(outfile, level, name_='object')
            showIndent(outfile, level)
            outfile.write('),\n')
        level -= 1
        showIndent(outfile, level)
        outfile.write('],\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'object':
            obj_ = ConflictOverviewObject.factory()
            obj_.build(child_)
            self.object.append(obj_)
# end class ConflictOverview


class Conflict:
    subclass = None
    superclass = None
    def __init__(self, id='', typexx=None, conflicting_objects=None, overview=None):
        self.id = id
        self.typexx = typexx
        self.conflicting_objects = conflicting_objects
        self.overview = overview
    def factory(*args_, **kwargs_):
        if Conflict.subclass:
            return Conflict.subclass(*args_, **kwargs_)
        else:
            return Conflict(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_type(self): return self.typexx
    def set_type(self, typexx): self.typexx = typexx
    def get_conflicting_objects(self): return self.conflicting_objects
    def set_conflicting_objects(self, conflicting_objects): self.conflicting_objects = conflicting_objects
    def get_overview(self): return self.overview
    def set_overview(self, overview): self.overview = overview
    def get_id(self): return self.id
    def set_id(self, id): self.id = id
    def export(self, outfile, level, namespace_='', name_='Conflict'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='Conflict')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='Conflict'):
        if self.get_id() is not None:
            outfile.write(' id="%s"' % (quote_attrib(self.get_id()), ))
    def exportChildren(self, outfile, level, namespace_='', name_='Conflict'):
        if self.typexx:
            self.typexx.export(outfile, level, namespace_, name_='type', )
        if self.conflicting_objects:
            self.conflicting_objects.export(outfile, level, namespace_, name_='conflicting-objects', )
        if self.get_overview() != None :
            if self.overview:
                self.overview.export(outfile, level, namespace_, name_='overview')
    def exportLiteral(self, outfile, level, name_='Conflict'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('id = "%s",\n' % (self.get_id(),))
    def exportLiteralChildren(self, outfile, level, name_):
        if self.typexx:
            showIndent(outfile, level)
            outfile.write('typexx=ConflictType(\n')
            self.typexx.exportLiteral(outfile, level, name_='type')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.conflicting_objects:
            showIndent(outfile, level)
            outfile.write('conflicting_objects=ConflictingObjects(\n')
            self.conflicting_objects.exportLiteral(outfile, level, name_='conflicting_objects')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.overview:
            showIndent(outfile, level)
            outfile.write('overview=ConflictOverview(\n')
            self.overview.exportLiteral(outfile, level, name_='overview')
            showIndent(outfile, level)
            outfile.write('),\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('id'):
            self.id = attrs.get('id').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'type':
            obj_ = ConflictType.factory()
            obj_.build(child_)
            self.set_type(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'conflicting-objects':
            obj_ = ConflictingObjects.factory()
            obj_.build(child_)
            self.set_conflicting_objects(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'overview':
            obj_ = ConflictOverview.factory()
            obj_.build(child_)
            self.set_overview(obj_)
# end class Conflict


class ConflictsDescription:
    subclass = None
    superclass = None
    def __init__(self, conflict=None):
        if conflict is None:
            self.conflict = []
        else:
            self.conflict = conflict
    def factory(*args_, **kwargs_):
        if ConflictsDescription.subclass:
            return ConflictsDescription.subclass(*args_, **kwargs_)
        else:
            return ConflictsDescription(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_conflict(self): return self.conflict
    def set_conflict(self, conflict): self.conflict = conflict
    def add_conflict(self, value): self.conflict.append(value)
    def insert_conflict(self, index, value): self.conflict[index] = value
    def export(self, outfile, level, namespace_='', name_='ConflictsDescription'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='ConflictsDescription')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='ConflictsDescription'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='ConflictsDescription'):
        for conflict_ in self.get_conflict():
            conflict_.export(outfile, level, namespace_, name_='conflict')
    def exportLiteral(self, outfile, level, name_='ConflictsDescription'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('conflict=[\n')
        level += 1
        for conflict in self.conflict:
            showIndent(outfile, level)
            outfile.write('Conflict(\n')
            conflict.exportLiteral(outfile, level, name_='conflict')
            showIndent(outfile, level)
            outfile.write('),\n')
        level -= 1
        showIndent(outfile, level)
        outfile.write('],\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'conflict':
            obj_ = Conflict.factory()
            obj_.build(child_)
            self.conflict.append(obj_)
# end class ConflictsDescription


class PleskObjectIdentifier:
    subclass = None
    superclass = None
    def __init__(self, typexx='', database_id='', guid=''):
        self.typexx = typexx
        self.database_id = database_id
        self.guid = guid
    def factory(*args_, **kwargs_):
        if PleskObjectIdentifier.subclass:
            return PleskObjectIdentifier.subclass(*args_, **kwargs_)
        else:
            return PleskObjectIdentifier(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_type(self): return self.typexx
    def set_type(self, typexx): self.typexx = typexx
    def get_database_id(self): return self.database_id
    def set_database_id(self, database_id): self.database_id = database_id
    def get_guid(self): return self.guid
    def set_guid(self, guid): self.guid = guid
    def export(self, outfile, level, namespace_='', name_='PleskObjectIdentifier'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='PleskObjectIdentifier')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='PleskObjectIdentifier'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='PleskObjectIdentifier'):
        showIndent(outfile, level)
        outfile.write('<%stype>%s</%stype>\n' % (namespace_, quote_xml(self.get_type()), namespace_))
        showIndent(outfile, level)
        outfile.write('<%sdatabase-id>%s</%sdatabase-id>\n' % (namespace_, quote_xml(self.get_database_id()), namespace_))
        if self.get_guid() != None :
            if self.get_guid() != "" :
                showIndent(outfile, level)
                outfile.write('<%sguid>%s</%sguid>\n' % (namespace_, quote_xml(self.get_guid()), namespace_))
    def exportLiteral(self, outfile, level, name_='PleskObjectIdentifier'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('typexx=%s,\n' % quote_python(self.get_type()))
        showIndent(outfile, level)
        outfile.write('database_id=%s,\n' % quote_python(self.get_database_id()))
        showIndent(outfile, level)
        outfile.write('guid=%s,\n' % quote_python(self.get_guid()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'type':
            type_ = ''
            for text__content_ in child_.childNodes:
                type_ += text__content_.nodeValue
            self.typexx = type_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'database-id':
            database_id_ = ''
            for text__content_ in child_.childNodes:
                database_id_ += text__content_.nodeValue
            self.database_id = database_id_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'guid':
            guid_ = ''
            for text__content_ in child_.childNodes:
                guid_ += text__content_.nodeValue
            self.guid = guid_
# end class PleskObjectIdentifier


class typexx:
    subclass = None
    superclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if typexx.subclass:
            return typexx.subclass(*args_, **kwargs_)
        else:
            return typexx(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='type'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='type')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='type'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='type'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='type'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class typexx


class database_id:
    subclass = None
    superclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if database_id.subclass:
            return database_id.subclass(*args_, **kwargs_)
        else:
            return database_id(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='database-id'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='database-id')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='database-id'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='database-id'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='database-id'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class database_id


class guid:
    subclass = None
    superclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if guid.subclass:
            return guid.subclass(*args_, **kwargs_)
        else:
            return guid(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='guid'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='guid')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='guid'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='guid'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='guid'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class guid


class ResolveParameter:
    subclass = None
    superclass = None
    def __init__(self, name='', valueOf_=''):
        self.name = name
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if ResolveParameter.subclass:
            return ResolveParameter.subclass(*args_, **kwargs_)
        else:
            return ResolveParameter(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_name(self): return self.name
    def set_name(self, name): self.name = name
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='ResolveParameter'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='ResolveParameter')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='ResolveParameter'):
        if self.get_name() is not None:
            outfile.write(' name="%s"' % (quote_attrib(self.get_name()), ))
    def exportChildren(self, outfile, level, namespace_='', name_='ResolveParameter'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='ResolveParameter'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('name = "%s",\n' % (self.get_name(),))
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('name'):
            self.name = attrs.get('name').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class ResolveParameter


class ResolveParameters:
    subclass = None
    superclass = None
    def __init__(self, parameter=None):
        self.parameter = parameter
    def factory(*args_, **kwargs_):
        if ResolveParameters.subclass:
            return ResolveParameters.subclass(*args_, **kwargs_)
        else:
            return ResolveParameters(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_parameter(self): return self.parameter
    def set_parameter(self, parameter): self.parameter = parameter
    def export(self, outfile, level, namespace_='', name_='ResolveParameters'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='ResolveParameters')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='ResolveParameters'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='ResolveParameters'):
        if self.parameter:
            self.parameter.export(outfile, level, namespace_, name_='parameter', )
    def exportLiteral(self, outfile, level, name_='ResolveParameters'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        if self.parameter:
            showIndent(outfile, level)
            outfile.write('parameter=ResolveParameter(\n')
            self.parameter.exportLiteral(outfile, level, name_='parameter')
            showIndent(outfile, level)
            outfile.write('),\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'parameter':
            obj_ = ResolveParameter.factory()
            obj_.build(child_)
            self.set_parameter(obj_)
# end class ResolveParameters


class ResolveOption:
    subclass = None
    superclass = None
    def __init__(self, name='', parameters=None):
        self.name = name
        self.parameters = parameters
    def factory(*args_, **kwargs_):
        if ResolveOption.subclass:
            return ResolveOption.subclass(*args_, **kwargs_)
        else:
            return ResolveOption(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_parameters(self): return self.parameters
    def set_parameters(self, parameters): self.parameters = parameters
    def get_name(self): return self.name
    def set_name(self, name): self.name = name
    def export(self, outfile, level, namespace_='', name_='ResolveOption'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='ResolveOption')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='ResolveOption'):
        if self.get_name() is not None:
            outfile.write(' name="%s"' % (quote_attrib(self.get_name()), ))
    def exportChildren(self, outfile, level, namespace_='', name_='ResolveOption'):
        if self.get_parameters() != None :
            if self.parameters:
                self.parameters.export(outfile, level, namespace_, name_='parameters')
    def exportLiteral(self, outfile, level, name_='ResolveOption'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('name = "%s",\n' % (self.get_name(),))
    def exportLiteralChildren(self, outfile, level, name_):
        if self.parameters:
            showIndent(outfile, level)
            outfile.write('parameters=ResolveParameters(\n')
            self.parameters.exportLiteral(outfile, level, name_='parameters')
            showIndent(outfile, level)
            outfile.write('),\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('name'):
            self.name = attrs.get('name').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'parameters':
            obj_ = ResolveParameters.factory()
            obj_.build(child_)
            self.set_parameters(obj_)
# end class ResolveOption


class ResolveOptions:
    subclass = None
    superclass = None
    def __init__(self, option=None):
        if option is None:
            self.option = []
        else:
            self.option = option
    def factory(*args_, **kwargs_):
        if ResolveOptions.subclass:
            return ResolveOptions.subclass(*args_, **kwargs_)
        else:
            return ResolveOptions(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_option(self): return self.option
    def set_option(self, option): self.option = option
    def add_option(self, value): self.option.append(value)
    def insert_option(self, index, value): self.option[index] = value
    def validate_ResolveOption(self, value):
        # validate type ResolveOption
        pass
    def export(self, outfile, level, namespace_='', name_='ResolveOptions'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='ResolveOptions')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='ResolveOptions'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='ResolveOptions'):
        for option_ in self.get_option():
            option_.export(outfile, level, namespace_, name_='option')
    def exportLiteral(self, outfile, level, name_='ResolveOptions'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('option=[\n')
        level += 1
        for option in self.option:
            showIndent(outfile, level)
            outfile.write('ResolveOption(\n')
            option.exportLiteral(outfile, level, name_='option')
            showIndent(outfile, level)
            outfile.write('),\n')
        level -= 1
        showIndent(outfile, level)
        outfile.write('],\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'option':
            obj_ = ResolveOption.factory()
            obj_.build(child_)
            self.option.append(obj_)
            self.validate_ResolveOption(self.option)    # validate type ResolveOption
# end class ResolveOptions


class Response:
    subclass = None
    superclass = None
    def __init__(self, errcode='', errmsg='', data=None):
        self.errcode = errcode
        self.errmsg = errmsg
        self.data = data
    def factory(*args_, **kwargs_):
        if Response.subclass:
            return Response.subclass(*args_, **kwargs_)
        else:
            return Response(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_errcode(self): return self.errcode
    def set_errcode(self, errcode): self.errcode = errcode
    def get_errmsg(self): return self.errmsg
    def set_errmsg(self, errmsg): self.errmsg = errmsg
    def get_data(self): return self.data
    def set_data(self, data): self.data = data
    def export(self, outfile, level, namespace_='', name_='Response'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='Response')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='Response'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='Response'):
        showIndent(outfile, level)
        outfile.write('<%serrcode>%s</%serrcode>\n' % (namespace_, quote_xml(self.get_errcode()), namespace_))
        if self.get_errmsg() != None :
            if self.get_errmsg() != "" :
                showIndent(outfile, level)
                outfile.write('<%serrmsg>%s</%serrmsg>\n' % (namespace_, quote_xml(self.get_errmsg()), namespace_))
        if self.get_data() != None :
            if self.data:
                self.data.export(outfile, level, namespace_, name_='data')
    def exportLiteral(self, outfile, level, name_='Response'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('errcode=%s,\n' % quote_python(self.get_errcode()))
        showIndent(outfile, level)
        outfile.write('errmsg=%s,\n' % quote_python(self.get_errmsg()))
        if self.data:
            showIndent(outfile, level)
            outfile.write('data=Data(\n')
            self.data.exportLiteral(outfile, level, name_='data')
            showIndent(outfile, level)
            outfile.write('),\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'errcode':
            errcode_ = ''
            for text__content_ in child_.childNodes:
                errcode_ += text__content_.nodeValue
            self.errcode = errcode_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'errmsg':
            errmsg_ = ''
            for text__content_ in child_.childNodes:
                errmsg_ += text__content_.nodeValue
            self.errmsg = errmsg_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'data':
            obj_ = Data.factory()
            obj_.build(child_)
            self.set_data(obj_)
# end class Response


class errcode:
    subclass = None
    superclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if errcode.subclass:
            return errcode.subclass(*args_, **kwargs_)
        else:
            return errcode(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='errcode'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='errcode')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='errcode'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='errcode'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='errcode'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class errcode


class errmsg:
    subclass = None
    superclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if errmsg.subclass:
            return errmsg.subclass(*args_, **kwargs_)
        else:
            return errmsg(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='errmsg'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='errmsg')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='errmsg'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='errmsg'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='errmsg'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class errmsg


class Dump:
    subclass = None
    superclass = None
    def __init__(self, description='', owner_guid='', name='', owner_type=None, creation_date='', fullname='', size='', dump_status=None):
        self.description = description
        self.owner_guid = owner_guid
        self.name = name
        self.owner_type = owner_type
        self.creation_date = creation_date
        self.fullname = fullname
        self.size = size
        if dump_status is None:
            self.dump_status = []
        else:
            self.dump_status = dump_status
    def factory(*args_, **kwargs_):
        if Dump.subclass:
            return Dump.subclass(*args_, **kwargs_)
        else:
            return Dump(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_dump_status(self): return self.dump_status
    def set_dump_status(self, dump_status): self.dump_status = dump_status
    def add_dump_status(self, value): self.dump_status.append(value)
    def insert_dump_status(self, index, value): self.dump_status[index] = value
    def get_description(self): return self.description
    def set_description(self, description): self.description = description
    def get_owner_guid(self): return self.owner_guid
    def set_owner_guid(self, owner_guid): self.owner_guid = owner_guid
    def get_name(self): return self.name
    def set_name(self, name): self.name = name
    def get_owner_type(self): return self.owner_type
    def set_owner_type(self, owner_type): self.owner_type = owner_type
    def get_creation_date(self): return self.creation_date
    def set_creation_date(self, creation_date): self.creation_date = creation_date
    def get_fullname(self): return self.fullname
    def set_fullname(self, fullname): self.fullname = fullname
    def get_size(self): return self.size
    def set_size(self, size): self.size = size
    def export(self, outfile, level, namespace_='', name_='Dump'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='Dump')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='Dump'):
        if self.get_description() is not None:
            outfile.write(' description="%s"' % (quote_attrib(self.get_description()), ))
        if self.get_owner_guid() is not None:
            outfile.write(' owner-guid="%s"' % (quote_attrib(self.get_owner_guid()), ))
        if self.get_name() is not None:
            outfile.write(' name="%s"' % (quote_attrib(self.get_name()), ))
        if self.get_owner_type() is not None:
            outfile.write(' owner-type="%s"' % str(self.get_owner_type()))
        if self.get_creation_date() is not None:
            outfile.write(' creation-date="%s"' % (quote_attrib(self.get_creation_date()), ))
        if self.get_fullname() is not None:
            outfile.write(' fullname="%s"' % (quote_attrib(self.get_fullname()), ))
        if self.get_size() is not None:
            outfile.write(' size="%s"' % (quote_attrib(self.get_size()), ))
    def exportChildren(self, outfile, level, namespace_='', name_='Dump'):
        for dump_status_ in self.get_dump_status():
            dump_status_.export(outfile, level, namespace_, name_='dump-status')
    def exportLiteral(self, outfile, level, name_='Dump'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('description = "%s",\n' % (self.get_description(),))
        showIndent(outfile, level)
        outfile.write('owner_guid = "%s",\n' % (self.get_owner_guid(),))
        showIndent(outfile, level)
        outfile.write('name = "%s",\n' % (self.get_name(),))
        showIndent(outfile, level)
        outfile.write('owner_type = "%s",\n' % (self.get_owner_type(),))
        showIndent(outfile, level)
        outfile.write('creation_date = "%s",\n' % (self.get_creation_date(),))
        showIndent(outfile, level)
        outfile.write('fullname = "%s",\n' % (self.get_fullname(),))
        showIndent(outfile, level)
        outfile.write('size = "%s",\n' % (self.get_size(),))
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('dump_status=[\n')
        level += 1
        for dump_status in self.dump_status:
            showIndent(outfile, level)
            outfile.write('DumpStatusFull(\n')
            dump_status.exportLiteral(outfile, level, name_='dump_status')
            showIndent(outfile, level)
            outfile.write('),\n')
        level -= 1
        showIndent(outfile, level)
        outfile.write('],\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('description'):
            self.description = attrs.get('description').value
        if attrs.get('owner-guid'):
            self.owner_guid = attrs.get('owner-guid').value
        if attrs.get('name'):
            self.name = attrs.get('name').value
        if attrs.get('owner-type'):
            self.owner_type = attrs.get('owner-type').value
        if attrs.get('creation-date'):
            self.creation_date = attrs.get('creation-date').value
        if attrs.get('fullname'):
            self.fullname = attrs.get('fullname').value
        if attrs.get('size'):
            self.size = attrs.get('size').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'dump-status':
            obj_ = DumpStatusFull.factory()
            obj_.build(child_)
            self.dump_status.append(obj_)
# end class Dump


class DumpList:
    subclass = None
    superclass = None
    def __init__(self, dump=None):
        if dump is None:
            self.dump = []
        else:
            self.dump = dump
    def factory(*args_, **kwargs_):
        if DumpList.subclass:
            return DumpList.subclass(*args_, **kwargs_)
        else:
            return DumpList(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_dump(self): return self.dump
    def set_dump(self, dump): self.dump = dump
    def add_dump(self, value): self.dump.append(value)
    def insert_dump(self, index, value): self.dump[index] = value
    def export(self, outfile, level, namespace_='', name_='DumpList'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='DumpList')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='DumpList'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='DumpList'):
        for dump_ in self.get_dump():
            dump_.export(outfile, level, namespace_, name_='dump')
    def exportLiteral(self, outfile, level, name_='DumpList'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('dump=[\n')
        level += 1
        for dump in self.dump:
            showIndent(outfile, level)
            outfile.write('Dump(\n')
            dump.exportLiteral(outfile, level, name_='dump')
            showIndent(outfile, level)
            outfile.write('),\n')
        level -= 1
        showIndent(outfile, level)
        outfile.write('],\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'dump':
            obj_ = Dump.factory()
            obj_.build(child_)
            self.dump.append(obj_)
# end class DumpList


class Task:
    subclass = None
    superclass = None
    def __init__(self, task_id='', name='', mail_to='', owner_guid='', owner_type=None, backup_profile_name='', creation_date='', fullname='', task_status=None, dumps_storage_credentials=None):
        self.task_id = task_id
        self.name = name
        self.mail_to = mail_to
        self.owner_guid = owner_guid
        self.owner_type = owner_type
        self.backup_profile_name = backup_profile_name
        self.creation_date = creation_date
        self.fullname = fullname
        self.task_status = task_status
        self.dumps_storage_credentials = dumps_storage_credentials
    def factory(*args_, **kwargs_):
        if Task.subclass:
            return Task.subclass(*args_, **kwargs_)
        else:
            return Task(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_task_status(self): return self.task_status
    def set_task_status(self, task_status): self.task_status = task_status
    def get_dumps_storage_credentials(self): return self.dumps_storage_credentials
    def set_dumps_storage_credentials(self, dumps_storage_credentials): self.dumps_storage_credentials = dumps_storage_credentials
    def validate_DumpsStorageCredentials(self, value):
        # validate type DumpsStorageCredentials
        pass
    def get_task_id(self): return self.task_id
    def set_task_id(self, task_id): self.task_id = task_id
    def get_name(self): return self.name
    def set_name(self, name): self.name = name
    def get_mail_to(self): return self.mail_to
    def set_mail_to(self, mail_to): self.mail_to = mail_to
    def get_owner_guid(self): return self.owner_guid
    def set_owner_guid(self, owner_guid): self.owner_guid = owner_guid
    def get_owner_type(self): return self.owner_type
    def set_owner_type(self, owner_type): self.owner_type = owner_type
    def get_backup_profile_name(self): return self.backup_profile_name
    def set_backup_profile_name(self, backup_profile_name): self.backup_profile_name = backup_profile_name
    def get_creation_date(self): return self.creation_date
    def set_creation_date(self, creation_date): self.creation_date = creation_date
    def get_fullname(self): return self.fullname
    def set_fullname(self, fullname): self.fullname = fullname
    def export(self, outfile, level, namespace_='', name_='Task'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='Task')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='Task'):
        if self.get_task_id() is not None:
            outfile.write(' task-id="%s"' % (quote_attrib(self.get_task_id()), ))
        if self.get_name() is not None:
            outfile.write(' name="%s"' % (quote_attrib(self.get_name()), ))
        if self.get_mail_to() is not None:
            outfile.write(' mail-to="%s"' % (quote_attrib(self.get_mail_to()), ))
        if self.get_owner_guid() is not None:
            outfile.write(' owner-guid="%s"' % (quote_attrib(self.get_owner_guid()), ))
        if self.get_owner_type() is not None:
            outfile.write(' owner-type="%s"' % str(self.get_owner_type()))
        if self.get_backup_profile_name() is not None:
            outfile.write(' backup-profile-name="%s"' % (quote_attrib(self.get_backup_profile_name()), ))
        if self.get_creation_date() is not None:
            outfile.write(' creation-date="%s"' % (quote_attrib(self.get_creation_date()), ))
        if self.get_fullname() is not None:
            outfile.write(' fullname="%s"' % (quote_attrib(self.get_fullname()), ))
    def exportChildren(self, outfile, level, namespace_='', name_='Task'):
        if self.task_status:
            self.task_status.export(outfile, level, namespace_, name_='task-status', )
        if self.get_dumps_storage_credentials() != None :
            if self.dumps_storage_credentials:
                self.dumps_storage_credentials.export(outfile, level, namespace_, name_='dumps-storage-credentials')
    def exportLiteral(self, outfile, level, name_='Task'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('task_id = "%s",\n' % (self.get_task_id(),))
        showIndent(outfile, level)
        outfile.write('name = "%s",\n' % (self.get_name(),))
        showIndent(outfile, level)
        outfile.write('mail_to = "%s",\n' % (self.get_mail_to(),))
        showIndent(outfile, level)
        outfile.write('owner_guid = "%s",\n' % (self.get_owner_guid(),))
        showIndent(outfile, level)
        outfile.write('owner_type = "%s",\n' % (self.get_owner_type(),))
        showIndent(outfile, level)
        outfile.write('backup_profile_name = "%s",\n' % (self.get_backup_profile_name(),))
        showIndent(outfile, level)
        outfile.write('creation_date = "%s",\n' % (self.get_creation_date(),))
        showIndent(outfile, level)
        outfile.write('fullname = "%s",\n' % (self.get_fullname(),))
    def exportLiteralChildren(self, outfile, level, name_):
        if self.task_status:
            showIndent(outfile, level)
            outfile.write('task_status=TaskStatus(\n')
            self.task_status.exportLiteral(outfile, level, name_='task_status')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.dumps_storage_credentials:
            showIndent(outfile, level)
            outfile.write('dumps_storage_credentials=DumpsStorageCredentials(\n')
            self.dumps_storage_credentials.exportLiteral(outfile, level, name_='dumps_storage_credentials')
            showIndent(outfile, level)
            outfile.write('),\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('task-id'):
            self.task_id = attrs.get('task-id').value
        if attrs.get('name'):
            self.name = attrs.get('name').value
        if attrs.get('mail-to'):
            self.mail_to = attrs.get('mail-to').value
        if attrs.get('owner-guid'):
            self.owner_guid = attrs.get('owner-guid').value
        if attrs.get('owner-type'):
            self.owner_type = attrs.get('owner-type').value
        if attrs.get('backup-profile-name'):
            self.backup_profile_name = attrs.get('backup-profile-name').value
        if attrs.get('creation-date'):
            self.creation_date = attrs.get('creation-date').value
        if attrs.get('fullname'):
            self.fullname = attrs.get('fullname').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'task-status':
            obj_ = TaskStatus.factory()
            obj_.build(child_)
            self.set_task_status(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'dumps-storage-credentials':
            obj_ = DumpsStorageCredentials.factory()
            obj_.build(child_)
            self.set_dumps_storage_credentials(obj_)
            self.validate_DumpsStorageCredentials(self.dumps_storage_credentials)    # validate type DumpsStorageCredentials
# end class Task


class TaskList:
    subclass = None
    superclass = None
    def __init__(self, task=None):
        if task is None:
            self.task = []
        else:
            self.task = task
    def factory(*args_, **kwargs_):
        if TaskList.subclass:
            return TaskList.subclass(*args_, **kwargs_)
        else:
            return TaskList(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_task(self): return self.task
    def set_task(self, task): self.task = task
    def add_task(self, value): self.task.append(value)
    def insert_task(self, index, value): self.task[index] = value
    def export(self, outfile, level, namespace_='', name_='TaskList'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='TaskList')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='TaskList'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='TaskList'):
        for task_ in self.get_task():
            task_.export(outfile, level, namespace_, name_='task')
    def exportLiteral(self, outfile, level, name_='TaskList'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('task=[\n')
        level += 1
        for task in self.task:
            showIndent(outfile, level)
            outfile.write('Task(\n')
            task.exportLiteral(outfile, level, name_='task')
            showIndent(outfile, level)
            outfile.write('),\n')
        level -= 1
        showIndent(outfile, level)
        outfile.write('],\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'task':
            obj_ = Task.factory()
            obj_.build(child_)
            self.task.append(obj_)
# end class TaskList


class Metainformation:
    subclass = None
    superclass = None
    def __init__(self, record=None):
        if record is None:
            self.record = []
        else:
            self.record = record
    def factory(*args_, **kwargs_):
        if Metainformation.subclass:
            return Metainformation.subclass(*args_, **kwargs_)
        else:
            return Metainformation(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_record(self): return self.record
    def set_record(self, record): self.record = record
    def add_record(self, value): self.record.append(value)
    def insert_record(self, index, value): self.record[index] = value
    def export(self, outfile, level, namespace_='', name_='Metainformation'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='Metainformation')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='Metainformation'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='Metainformation'):
        for record_ in self.get_record():
            record_.export(outfile, level, namespace_, name_='record')
    def exportLiteral(self, outfile, level, name_='Metainformation'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('record=[\n')
        level += 1
        for record in self.record:
            showIndent(outfile, level)
            outfile.write('Record(\n')
            record.exportLiteral(outfile, level, name_='record')
            showIndent(outfile, level)
            outfile.write('),\n')
        level -= 1
        showIndent(outfile, level)
        outfile.write('],\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'record':
            obj_ = Record.factory()
            obj_.build(child_)
            self.record.append(obj_)
# end class Metainformation


class Record:
    subclass = None
    superclass = None
    def __init__(self, name='', valueOf_='', mixedclass_=None, content_=None):
        self.name = name
        if mixedclass_ is None:
            self.mixedclass_ = MixedContainer
        else:
            self.mixedclass_ = mixedclass_
        if content_ is None:
            self.content_ = []
        else:
            self.content_ = content_
    def factory(*args_, **kwargs_):
        if Record.subclass:
            return Record.subclass(*args_, **kwargs_)
        else:
            return Record(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_name(self): return self.name
    def set_name(self, name): self.name = name
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='Record'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='Record')
        outfile.write('>')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='Record'):
        outfile.write(' name="%s"' % (quote_attrib(self.get_name()), ))
    def exportChildren(self, outfile, level, namespace_='', name_='Record'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='Record'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('name = "%s",\n' % (self.get_name(),))
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('name'):
            self.name = attrs.get('name').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            obj_ = self.mixedclass_(MixedContainer.CategoryText,
                MixedContainer.TypeNone, '', child_.nodeValue)
            self.content_.append(obj_)
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class Record


class ObjectsToSelect:
    subclass = None
    superclass = None
    def __init__(self, object=None):
        if object is None:
            self.object = []
        else:
            self.object = object
    def factory(*args_, **kwargs_):
        if ObjectsToSelect.subclass:
            return ObjectsToSelect.subclass(*args_, **kwargs_)
        else:
            return ObjectsToSelect(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_object(self): return self.object
    def set_object(self, object): self.object = object
    def add_object(self, value): self.object.append(value)
    def insert_object(self, index, value): self.object[index] = value
    def export(self, outfile, level, namespace_='', name_='ObjectsToSelect'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='ObjectsToSelect')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='ObjectsToSelect'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='ObjectsToSelect'):
        for object_ in self.get_object():
            object_.export(outfile, level, namespace_, name_='object')
    def exportLiteral(self, outfile, level, name_='ObjectsToSelect'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('object=[\n')
        level += 1
        for object in self.object:
            showIndent(outfile, level)
            outfile.write('Object(\n')
            object.exportLiteral(outfile, level, name_='object')
            showIndent(outfile, level)
            outfile.write('),\n')
        level -= 1
        showIndent(outfile, level)
        outfile.write('],\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'object':
            obj_ = Object.factory()
            obj_.build(child_)
            self.object.append(obj_)
# end class ObjectsToSelect


class ObjectAttributes:
    subclass = None
    superclass = None
    def __init__(self, owner_guid='', guid='', id='', name=''):
        self.owner_guid = owner_guid
        self.guid = guid
        self.id = id
        self.name = name
    def factory(*args_, **kwargs_):
        if ObjectAttributes.subclass:
            return ObjectAttributes.subclass(*args_, **kwargs_)
        else:
            return ObjectAttributes(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_owner_guid(self): return self.owner_guid
    def set_owner_guid(self, owner_guid): self.owner_guid = owner_guid
    def get_guid(self): return self.guid
    def set_guid(self, guid): self.guid = guid
    def get_id(self): return self.id
    def set_id(self, id): self.id = id
    def get_name(self): return self.name
    def set_name(self, name): self.name = name
    def export(self, outfile, level, namespace_='', name_='ObjectAttributes'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='ObjectAttributes')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='ObjectAttributes'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='ObjectAttributes'):
        if self.get_owner_guid() != None :
            if self.get_owner_guid() != "" :
                showIndent(outfile, level)
                outfile.write('<%sowner-guid>%s</%sowner-guid>\n' % (namespace_, quote_xml(self.get_owner_guid()), namespace_))
        if self.get_guid() != None :
            if self.get_guid() != "" :
                showIndent(outfile, level)
                outfile.write('<%sguid>%s</%sguid>\n' % (namespace_, quote_xml(self.get_guid()), namespace_))
        if self.get_id() != None :
            if self.get_id() != "" :
                showIndent(outfile, level)
                outfile.write('<%sid>%s</%sid>\n' % (namespace_, quote_xml(self.get_id()), namespace_))
        if self.get_name() != None :
            if self.get_name() != "" :
                showIndent(outfile, level)
                outfile.write('<%sname>%s</%sname>\n' % (namespace_, quote_xml(self.get_name()), namespace_))
    def exportLiteral(self, outfile, level, name_='ObjectAttributes'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('owner_guid=%s,\n' % quote_python(self.get_owner_guid()))
        showIndent(outfile, level)
        outfile.write('guid=%s,\n' % quote_python(self.get_guid()))
        showIndent(outfile, level)
        outfile.write('id=%s,\n' % quote_python(self.get_id()))
        showIndent(outfile, level)
        outfile.write('name=%s,\n' % quote_python(self.get_name()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'owner-guid':
            owner_guid_ = ''
            for text__content_ in child_.childNodes:
                owner_guid_ += text__content_.nodeValue
            self.owner_guid = owner_guid_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'guid':
            guid_ = ''
            for text__content_ in child_.childNodes:
                guid_ += text__content_.nodeValue
            self.guid = guid_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'id':
            id_ = ''
            for text__content_ in child_.childNodes:
                id_ += text__content_.nodeValue
            self.id = id_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'name':
            name_ = ''
            for text__content_ in child_.childNodes:
                name_ += text__content_.nodeValue
            self.name = name_
# end class ObjectAttributes


class owner_guid:
    subclass = None
    superclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if owner_guid.subclass:
            return owner_guid.subclass(*args_, **kwargs_)
        else:
            return owner_guid(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='owner-guid'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='owner-guid')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='owner-guid'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='owner-guid'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='owner-guid'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class owner_guid


class id:
    subclass = None
    superclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if id.subclass:
            return id.subclass(*args_, **kwargs_)
        else:
            return id(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='id'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='id')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='id'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='id'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='id'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class id


class name:
    subclass = None
    superclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if name.subclass:
            return name.subclass(*args_, **kwargs_)
        else:
            return name(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='name'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='name')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='name'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='name'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='name'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class name


class DumpOverview:
    subclass = None
    superclass = None
    def __init__(self, session_id='', metainformation=None, objects_to_select=None):
        self.session_id = session_id
        self.metainformation = metainformation
        self.objects_to_select = objects_to_select
    def factory(*args_, **kwargs_):
        if DumpOverview.subclass:
            return DumpOverview.subclass(*args_, **kwargs_)
        else:
            return DumpOverview(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_metainformation(self): return self.metainformation
    def set_metainformation(self, metainformation): self.metainformation = metainformation
    def get_objects_to_select(self): return self.objects_to_select
    def set_objects_to_select(self, objects_to_select): self.objects_to_select = objects_to_select
    def get_session_id(self): return self.session_id
    def set_session_id(self, session_id): self.session_id = session_id
    def export(self, outfile, level, namespace_='', name_='DumpOverview'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='DumpOverview')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='DumpOverview'):
        outfile.write(' session-id="%s"' % (quote_attrib(self.get_session_id()), ))
    def exportChildren(self, outfile, level, namespace_='', name_='DumpOverview'):
        if self.metainformation:
            self.metainformation.export(outfile, level, namespace_, name_='metainformation', )
        if self.objects_to_select:
            self.objects_to_select.export(outfile, level, namespace_, name_='objects-to-select', )
    def exportLiteral(self, outfile, level, name_='DumpOverview'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('session_id = "%s",\n' % (self.get_session_id(),))
    def exportLiteralChildren(self, outfile, level, name_):
        if self.metainformation:
            showIndent(outfile, level)
            outfile.write('metainformation=Metainformation(\n')
            self.metainformation.exportLiteral(outfile, level, name_='metainformation')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.objects_to_select:
            showIndent(outfile, level)
            outfile.write('objects_to_select=ObjectsToSelect(\n')
            self.objects_to_select.exportLiteral(outfile, level, name_='objects_to_select')
            showIndent(outfile, level)
            outfile.write('),\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('session-id'):
            self.session_id = attrs.get('session-id').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'metainformation':
            obj_ = Metainformation.factory()
            obj_.build(child_)
            self.set_metainformation(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'objects-to-select':
            obj_ = ObjectsToSelect.factory()
            obj_.build(child_)
            self.set_objects_to_select(obj_)
# end class DumpOverview


class ObjectDisplay:
    subclass = None
    superclass = None
    def __init__(self, conflict_id='', typexx='', name='', planned_action='', valueOf_=''):
        self.conflict_id = conflict_id
        self.typexx = typexx
        self.name = name
        self.planned_action = planned_action
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if ObjectDisplay.subclass:
            return ObjectDisplay.subclass(*args_, **kwargs_)
        else:
            return ObjectDisplay(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_conflict_id(self): return self.conflict_id
    def set_conflict_id(self, conflict_id): self.conflict_id = conflict_id
    def get_type(self): return self.typexx
    def set_type(self, typexx): self.typexx = typexx
    def get_name(self): return self.name
    def set_name(self, name): self.name = name
    def get_planned_action(self): return self.planned_action
    def set_planned_action(self, planned_action): self.planned_action = planned_action
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='ObjectDisplay'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='ObjectDisplay')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='ObjectDisplay'):
        if self.get_conflict_id() is not None:
            outfile.write(' conflict-id="%s"' % (quote_attrib(self.get_conflict_id()), ))
        if self.get_type() is not None:
            outfile.write(' type="%s"' % (quote_attrib(self.get_type()), ))
        if self.get_name() is not None:
            outfile.write(' name="%s"' % (quote_attrib(self.get_name()), ))
        if self.get_planned_action() is not None:
            outfile.write(' planned-action="%s"' % (quote_attrib(self.get_planned_action()), ))
    def exportChildren(self, outfile, level, namespace_='', name_='ObjectDisplay'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='ObjectDisplay'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('conflict_id = "%s",\n' % (self.get_conflict_id(),))
        showIndent(outfile, level)
        outfile.write('typexx = "%s",\n' % (self.get_type(),))
        showIndent(outfile, level)
        outfile.write('name = "%s",\n' % (self.get_name(),))
        showIndent(outfile, level)
        outfile.write('planned_action = "%s",\n' % (self.get_planned_action(),))
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('conflict-id'):
            self.conflict_id = attrs.get('conflict-id').value
        if attrs.get('type'):
            self.typexx = attrs.get('type').value
        if attrs.get('name'):
            self.name = attrs.get('name').value
        if attrs.get('planned-action'):
            self.planned_action = attrs.get('planned-action').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class ObjectDisplay


class ObjectSelect:
    subclass = None
    superclass = None
    def __init__(self, path='', nodename='', attributes=None):
        self.path = path
        self.nodename = nodename
        self.attributes = attributes
    def factory(*args_, **kwargs_):
        if ObjectSelect.subclass:
            return ObjectSelect.subclass(*args_, **kwargs_)
        else:
            return ObjectSelect(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_attributes(self): return self.attributes
    def set_attributes(self, attributes): self.attributes = attributes
    def get_path(self): return self.path
    def set_path(self, path): self.path = path
    def get_nodename(self): return self.nodename
    def set_nodename(self, nodename): self.nodename = nodename
    def export(self, outfile, level, namespace_='', name_='ObjectSelect'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='ObjectSelect')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='ObjectSelect'):
        if self.get_path() is not None:
            outfile.write(' path="%s"' % (quote_attrib(self.get_path()), ))
        if self.get_nodename() is not None:
            outfile.write(' nodename="%s"' % (quote_attrib(self.get_nodename()), ))
    def exportChildren(self, outfile, level, namespace_='', name_='ObjectSelect'):
        if self.get_attributes() != None :
            if self.attributes:
                self.attributes.export(outfile, level, namespace_, name_='attributes')
    def exportLiteral(self, outfile, level, name_='ObjectSelect'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('path = "%s",\n' % (self.get_path(),))
        showIndent(outfile, level)
        outfile.write('nodename = "%s",\n' % (self.get_nodename(),))
    def exportLiteralChildren(self, outfile, level, name_):
        if self.attributes:
            showIndent(outfile, level)
            outfile.write('attributes=ObjectAttributes(\n')
            self.attributes.exportLiteral(outfile, level, name_='attributes')
            showIndent(outfile, level)
            outfile.write('),\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('path'):
            self.path = attrs.get('path').value
        if attrs.get('nodename'):
            self.nodename = attrs.get('nodename').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'attributes':
            obj_ = ObjectAttributes.factory()
            obj_.build(child_)
            self.set_attributes(obj_)
# end class ObjectSelect


class Objects:
    subclass = None
    superclass = None
    def __init__(self, object=None):
        if object is None:
            self.object = []
        else:
            self.object = object
    def factory(*args_, **kwargs_):
        if Objects.subclass:
            return Objects.subclass(*args_, **kwargs_)
        else:
            return Objects(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_object(self): return self.object
    def set_object(self, object): self.object = object
    def add_object(self, value): self.object.append(value)
    def insert_object(self, index, value): self.object[index] = value
    def export(self, outfile, level, namespace_='', name_='Objects'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='Objects')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='Objects'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='Objects'):
        for object_ in self.get_object():
            object_.export(outfile, level, namespace_, name_='object')
    def exportLiteral(self, outfile, level, name_='Objects'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('object=[\n')
        level += 1
        for object in self.object:
            showIndent(outfile, level)
            outfile.write('Object(\n')
            object.exportLiteral(outfile, level, name_='object')
            showIndent(outfile, level)
            outfile.write('),\n')
        level -= 1
        showIndent(outfile, level)
        outfile.write('],\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'object':
            obj_ = Object.factory()
            obj_.build(child_)
            self.object.append(obj_)
# end class Objects


class Object:
    subclass = None
    superclass = None
    def __init__(self, display=None, select=None, objects=None):
        self.display = display
        self.select = select
        self.objects = objects
    def factory(*args_, **kwargs_):
        if Object.subclass:
            return Object.subclass(*args_, **kwargs_)
        else:
            return Object(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_display(self): return self.display
    def set_display(self, display): self.display = display
    def get_select(self): return self.select
    def set_select(self, select): self.select = select
    def get_objects(self): return self.objects
    def set_objects(self, objects): self.objects = objects
    def export(self, outfile, level, namespace_='', name_='Object'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='Object')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='Object'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='Object'):
        if self.display:
            self.display.export(outfile, level, namespace_, name_='display', )
        if self.select:
            self.select.export(outfile, level, namespace_, name_='select', )
        if self.get_objects() != None :
            if self.objects:
                self.objects.export(outfile, level, namespace_, name_='objects')
    def exportLiteral(self, outfile, level, name_='Object'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        if self.display:
            showIndent(outfile, level)
            outfile.write('display=ObjectDisplay(\n')
            self.display.exportLiteral(outfile, level, name_='display')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.select:
            showIndent(outfile, level)
            outfile.write('select=ObjectSelect(\n')
            self.select.exportLiteral(outfile, level, name_='select')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.objects:
            showIndent(outfile, level)
            outfile.write('objects=Objects(\n')
            self.objects.exportLiteral(outfile, level, name_='objects')
            showIndent(outfile, level)
            outfile.write('),\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'display':
            obj_ = ObjectDisplay.factory()
            obj_.build(child_)
            self.set_display(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'select':
            obj_ = ObjectSelect.factory()
            obj_.build(child_)
            self.set_select(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'objects':
            obj_ = Objects.factory()
            obj_.build(child_)
            self.set_objects(obj_)
# end class Object


class TaskId:
    subclass = None
    superclass = None
    def __init__(self, valueOf_='', mixedclass_=None, content_=None):
        if mixedclass_ is None:
            self.mixedclass_ = MixedContainer
        else:
            self.mixedclass_ = mixedclass_
        if content_ is None:
            self.content_ = []
        else:
            self.content_ = content_
    def factory(*args_, **kwargs_):
        if TaskId.subclass:
            return TaskId.subclass(*args_, **kwargs_)
        else:
            return TaskId(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='TaskId'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='TaskId')
        outfile.write('>')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='TaskId'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='TaskId'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='TaskId'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            obj_ = self.mixedclass_(MixedContainer.CategoryText,
                MixedContainer.TypeNone, '', child_.nodeValue)
            self.content_.append(obj_)
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class TaskId


class TaskLog:
    subclass = None
    superclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if TaskLog.subclass:
            return TaskLog.subclass(*args_, **kwargs_)
        else:
            return TaskLog(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='TaskLog'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='TaskLog')
        outfile.write('>')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='TaskLog'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='TaskLog'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='TaskLog'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class TaskLog


class Data:
    subclass = None
    superclass = None
    def __init__(self, restore_task_result=None, dump_overview=None, conflicts_description=None, task_id=None, task_list=None, task_status=None, task_log=None, dump_list=None, check_dump_result=None, scout_result=None, quick_info=None, dump=None):
        self.restore_task_result = restore_task_result
        self.dump_overview = dump_overview
        self.conflicts_description = conflicts_description
        self.task_id = task_id
        self.task_list = task_list
        self.task_status = task_status
        self.task_log = task_log
        self.dump_list = dump_list
        self.check_dump_result = check_dump_result
        self.scout_result = scout_result
        self.quick_info = quick_info
        self.dump = dump
    def factory(*args_, **kwargs_):
        if Data.subclass:
            return Data.subclass(*args_, **kwargs_)
        else:
            return Data(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_restore_task_result(self): return self.restore_task_result
    def set_restore_task_result(self, restore_task_result): self.restore_task_result = restore_task_result
    def get_dump_overview(self): return self.dump_overview
    def set_dump_overview(self, dump_overview): self.dump_overview = dump_overview
    def get_conflicts_description(self): return self.conflicts_description
    def set_conflicts_description(self, conflicts_description): self.conflicts_description = conflicts_description
    def get_task_id(self): return self.task_id
    def set_task_id(self, task_id): self.task_id = task_id
    def get_task_list(self): return self.task_list
    def set_task_list(self, task_list): self.task_list = task_list
    def get_task_status(self): return self.task_status
    def set_task_status(self, task_status): self.task_status = task_status
    def get_task_log(self): return self.task_log
    def set_task_log(self, task_log): self.task_log = task_log
    def get_dump_list(self): return self.dump_list
    def set_dump_list(self, dump_list): self.dump_list = dump_list
    def get_check_dump_result(self): return self.check_dump_result
    def set_check_dump_result(self, check_dump_result): self.check_dump_result = check_dump_result
    def get_scout_result(self): return self.scout_result
    def set_scout_result(self, scout_result): self.scout_result = scout_result
    def get_quick_info(self): return self.quick_info
    def set_quick_info(self, quick_info): self.quick_info = quick_info
    def get_dump(self): return self.dump
    def set_dump(self, dump): self.dump = dump
    def export(self, outfile, level, namespace_='', name_='Data'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='Data')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='Data'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='Data'):
        if self.restore_task_result:
            self.restore_task_result.export(outfile, level, namespace_, name_='restore-task-result', )
        if self.dump_overview:
            self.dump_overview.export(outfile, level, namespace_, name_='dump-overview', )
        if self.conflicts_description:
            self.conflicts_description.export(outfile, level, namespace_, name_='conflicts-description', )
        if self.task_id:
            self.task_id.export(outfile, level, namespace_, name_='task-id', )
        if self.task_list:
            self.task_list.export(outfile, level, namespace_, name_='task-list', )
        if self.task_status:
            self.task_status.export(outfile, level, namespace_, name_='task-status', )
        if self.task_log:
            self.task_log.export(outfile, level, namespace_, name_='task-log', )
        if self.dump_list:
            self.dump_list.export(outfile, level, namespace_, name_='dump-list', )
        if self.check_dump_result:
            self.check_dump_result.export(outfile, level, namespace_, name_='check-dump-result', )
        if self.scout_result:
            self.scout_result.export(outfile, level, namespace_, name_='scout-result', )
        if self.quick_info:
            self.quick_info.export(outfile, level, namespace_, name_='quick-info', )
        if self.dump:
            self.dump.export(outfile, level, namespace_, name_='dump', )
    def exportLiteral(self, outfile, level, name_='Data'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        if self.restore_task_result:
            showIndent(outfile, level)
            outfile.write('restore_task_result=RestoreTaskResult(\n')
            self.restore_task_result.exportLiteral(outfile, level, name_='restore_task_result')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.dump_overview:
            showIndent(outfile, level)
            outfile.write('dump_overview=DumpOverview(\n')
            self.dump_overview.exportLiteral(outfile, level, name_='dump_overview')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.conflicts_description:
            showIndent(outfile, level)
            outfile.write('conflicts_description=ConflictsDescription(\n')
            self.conflicts_description.exportLiteral(outfile, level, name_='conflicts_description')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.task_id:
            showIndent(outfile, level)
            outfile.write('task_id=TaskId(\n')
            self.task_id.exportLiteral(outfile, level, name_='task_id')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.task_list:
            showIndent(outfile, level)
            outfile.write('task_list=TaskList(\n')
            self.task_list.exportLiteral(outfile, level, name_='task_list')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.task_status:
            showIndent(outfile, level)
            outfile.write('task_status=TaskStatus(\n')
            self.task_status.exportLiteral(outfile, level, name_='task_status')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.task_log:
            showIndent(outfile, level)
            outfile.write('task_log=TaskLog(\n')
            self.task_log.exportLiteral(outfile, level, name_='task_log')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.dump_list:
            showIndent(outfile, level)
            outfile.write('dump_list=DumpList(\n')
            self.dump_list.exportLiteral(outfile, level, name_='dump_list')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.check_dump_result:
            showIndent(outfile, level)
            outfile.write('check_dump_result=CheckDumpResult(\n')
            self.check_dump_result.exportLiteral(outfile, level, name_='check_dump_result')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.scout_result:
            showIndent(outfile, level)
            outfile.write('scout_result=ScoutResult(\n')
            self.scout_result.exportLiteral(outfile, level, name_='scout_result')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.quick_info:
            showIndent(outfile, level)
            outfile.write('quick_info=QuickInfo(\n')
            self.quick_info.exportLiteral(outfile, level, name_='quick_info')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.dump:
            showIndent(outfile, level)
            outfile.write('dump=Dump(\n')
            self.dump.exportLiteral(outfile, level, name_='dump')
            showIndent(outfile, level)
            outfile.write('),\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'restore-task-result':
            obj_ = RestoreTaskResult.factory()
            obj_.build(child_)
            self.set_restore_task_result(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'dump-overview':
            obj_ = DumpOverview.factory()
            obj_.build(child_)
            self.set_dump_overview(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'conflicts-description':
            obj_ = ConflictsDescription.factory()
            obj_.build(child_)
            self.set_conflicts_description(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'task-id':
            obj_ = TaskId.factory()
            obj_.build(child_)
            self.set_task_id(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'task-list':
            obj_ = TaskList.factory()
            obj_.build(child_)
            self.set_task_list(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'task-status':
            obj_ = TaskStatus.factory()
            obj_.build(child_)
            self.set_task_status(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'task-log':
            obj_ = TaskLog.factory()
            obj_.build(child_)
            self.set_task_log(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'dump-list':
            obj_ = DumpList.factory()
            obj_.build(child_)
            self.set_dump_list(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'check-dump-result':
            obj_ = CheckDumpResult.factory()
            obj_.build(child_)
            self.set_check_dump_result(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'scout-result':
            obj_ = ScoutResult.factory()
            obj_.build(child_)
            self.set_scout_result(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'quick-info':
            obj_ = QuickInfo.factory()
            obj_.build(child_)
            self.set_quick_info(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'dump':
            obj_ = Dump.factory()
            obj_.build(child_)
            self.set_dump(obj_)
# end class Data


class QuickInfo:
    subclass = None
    superclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if QuickInfo.subclass:
            return QuickInfo.subclass(*args_, **kwargs_)
        else:
            return QuickInfo(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='QuickInfo'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='QuickInfo')
        outfile.write('>')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='QuickInfo'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='QuickInfo'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='QuickInfo'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class QuickInfo


class ScoutResult:
    subclass = None
    superclass = None
    def __init__(self, detected_panel=None, os_info=None, remote_fs=None):
        self.detected_panel = detected_panel
        self.os_info = os_info
        self.remote_fs = remote_fs
    def factory(*args_, **kwargs_):
        if ScoutResult.subclass:
            return ScoutResult.subclass(*args_, **kwargs_)
        else:
            return ScoutResult(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_detected_panel(self): return self.detected_panel
    def set_detected_panel(self, detected_panel): self.detected_panel = detected_panel
    def get_os_info(self): return self.os_info
    def set_os_info(self, os_info): self.os_info = os_info
    def get_remote_fs(self): return self.remote_fs
    def set_remote_fs(self, remote_fs): self.remote_fs = remote_fs
    def export(self, outfile, level, namespace_='', name_='ScoutResult'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='ScoutResult')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='ScoutResult'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='ScoutResult'):
        if self.get_detected_panel() != None :
            if self.detected_panel:
                self.detected_panel.export(outfile, level, namespace_, name_='detected-panel')
        if self.os_info:
            self.os_info.export(outfile, level, namespace_, name_='os-info', )
        if self.remote_fs:
            self.remote_fs.export(outfile, level, namespace_, name_='remote-fs', )
    def exportLiteral(self, outfile, level, name_='ScoutResult'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        if self.detected_panel:
            showIndent(outfile, level)
            outfile.write('detected_panel=DetectedPanel(\n')
            self.detected_panel.exportLiteral(outfile, level, name_='detected_panel')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.os_info:
            showIndent(outfile, level)
            outfile.write('os_info=OsInfo(\n')
            self.os_info.exportLiteral(outfile, level, name_='os_info')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.remote_fs:
            showIndent(outfile, level)
            outfile.write('remote_fs=FsList(\n')
            self.remote_fs.exportLiteral(outfile, level, name_='remote_fs')
            showIndent(outfile, level)
            outfile.write('),\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'detected-panel':
            obj_ = DetectedPanel.factory()
            obj_.build(child_)
            self.set_detected_panel(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'os-info':
            obj_ = OsInfo.factory()
            obj_.build(child_)
            self.set_os_info(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'remote-fs':
            obj_ = FsList.factory()
            obj_.build(child_)
            self.set_remote_fs(obj_)
# end class ScoutResult


class DetectedPanel:
    subclass = None
    superclass = None
    def __init__(self, name='', agent='', valueOf_=''):
        self.name = name
        self.agent = agent
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if DetectedPanel.subclass:
            return DetectedPanel.subclass(*args_, **kwargs_)
        else:
            return DetectedPanel(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_name(self): return self.name
    def set_name(self, name): self.name = name
    def get_agent(self): return self.agent
    def set_agent(self, agent): self.agent = agent
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='DetectedPanel'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='DetectedPanel')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='DetectedPanel'):
        outfile.write(' name="%s"' % (quote_attrib(self.get_name()), ))
        outfile.write(' agent="%s"' % (quote_attrib(self.get_agent()), ))
    def exportChildren(self, outfile, level, namespace_='', name_='DetectedPanel'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='DetectedPanel'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('name = "%s",\n' % (self.get_name(),))
        showIndent(outfile, level)
        outfile.write('agent = "%s",\n' % (self.get_agent(),))
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('name'):
            self.name = attrs.get('name').value
        if attrs.get('agent'):
            self.agent = attrs.get('agent').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class DetectedPanel


class OsInfo:
    subclass = None
    superclass = None
    def __init__(self, loadavg='', os='', valueOf_=''):
        self.loadavg = loadavg
        self.os = os
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if OsInfo.subclass:
            return OsInfo.subclass(*args_, **kwargs_)
        else:
            return OsInfo(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_loadavg(self): return self.loadavg
    def set_loadavg(self, loadavg): self.loadavg = loadavg
    def get_os(self): return self.os
    def set_os(self, os): self.os = os
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='OsInfo'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='OsInfo')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='OsInfo'):
        outfile.write(' loadavg="%s"' % (quote_attrib(self.get_loadavg()), ))
        outfile.write(' os="%s"' % (quote_attrib(self.get_os()), ))
    def exportChildren(self, outfile, level, namespace_='', name_='OsInfo'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='OsInfo'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('loadavg = "%s",\n' % (self.get_loadavg(),))
        showIndent(outfile, level)
        outfile.write('os = "%s",\n' % (self.get_os(),))
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('loadavg'):
            self.loadavg = attrs.get('loadavg').value
        if attrs.get('os'):
            self.os = attrs.get('os').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class OsInfo


class FsList:
    subclass = None
    superclass = None
    def __init__(self, fs=None):
        if fs is None:
            self.fs = []
        else:
            self.fs = fs
    def factory(*args_, **kwargs_):
        if FsList.subclass:
            return FsList.subclass(*args_, **kwargs_)
        else:
            return FsList(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_fs(self): return self.fs
    def set_fs(self, fs): self.fs = fs
    def add_fs(self, value): self.fs.append(value)
    def insert_fs(self, index, value): self.fs[index] = value
    def export(self, outfile, level, namespace_='', name_='FsList'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='FsList')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='FsList'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='FsList'):
        for fs_ in self.get_fs():
            fs_.export(outfile, level, namespace_, name_='fs')
    def exportLiteral(self, outfile, level, name_='FsList'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('fs=[\n')
        level += 1
        for fs in self.fs:
            showIndent(outfile, level)
            outfile.write('Fs(\n')
            fs.exportLiteral(outfile, level, name_='fs')
            showIndent(outfile, level)
            outfile.write('),\n')
        level -= 1
        showIndent(outfile, level)
        outfile.write('],\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'fs':
            obj_ = Fs.factory()
            obj_.build(child_)
            self.fs.append(obj_)
# end class FsList


class Fs:
    subclass = None
    superclass = None
    def __init__(self, free=-1, mode=None, device='', mountpoint='', typexx='', size=-1, valueOf_=''):
        self.free = free
        self.mode = mode
        self.device = device
        self.mountpoint = mountpoint
        self.typexx = typexx
        self.size = size
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if Fs.subclass:
            return Fs.subclass(*args_, **kwargs_)
        else:
            return Fs(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_free(self): return self.free
    def set_free(self, free): self.free = free
    def get_mode(self): return self.mode
    def set_mode(self, mode): self.mode = mode
    def get_device(self): return self.device
    def set_device(self, device): self.device = device
    def get_mountpoint(self): return self.mountpoint
    def set_mountpoint(self, mountpoint): self.mountpoint = mountpoint
    def get_type(self): return self.typexx
    def set_type(self, typexx): self.typexx = typexx
    def get_size(self): return self.size
    def set_size(self, size): self.size = size
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='Fs'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='Fs')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='Fs'):
        outfile.write(' free="%d"' % self.get_free())
        outfile.write(' mode="%s"' % str(self.get_mode()))
        outfile.write(' device="%s"' % (quote_attrib(self.get_device()), ))
        outfile.write(' mountpoint="%s"' % (quote_attrib(self.get_mountpoint()), ))
        outfile.write(' type="%s"' % (quote_attrib(self.get_type()), ))
        outfile.write(' size="%d"' % self.get_size())
    def exportChildren(self, outfile, level, namespace_='', name_='Fs'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='Fs'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('free = "%s",\n' % (self.get_free(),))
        showIndent(outfile, level)
        outfile.write('mode = "%s",\n' % (self.get_mode(),))
        showIndent(outfile, level)
        outfile.write('device = "%s",\n' % (self.get_device(),))
        showIndent(outfile, level)
        outfile.write('mountpoint = "%s",\n' % (self.get_mountpoint(),))
        showIndent(outfile, level)
        outfile.write('typexx = "%s",\n' % (self.get_type(),))
        showIndent(outfile, level)
        outfile.write('size = "%s",\n' % (self.get_size(),))
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('free'):
            try:
                self.free = int(attrs.get('free').value)
            except ValueError:
                raise ValueError('Bad integer attribute (free)')
        if attrs.get('mode'):
            self.mode = attrs.get('mode').value
        if attrs.get('device'):
            self.device = attrs.get('device').value
        if attrs.get('mountpoint'):
            self.mountpoint = attrs.get('mountpoint').value
        if attrs.get('type'):
            self.typexx = attrs.get('type').value
        if attrs.get('size'):
            try:
                self.size = int(attrs.get('size').value)
            except ValueError:
                raise ValueError('Bad integer attribute (size)')
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class Fs


class CheckDumpResult:
    subclass = None
    superclass = None
    def __init__(self, dump_status=None):
        if dump_status is None:
            self.dump_status = []
        else:
            self.dump_status = dump_status
    def factory(*args_, **kwargs_):
        if CheckDumpResult.subclass:
            return CheckDumpResult.subclass(*args_, **kwargs_)
        else:
            return CheckDumpResult(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_dump_status(self): return self.dump_status
    def set_dump_status(self, dump_status): self.dump_status = dump_status
    def add_dump_status(self, value): self.dump_status.append(value)
    def insert_dump_status(self, index, value): self.dump_status[index] = value
    def export(self, outfile, level, namespace_='', name_='CheckDumpResult'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='CheckDumpResult')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='CheckDumpResult'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='CheckDumpResult'):
        for dump_status_ in self.get_dump_status():
            dump_status_.export(outfile, level, namespace_, name_='dump-status')
    def exportLiteral(self, outfile, level, name_='CheckDumpResult'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('dump_status=[\n')
        level += 1
        for dump_status in self.dump_status:
            showIndent(outfile, level)
            outfile.write('DumpStatusFull(\n')
            dump_status.exportLiteral(outfile, level, name_='dump_status')
            showIndent(outfile, level)
            outfile.write('),\n')
        level -= 1
        showIndent(outfile, level)
        outfile.write('],\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'dump-status':
            obj_ = DumpStatusFull.factory()
            obj_.build(child_)
            self.dump_status.append(obj_)
# end class CheckDumpResult


class DumpStatusFull:
    subclass = None
    superclass = None
    def __init__(self, dump_status=None, details=None):
        self.dump_status = dump_status
        self.details = details
    def factory(*args_, **kwargs_):
        if DumpStatusFull.subclass:
            return DumpStatusFull.subclass(*args_, **kwargs_)
        else:
            return DumpStatusFull(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_details(self): return self.details
    def set_details(self, details): self.details = details
    def get_dump_status(self): return self.dump_status
    def set_dump_status(self, dump_status): self.dump_status = dump_status
    def export(self, outfile, level, namespace_='', name_='DumpStatusFull'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='DumpStatusFull')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='DumpStatusFull'):
        if self.get_dump_status() is not None:
            outfile.write(' dump-status="%s"' % str(self.get_dump_status()))
    def exportChildren(self, outfile, level, namespace_='', name_='DumpStatusFull'):
        if self.get_details() != None :
            if self.details:
                self.details.export(outfile, level, namespace_, name_='details')
    def exportLiteral(self, outfile, level, name_='DumpStatusFull'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('dump_status = "%s",\n' % (self.get_dump_status(),))
    def exportLiteralChildren(self, outfile, level, name_):
        if self.details:
            showIndent(outfile, level)
            outfile.write('details=details(\n')
            self.details.exportLiteral(outfile, level)
            showIndent(outfile, level)
            outfile.write('),\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('dump-status'):
            self.dump_status = attrs.get('dump-status').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'details':
            obj_ = details.factory()
            obj_.build(child_)
            self.set_details(obj_)
# end class DumpStatusFull


class details:
    subclass = None
    superclass = None
    def __init__(self, content_file_name=None):
        if content_file_name is None:
            self.content_file_name = []
        else:
            self.content_file_name = content_file_name
    def factory(*args_, **kwargs_):
        if details.subclass:
            return details.subclass(*args_, **kwargs_)
        else:
            return details(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_content_file_name(self): return self.content_file_name
    def set_content_file_name(self, content_file_name): self.content_file_name = content_file_name
    def add_content_file_name(self, value): self.content_file_name.append(value)
    def insert_content_file_name(self, index, value): self.content_file_name[index] = value
    def export(self, outfile, level, namespace_='', name_='details'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='details')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='details'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='details'):
        for content_file_name_ in self.get_content_file_name():
            showIndent(outfile, level)
            outfile.write('<%scontent-file-name>%s</%scontent-file-name>\n' % (namespace_, quote_xml(content_file_name_), namespace_))
    def exportLiteral(self, outfile, level, name_='details'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('content_file_name=[\n')
        level += 1
        for content_file_name in self.content_file_name:
            showIndent(outfile, level)
            outfile.write('%s,\n' % quote_python(content_file_name))
        level -= 1
        showIndent(outfile, level)
        outfile.write('],\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'content-file-name':
            content_file_name_ = ''
            for text__content_ in child_.childNodes:
                content_file_name_ += text__content_.nodeValue
            self.content_file_name.append(content_file_name_)
# end class details


class content_file_name:
    subclass = None
    superclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if content_file_name.subclass:
            return content_file_name.subclass(*args_, **kwargs_)
        else:
            return content_file_name(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='content-file-name'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='content-file-name')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='content-file-name'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='content-file-name'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='content-file-name'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class content_file_name


class TaskStatus:
    subclass = None
    superclass = None
    def __init__(self, working=None, finished=None, stopped=None):
        self.working = working
        self.finished = finished
        self.stopped = stopped
    def factory(*args_, **kwargs_):
        if TaskStatus.subclass:
            return TaskStatus.subclass(*args_, **kwargs_)
        else:
            return TaskStatus(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_working(self): return self.working
    def set_working(self, working): self.working = working
    def get_finished(self): return self.finished
    def set_finished(self, finished): self.finished = finished
    def get_stopped(self): return self.stopped
    def set_stopped(self, stopped): self.stopped = stopped
    def export(self, outfile, level, namespace_='', name_='TaskStatus'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='TaskStatus')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='TaskStatus'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='TaskStatus'):
        if self.working:
            self.working.export(outfile, level, namespace_, name_='working', )
        if self.finished:
            self.finished.export(outfile, level, namespace_, name_='finished', )
        if self.stopped:
            self.stopped.export(outfile, level, namespace_, name_='stopped', )
    def exportLiteral(self, outfile, level, name_='TaskStatus'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        if self.working:
            showIndent(outfile, level)
            outfile.write('working=Working(\n')
            self.working.exportLiteral(outfile, level, name_='working')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.finished:
            showIndent(outfile, level)
            outfile.write('finished=Finished(\n')
            self.finished.exportLiteral(outfile, level, name_='finished')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.stopped:
            showIndent(outfile, level)
            outfile.write('stopped=Stopped(\n')
            self.stopped.exportLiteral(outfile, level, name_='stopped')
            showIndent(outfile, level)
            outfile.write('),\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'working':
            obj_ = Working.factory()
            obj_.build(child_)
            self.set_working(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'finished':
            obj_ = Finished.factory()
            obj_.build(child_)
            self.set_finished(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'stopped':
            obj_ = Stopped.factory()
            obj_.build(child_)
            self.set_stopped(obj_)
# end class TaskStatus


class Working:
    subclass = None
    superclass = None
    def __init__(self, starting=None, deploy=None, dumping=None):
        self.starting = starting
        self.deploy = deploy
        self.dumping = dumping
    def factory(*args_, **kwargs_):
        if Working.subclass:
            return Working.subclass(*args_, **kwargs_)
        else:
            return Working(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_starting(self): return self.starting
    def set_starting(self, starting): self.starting = starting
    def get_deploy(self): return self.deploy
    def set_deploy(self, deploy): self.deploy = deploy
    def get_dumping(self): return self.dumping
    def set_dumping(self, dumping): self.dumping = dumping
    def export(self, outfile, level, namespace_='', name_='Working'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='Working')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='Working'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='Working'):
        if self.starting:
            self.starting.export(outfile, level, namespace_, name_='starting', )
        if self.deploy:
            self.deploy.export(outfile, level, namespace_, name_='deploy', )
        if self.dumping:
            self.dumping.export(outfile, level, namespace_, name_='dumping', )
    def exportLiteral(self, outfile, level, name_='Working'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        if self.starting:
            showIndent(outfile, level)
            outfile.write('starting=Starting(\n')
            self.starting.exportLiteral(outfile, level, name_='starting')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.deploy:
            showIndent(outfile, level)
            outfile.write('deploy=WorkingProgress(\n')
            self.deploy.exportLiteral(outfile, level, name_='deploy')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.dumping:
            showIndent(outfile, level)
            outfile.write('dumping=WorkingProgress(\n')
            self.dumping.exportLiteral(outfile, level, name_='dumping')
            showIndent(outfile, level)
            outfile.write('),\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'starting':
            obj_ = Starting.factory()
            obj_.build(child_)
            self.set_starting(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'deploy':
            obj_ = WorkingProgress.factory()
            obj_.build(child_)
            self.set_deploy(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'dumping':
            obj_ = WorkingProgress.factory()
            obj_.build(child_)
            self.set_dumping(obj_)
# end class Working


class Starting:
    subclass = None
    superclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if Starting.subclass:
            return Starting.subclass(*args_, **kwargs_)
        else:
            return Starting(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='Starting'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='Starting')
        outfile.write('>')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='Starting'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='Starting'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='Starting'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class Starting


class Stopped:
    subclass = None
    superclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if Stopped.subclass:
            return Stopped.subclass(*args_, **kwargs_)
        else:
            return Stopped(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='Stopped'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='Stopped')
        outfile.write('>')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='Stopped'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='Stopped'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='Stopped'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class Stopped


class CurrentObject:
    subclass = None
    superclass = None
    def __init__(self, typexx='', valueOf_=''):
        self.typexx = typexx
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if CurrentObject.subclass:
            return CurrentObject.subclass(*args_, **kwargs_)
        else:
            return CurrentObject(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_type(self): return self.typexx
    def set_type(self, typexx): self.typexx = typexx
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='CurrentObject'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='CurrentObject')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='CurrentObject'):
        outfile.write(' type="%s"' % (quote_attrib(self.get_type()), ))
    def exportChildren(self, outfile, level, namespace_='', name_='CurrentObject'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='CurrentObject'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('typexx = "%s",\n' % (self.get_type(),))
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('type'):
            self.typexx = attrs.get('type').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class CurrentObject


class WorkingProgress:
    subclass = None
    superclass = None
    def __init__(self, total_accounts=-1, completed_domains=-1, completed_accounts=-1, total_domains=-1, current_object=None):
        self.total_accounts = total_accounts
        self.completed_domains = completed_domains
        self.completed_accounts = completed_accounts
        self.total_domains = total_domains
        self.current_object = current_object
    def factory(*args_, **kwargs_):
        if WorkingProgress.subclass:
            return WorkingProgress.subclass(*args_, **kwargs_)
        else:
            return WorkingProgress(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_current_object(self): return self.current_object
    def set_current_object(self, current_object): self.current_object = current_object
    def get_total_accounts(self): return self.total_accounts
    def set_total_accounts(self, total_accounts): self.total_accounts = total_accounts
    def get_completed_domains(self): return self.completed_domains
    def set_completed_domains(self, completed_domains): self.completed_domains = completed_domains
    def get_completed_accounts(self): return self.completed_accounts
    def set_completed_accounts(self, completed_accounts): self.completed_accounts = completed_accounts
    def get_total_domains(self): return self.total_domains
    def set_total_domains(self, total_domains): self.total_domains = total_domains
    def export(self, outfile, level, namespace_='', name_='WorkingProgress'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='WorkingProgress')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='WorkingProgress'):
        outfile.write(' total-accounts="%d"' % self.get_total_accounts())
        outfile.write(' completed-domains="%d"' % self.get_completed_domains())
        outfile.write(' completed-accounts="%d"' % self.get_completed_accounts())
        outfile.write(' total-domains="%d"' % self.get_total_domains())
    def exportChildren(self, outfile, level, namespace_='', name_='WorkingProgress'):
        if self.get_current_object() != None :
            if self.current_object:
                self.current_object.export(outfile, level, namespace_, name_='current-object')
    def exportLiteral(self, outfile, level, name_='WorkingProgress'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('total_accounts = "%s",\n' % (self.get_total_accounts(),))
        showIndent(outfile, level)
        outfile.write('completed_domains = "%s",\n' % (self.get_completed_domains(),))
        showIndent(outfile, level)
        outfile.write('completed_accounts = "%s",\n' % (self.get_completed_accounts(),))
        showIndent(outfile, level)
        outfile.write('total_domains = "%s",\n' % (self.get_total_domains(),))
    def exportLiteralChildren(self, outfile, level, name_):
        if self.current_object:
            showIndent(outfile, level)
            outfile.write('current_object=CurrentObject(\n')
            self.current_object.exportLiteral(outfile, level, name_='current_object')
            showIndent(outfile, level)
            outfile.write('),\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('total-accounts'):
            try:
                self.total_accounts = int(attrs.get('total-accounts').value)
            except ValueError:
                raise ValueError('Bad integer attribute (total-accounts)')
        if attrs.get('completed-domains'):
            try:
                self.completed_domains = int(attrs.get('completed-domains').value)
            except ValueError:
                raise ValueError('Bad integer attribute (completed-domains)')
        if attrs.get('completed-accounts'):
            try:
                self.completed_accounts = int(attrs.get('completed-accounts').value)
            except ValueError:
                raise ValueError('Bad integer attribute (completed-accounts)')
        if attrs.get('total-domains'):
            try:
                self.total_domains = int(attrs.get('total-domains').value)
            except ValueError:
                raise ValueError('Bad integer attribute (total-domains)')
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'current-object':
            obj_ = CurrentObject.factory()
            obj_.build(child_)
            self.set_current_object(obj_)
# end class WorkingProgress


class Finished:
    subclass = None
    superclass = None
    def __init__(self, status=None, log_location='', valueOf_=''):
        self.status = status
        self.log_location = log_location
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if Finished.subclass:
            return Finished.subclass(*args_, **kwargs_)
        else:
            return Finished(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_status(self): return self.status
    def set_status(self, status): self.status = status
    def get_log_location(self): return self.log_location
    def set_log_location(self, log_location): self.log_location = log_location
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='Finished'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='Finished')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='Finished'):
        outfile.write(' status="%s"' % str(self.get_status()))
        if self.get_log_location() is not None:
            outfile.write(' log-location="%s"' % (quote_attrib(self.get_log_location()), ))
    def exportChildren(self, outfile, level, namespace_='', name_='Finished'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='Finished'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('status = "%s",\n' % (self.get_status(),))
        showIndent(outfile, level)
        outfile.write('log_location = "%s",\n' % (self.get_log_location(),))
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('status'):
            self.status = attrs.get('status').value
        if attrs.get('log-location'):
            self.log_location = attrs.get('log-location').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class Finished


class DumpListQuery:
    subclass = None
    superclass = None
    def __init__(self, dumps_storage_credentials=None, object_specification=None):
        self.dumps_storage_credentials = dumps_storage_credentials
        self.object_specification = object_specification
    def factory(*args_, **kwargs_):
        if DumpListQuery.subclass:
            return DumpListQuery.subclass(*args_, **kwargs_)
        else:
            return DumpListQuery(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_dumps_storage_credentials(self): return self.dumps_storage_credentials
    def set_dumps_storage_credentials(self, dumps_storage_credentials): self.dumps_storage_credentials = dumps_storage_credentials
    def validate_DumpsStorageCredentials(self, value):
        # validate type DumpsStorageCredentials
        pass
    def get_object_specification(self): return self.object_specification
    def set_object_specification(self, object_specification): self.object_specification = object_specification
    def export(self, outfile, level, namespace_='', name_='DumpListQuery'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='DumpListQuery')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='DumpListQuery'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='DumpListQuery'):
        if self.dumps_storage_credentials:
            self.dumps_storage_credentials.export(outfile, level, namespace_, name_='dumps-storage-credentials', )
        if self.object_specification:
            self.object_specification.export(outfile, level, namespace_, name_='object-specification', )
    def exportLiteral(self, outfile, level, name_='DumpListQuery'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        if self.dumps_storage_credentials:
            showIndent(outfile, level)
            outfile.write('dumps_storage_credentials=DumpsStorageCredentials(\n')
            self.dumps_storage_credentials.exportLiteral(outfile, level, name_='dumps_storage_credentials')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.object_specification:
            showIndent(outfile, level)
            outfile.write('object_specification=ObjectSpecification(\n')
            self.object_specification.exportLiteral(outfile, level, name_='object_specification')
            showIndent(outfile, level)
            outfile.write('),\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'dumps-storage-credentials':
            obj_ = DumpsStorageCredentials.factory()
            obj_.build(child_)
            self.set_dumps_storage_credentials(obj_)
            self.validate_DumpsStorageCredentials(self.dumps_storage_credentials)    # validate type DumpsStorageCredentials
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'object-specification':
            obj_ = ObjectSpecification.factory()
            obj_.build(child_)
            self.set_object_specification(obj_)
# end class DumpListQuery


class ObjectSpecification:
    subclass = None
    superclass = None
    def __init__(self, guid='', typexx=None, id='', name='', valueOf_=''):
        self.guid = guid
        self.typexx = typexx
        self.id = id
        self.name = name
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if ObjectSpecification.subclass:
            return ObjectSpecification.subclass(*args_, **kwargs_)
        else:
            return ObjectSpecification(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_guid(self): return self.guid
    def set_guid(self, guid): self.guid = guid
    def get_type(self): return self.typexx
    def set_type(self, typexx): self.typexx = typexx
    def get_id(self): return self.id
    def set_id(self, id): self.id = id
    def get_name(self): return self.name
    def set_name(self, name): self.name = name
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='ObjectSpecification'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='ObjectSpecification')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='ObjectSpecification'):
        outfile.write(' guid="%s"' % (quote_attrib(self.get_guid()), ))
        outfile.write(' type="%s"' % str(self.get_type()))
        if self.get_id() is not None:
            outfile.write(' id="%s"' % (quote_attrib(self.get_id()), ))
        if self.get_name() is not None:
            outfile.write(' name="%s"' % (quote_attrib(self.get_name()), ))
    def exportChildren(self, outfile, level, namespace_='', name_='ObjectSpecification'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='ObjectSpecification'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('guid = "%s",\n' % (self.get_guid(),))
        showIndent(outfile, level)
        outfile.write('typexx = "%s",\n' % (self.get_type(),))
        showIndent(outfile, level)
        outfile.write('id = "%s",\n' % (self.get_id(),))
        showIndent(outfile, level)
        outfile.write('name = "%s",\n' % (self.get_name(),))
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('guid'):
            self.guid = attrs.get('guid').value
        if attrs.get('type'):
            self.typexx = attrs.get('type').value
        if attrs.get('id'):
            self.id = attrs.get('id').value
        if attrs.get('name'):
            self.name = attrs.get('name').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class ObjectSpecification


class BackupTaskDescription:
    subclass = None
    superclass = None
    def __init__(self, misc=None, agent_credentials=None, control_panel_credentials=None, dumps_storage_credentials=None, backup_specification=None):
        self.misc = misc
        self.agent_credentials = agent_credentials
        self.control_panel_credentials = control_panel_credentials
        self.dumps_storage_credentials = dumps_storage_credentials
        self.backup_specification = backup_specification
    def factory(*args_, **kwargs_):
        if BackupTaskDescription.subclass:
            return BackupTaskDescription.subclass(*args_, **kwargs_)
        else:
            return BackupTaskDescription(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_misc(self): return self.misc
    def set_misc(self, misc): self.misc = misc
    def get_agent_credentials(self): return self.agent_credentials
    def set_agent_credentials(self, agent_credentials): self.agent_credentials = agent_credentials
    def get_control_panel_credentials(self): return self.control_panel_credentials
    def set_control_panel_credentials(self, control_panel_credentials): self.control_panel_credentials = control_panel_credentials
    def get_dumps_storage_credentials(self): return self.dumps_storage_credentials
    def set_dumps_storage_credentials(self, dumps_storage_credentials): self.dumps_storage_credentials = dumps_storage_credentials
    def validate_DumpsStorageCredentials(self, value):
        # validate type DumpsStorageCredentials
        pass
    def get_backup_specification(self): return self.backup_specification
    def set_backup_specification(self, backup_specification): self.backup_specification = backup_specification
    def export(self, outfile, level, namespace_='', name_='BackupTaskDescription'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='BackupTaskDescription')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='BackupTaskDescription'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='BackupTaskDescription'):
        if self.misc:
            self.misc.export(outfile, level, namespace_, name_='misc', )
        if self.get_agent_credentials() != None :
            if self.agent_credentials:
                self.agent_credentials.export(outfile, level, namespace_, name_='agent-credentials')
        if self.get_control_panel_credentials() != None :
            if self.control_panel_credentials:
                self.control_panel_credentials.export(outfile, level, namespace_, name_='control-panel-credentials')
        if self.dumps_storage_credentials:
            self.dumps_storage_credentials.export(outfile, level, namespace_, name_='dumps-storage-credentials', )
        if self.backup_specification:
            self.backup_specification.export(outfile, level, namespace_, name_='backup-specification', )
    def exportLiteral(self, outfile, level, name_='BackupTaskDescription'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        if self.misc:
            showIndent(outfile, level)
            outfile.write('misc=BackupTaskDescriptionMisc(\n')
            self.misc.exportLiteral(outfile, level, name_='misc')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.agent_credentials:
            showIndent(outfile, level)
            outfile.write('agent_credentials=AgentCredentials(\n')
            self.agent_credentials.exportLiteral(outfile, level, name_='agent_credentials')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.control_panel_credentials:
            showIndent(outfile, level)
            outfile.write('control_panel_credentials=ControlPanelCredentials(\n')
            self.control_panel_credentials.exportLiteral(outfile, level, name_='control_panel_credentials')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.dumps_storage_credentials:
            showIndent(outfile, level)
            outfile.write('dumps_storage_credentials=DumpsStorageCredentials(\n')
            self.dumps_storage_credentials.exportLiteral(outfile, level, name_='dumps_storage_credentials')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.backup_specification:
            showIndent(outfile, level)
            outfile.write('backup_specification=BackupSpecification(\n')
            self.backup_specification.exportLiteral(outfile, level, name_='backup_specification')
            showIndent(outfile, level)
            outfile.write('),\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'misc':
            obj_ = BackupTaskDescriptionMisc.factory()
            obj_.build(child_)
            self.set_misc(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'agent-credentials':
            obj_ = AgentCredentials.factory()
            obj_.build(child_)
            self.set_agent_credentials(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'control-panel-credentials':
            obj_ = ControlPanelCredentials.factory()
            obj_.build(child_)
            self.set_control_panel_credentials(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'dumps-storage-credentials':
            obj_ = DumpsStorageCredentials.factory()
            obj_.build(child_)
            self.set_dumps_storage_credentials(obj_)
            self.validate_DumpsStorageCredentials(self.dumps_storage_credentials)    # validate type DumpsStorageCredentials
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'backup-specification':
            obj_ = BackupSpecification.factory()
            obj_.build(child_)
            self.set_backup_specification(obj_)
# end class BackupTaskDescription


class BackupSpecification:
    subclass = None
    superclass = None
    def __init__(self, backup_options=None, object_to_backup=None, object_to_exclude=None):
        self.backup_options = backup_options
        if object_to_backup is None:
            self.object_to_backup = []
        else:
            self.object_to_backup = object_to_backup
        if object_to_exclude is None:
            self.object_to_exclude = []
        else:
            self.object_to_exclude = object_to_exclude
    def factory(*args_, **kwargs_):
        if BackupSpecification.subclass:
            return BackupSpecification.subclass(*args_, **kwargs_)
        else:
            return BackupSpecification(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_backup_options(self): return self.backup_options
    def set_backup_options(self, backup_options): self.backup_options = backup_options
    def validate_BackupOptions(self, value):
        # validate type BackupOptions
        pass
    def get_object_to_backup(self): return self.object_to_backup
    def set_object_to_backup(self, object_to_backup): self.object_to_backup = object_to_backup
    def add_object_to_backup(self, value): self.object_to_backup.append(value)
    def insert_object_to_backup(self, index, value): self.object_to_backup[index] = value
    def validate_BackupObjectIdentifier(self, value):
        # validate type BackupObjectIdentifier
        pass
    def get_object_to_exclude(self): return self.object_to_exclude
    def set_object_to_exclude(self, object_to_exclude): self.object_to_exclude = object_to_exclude
    def add_object_to_exclude(self, value): self.object_to_exclude.append(value)
    def insert_object_to_exclude(self, index, value): self.object_to_exclude[index] = value
    def validate_BackupObjectIdentifier(self, value):
        # validate type BackupObjectIdentifier
        pass
    def export(self, outfile, level, namespace_='', name_='BackupSpecification'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='BackupSpecification')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='BackupSpecification'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='BackupSpecification'):
        if self.backup_options:
            self.backup_options.export(outfile, level, namespace_, name_='backup-options', )
        for object_to_backup_ in self.get_object_to_backup():
            object_to_backup_.export(outfile, level, namespace_, name_='object-to-backup')
        for object_to_exclude_ in self.get_object_to_exclude():
            object_to_exclude_.export(outfile, level, namespace_, name_='object-to-exclude')
    def exportLiteral(self, outfile, level, name_='BackupSpecification'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        if self.backup_options:
            showIndent(outfile, level)
            outfile.write('backup_options=BackupOptions(\n')
            self.backup_options.exportLiteral(outfile, level, name_='backup_options')
            showIndent(outfile, level)
            outfile.write('),\n')
        showIndent(outfile, level)
        outfile.write('object_to_backup=[\n')
        level += 1
        for object_to_backup in self.object_to_backup:
            showIndent(outfile, level)
            outfile.write('BackupObjectIdentifier(\n')
            object_to_backup.exportLiteral(outfile, level, name_='object_to_backup')
            showIndent(outfile, level)
            outfile.write('),\n')
        level -= 1
        showIndent(outfile, level)
        outfile.write('],\n')
        showIndent(outfile, level)
        outfile.write('object_to_exclude=[\n')
        level += 1
        for object_to_exclude in self.object_to_exclude:
            showIndent(outfile, level)
            outfile.write('BackupObjectIdentifier(\n')
            object_to_exclude.exportLiteral(outfile, level, name_='object_to_exclude')
            showIndent(outfile, level)
            outfile.write('),\n')
        level -= 1
        showIndent(outfile, level)
        outfile.write('],\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'backup-options':
            obj_ = BackupOptions.factory()
            obj_.build(child_)
            self.set_backup_options(obj_)
            self.validate_BackupOptions(self.backup_options)    # validate type BackupOptions
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'object-to-backup':
            obj_ = BackupObjectIdentifier.factory()
            obj_.build(child_)
            self.object_to_backup.append(obj_)
            self.validate_BackupObjectIdentifier(self.object_to_backup)    # validate type BackupObjectIdentifier
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'object-to-exclude':
            obj_ = BackupObjectIdentifier.factory()
            obj_.build(child_)
            self.object_to_exclude.append(obj_)
            self.validate_BackupObjectIdentifier(self.object_to_exclude)    # validate type BackupObjectIdentifier
# end class BackupSpecification


class BackupTaskDescriptionMisc:
    subclass = None
    superclass = None
    def __init__(self, owner_type=None, backup_profile_id='', owner_guid='', verbose_level=None, backup_profile_name='', valueOf_=''):
        self.owner_type = owner_type
        self.backup_profile_id = backup_profile_id
        self.owner_guid = owner_guid
        self.verbose_level = verbose_level
        self.backup_profile_name = backup_profile_name
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if BackupTaskDescriptionMisc.subclass:
            return BackupTaskDescriptionMisc.subclass(*args_, **kwargs_)
        else:
            return BackupTaskDescriptionMisc(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_owner_type(self): return self.owner_type
    def set_owner_type(self, owner_type): self.owner_type = owner_type
    def get_backup_profile_id(self): return self.backup_profile_id
    def set_backup_profile_id(self, backup_profile_id): self.backup_profile_id = backup_profile_id
    def get_owner_guid(self): return self.owner_guid
    def set_owner_guid(self, owner_guid): self.owner_guid = owner_guid
    def get_verbose_level(self): return self.verbose_level
    def set_verbose_level(self, verbose_level): self.verbose_level = verbose_level
    def get_backup_profile_name(self): return self.backup_profile_name
    def set_backup_profile_name(self, backup_profile_name): self.backup_profile_name = backup_profile_name
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='BackupTaskDescriptionMisc'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='BackupTaskDescriptionMisc')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='BackupTaskDescriptionMisc'):
        if self.get_owner_type() is not None:
            outfile.write(' owner-type="%s"' % str(self.get_owner_type()))
        if self.get_backup_profile_id() is not None:
            outfile.write(' backup-profile-id="%s"' % (quote_attrib(self.get_backup_profile_id()), ))
        outfile.write(' owner-guid="%s"' % (quote_attrib(self.get_owner_guid()), ))
        if self.get_verbose_level() is not None:
            outfile.write(' verbose-level="%s"' % str(self.get_verbose_level()))
        if self.get_backup_profile_name() is not None:
            outfile.write(' backup-profile-name="%s"' % (quote_attrib(self.get_backup_profile_name()), ))
    def exportChildren(self, outfile, level, namespace_='', name_='BackupTaskDescriptionMisc'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='BackupTaskDescriptionMisc'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('owner_type = "%s",\n' % (self.get_owner_type(),))
        showIndent(outfile, level)
        outfile.write('backup_profile_id = "%s",\n' % (self.get_backup_profile_id(),))
        showIndent(outfile, level)
        outfile.write('owner_guid = "%s",\n' % (self.get_owner_guid(),))
        showIndent(outfile, level)
        outfile.write('verbose_level = "%s",\n' % (self.get_verbose_level(),))
        showIndent(outfile, level)
        outfile.write('backup_profile_name = "%s",\n' % (self.get_backup_profile_name(),))
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('owner-type'):
            self.owner_type = attrs.get('owner-type').value
        if attrs.get('backup-profile-id'):
            self.backup_profile_id = attrs.get('backup-profile-id').value
        if attrs.get('owner-guid'):
            self.owner_guid = attrs.get('owner-guid').value
        if attrs.get('verbose-level'):
            self.verbose_level = attrs.get('verbose-level').value
        if attrs.get('backup-profile-name'):
            self.backup_profile_name = attrs.get('backup-profile-name').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class BackupTaskDescriptionMisc


class BackupObjectIdentifier:
    subclass = None
    superclass = None
    def __init__(self, all='', typexx=None, id='', name='', valueOf_=''):
        self.all = all
        self.typexx = typexx
        self.id = id
        self.name = name
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if BackupObjectIdentifier.subclass:
            return BackupObjectIdentifier.subclass(*args_, **kwargs_)
        else:
            return BackupObjectIdentifier(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_all(self): return self.all
    def set_all(self, all): self.all = all
    def get_type(self): return self.typexx
    def set_type(self, typexx): self.typexx = typexx
    def get_id(self): return self.id
    def set_id(self, id): self.id = id
    def get_name(self): return self.name
    def set_name(self, name): self.name = name
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='BackupObjectIdentifier'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='BackupObjectIdentifier')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='BackupObjectIdentifier'):
        if self.get_all() is not None:
            outfile.write(' all="%s"' % (quote_attrib(self.get_all()), ))
        outfile.write(' type="%s"' % str(self.get_type()))
        if self.get_id() is not None:
            outfile.write(' id="%s"' % (quote_attrib(self.get_id()), ))
        if self.get_name() is not None:
            outfile.write(' name="%s"' % (quote_attrib(self.get_name()), ))
    def exportChildren(self, outfile, level, namespace_='', name_='BackupObjectIdentifier'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='BackupObjectIdentifier'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('all = "%s",\n' % (self.get_all(),))
        showIndent(outfile, level)
        outfile.write('typexx = "%s",\n' % (self.get_type(),))
        showIndent(outfile, level)
        outfile.write('id = "%s",\n' % (self.get_id(),))
        showIndent(outfile, level)
        outfile.write('name = "%s",\n' % (self.get_name(),))
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('all'):
            self.all = attrs.get('all').value
        if attrs.get('type'):
            self.typexx = attrs.get('type').value
        if attrs.get('id'):
            self.id = attrs.get('id').value
        if attrs.get('name'):
            self.name = attrs.get('name').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class BackupObjectIdentifier


class BackupOptions:
    subclass = None
    superclass = None
    def __init__(self, filter='', suspend=None, description='', mail_to='', compression_level='', split_size=None, rotation=None, typexx='', valueOf_=''):
        self.filter = filter
        self.suspend = suspend
        self.description = description
        self.mail_to = mail_to
        self.compression_level = compression_level
        self.split_size = split_size
        self.rotation = rotation
        self.typexx = typexx
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if BackupOptions.subclass:
            return BackupOptions.subclass(*args_, **kwargs_)
        else:
            return BackupOptions(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_filter(self): return self.filter
    def set_filter(self, filter): self.filter = filter
    def get_suspend(self): return self.suspend
    def set_suspend(self, suspend): self.suspend = suspend
    def get_description(self): return self.description
    def set_description(self, description): self.description = description
    def get_mail_to(self): return self.mail_to
    def set_mail_to(self, mail_to): self.mail_to = mail_to
    def get_compression_level(self): return self.compression_level
    def set_compression_level(self, compression_level): self.compression_level = compression_level
    def get_split_size(self): return self.split_size
    def set_split_size(self, split_size): self.split_size = split_size
    def get_rotation(self): return self.rotation
    def set_rotation(self, rotation): self.rotation = rotation
    def get_type(self): return self.typexx
    def set_type(self, typexx): self.typexx = typexx
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='BackupOptions'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='BackupOptions')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='BackupOptions'):
        if self.get_filter() is not None:
            outfile.write(' filter="%s"' % (quote_attrib(self.get_filter()), ))
        if self.get_suspend() is not None:
            outfile.write(' suspend="%s"' % str(self.get_suspend()))
        if self.get_description() is not None:
            outfile.write(' description="%s"' % (quote_attrib(self.get_description()), ))
        if self.get_mail_to() is not None:
            outfile.write(' mail-to="%s"' % (quote_attrib(self.get_mail_to()), ))
        if self.get_compression_level() is not None:
            outfile.write(' compression-level="%s"' % (quote_attrib(self.get_compression_level()), ))
        if self.get_split_size() is not None:
            outfile.write(' split-size="%s"' % str(self.get_split_size()))
        if self.get_rotation() is not None:
            outfile.write(' rotation="%s"' % str(self.get_rotation()))
        if self.get_type() is not None:
            outfile.write(' type="%s"' % (quote_attrib(self.get_type()), ))
    def exportChildren(self, outfile, level, namespace_='', name_='BackupOptions'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='BackupOptions'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('filter = "%s",\n' % (self.get_filter(),))
        showIndent(outfile, level)
        outfile.write('suspend = "%s",\n' % (self.get_suspend(),))
        showIndent(outfile, level)
        outfile.write('description = "%s",\n' % (self.get_description(),))
        showIndent(outfile, level)
        outfile.write('mail_to = "%s",\n' % (self.get_mail_to(),))
        showIndent(outfile, level)
        outfile.write('compression_level = "%s",\n' % (self.get_compression_level(),))
        showIndent(outfile, level)
        outfile.write('split_size = "%s",\n' % (self.get_split_size(),))
        showIndent(outfile, level)
        outfile.write('rotation = "%s",\n' % (self.get_rotation(),))
        showIndent(outfile, level)
        outfile.write('typexx = "%s",\n' % (self.get_type(),))
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('filter'):
            self.filter = attrs.get('filter').value
        if attrs.get('suspend'):
            self.suspend = attrs.get('suspend').value
        if attrs.get('description'):
            self.description = attrs.get('description').value
        if attrs.get('mail-to'):
            self.mail_to = attrs.get('mail-to').value
        if attrs.get('compression-level'):
            self.compression_level = attrs.get('compression-level').value
        if attrs.get('split-size'):
            self.split_size = attrs.get('split-size').value
        if attrs.get('rotation'):
            self.rotation = attrs.get('rotation').value
        if attrs.get('type'):
            self.typexx = attrs.get('type').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class BackupOptions


class RestoreTaskDescription:
    subclass = None
    superclass = None
    def __init__(self, owner_type=None, mail_to='', owner_guid='', source=None, objects=None, ignore_errors=None, misc=None, conflict_resolution_rules=None):
        self.owner_type = owner_type
        self.mail_to = mail_to
        self.owner_guid = owner_guid
        self.source = source
        self.objects = objects
        self.ignore_errors = ignore_errors
        self.misc = misc
        self.conflict_resolution_rules = conflict_resolution_rules
    def factory(*args_, **kwargs_):
        if RestoreTaskDescription.subclass:
            return RestoreTaskDescription.subclass(*args_, **kwargs_)
        else:
            return RestoreTaskDescription(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_source(self): return self.source
    def set_source(self, source): self.source = source
    def get_objects(self): return self.objects
    def set_objects(self, objects): self.objects = objects
    def get_ignore_errors(self): return self.ignore_errors
    def set_ignore_errors(self, ignore_errors): self.ignore_errors = ignore_errors
    def get_misc(self): return self.misc
    def set_misc(self, misc): self.misc = misc
    def get_conflict_resolution_rules(self): return self.conflict_resolution_rules
    def set_conflict_resolution_rules(self, conflict_resolution_rules): self.conflict_resolution_rules = conflict_resolution_rules
    def get_owner_type(self): return self.owner_type
    def set_owner_type(self, owner_type): self.owner_type = owner_type
    def get_mail_to(self): return self.mail_to
    def set_mail_to(self, mail_to): self.mail_to = mail_to
    def get_owner_guid(self): return self.owner_guid
    def set_owner_guid(self, owner_guid): self.owner_guid = owner_guid
    def export(self, outfile, level, namespace_='', name_='RestoreTaskDescription'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='RestoreTaskDescription')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='RestoreTaskDescription'):
        outfile.write(' owner-type="%s"' % str(self.get_owner_type()))
        if self.get_mail_to() is not None:
            outfile.write(' mail-to="%s"' % (quote_attrib(self.get_mail_to()), ))
        outfile.write(' owner-guid="%s"' % (quote_attrib(self.get_owner_guid()), ))
    def exportChildren(self, outfile, level, namespace_='', name_='RestoreTaskDescription'):
        if self.source:
            self.source.export(outfile, level, namespace_, name_='source', )
        if self.objects:
            self.objects.export(outfile, level, namespace_, name_='objects', )
        if self.get_ignore_errors() != None :
            if self.ignore_errors:
                self.ignore_errors.export(outfile, level, namespace_, name_='ignore-errors')
        if self.get_misc() != None :
            if self.misc:
                self.misc.export(outfile, level, namespace_, name_='misc')
        if self.get_conflict_resolution_rules() != None :
            if self.conflict_resolution_rules:
                self.conflict_resolution_rules.export(outfile, level, namespace_, name_='conflict-resolution-rules')
    def exportLiteral(self, outfile, level, name_='RestoreTaskDescription'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('owner_type = "%s",\n' % (self.get_owner_type(),))
        showIndent(outfile, level)
        outfile.write('mail_to = "%s",\n' % (self.get_mail_to(),))
        showIndent(outfile, level)
        outfile.write('owner_guid = "%s",\n' % (self.get_owner_guid(),))
    def exportLiteralChildren(self, outfile, level, name_):
        if self.source:
            showIndent(outfile, level)
            outfile.write('source=RestoreTaskDescriptionSource(\n')
            self.source.exportLiteral(outfile, level, name_='source')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.objects:
            showIndent(outfile, level)
            outfile.write('objects=RestoreTaskDescriptionObjects(\n')
            self.objects.exportLiteral(outfile, level, name_='objects')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.ignore_errors:
            showIndent(outfile, level)
            outfile.write('ignore_errors=IgnoreErrors(\n')
            self.ignore_errors.exportLiteral(outfile, level, name_='ignore_errors')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.misc:
            showIndent(outfile, level)
            outfile.write('misc=RestoreTaskDescriptionMisc(\n')
            self.misc.exportLiteral(outfile, level, name_='misc')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.conflict_resolution_rules:
            showIndent(outfile, level)
            outfile.write('conflict_resolution_rules=ConflictResolutionRules(\n')
            self.conflict_resolution_rules.exportLiteral(outfile, level, name_='conflict_resolution_rules')
            showIndent(outfile, level)
            outfile.write('),\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('owner-type'):
            self.owner_type = attrs.get('owner-type').value
        if attrs.get('mail-to'):
            self.mail_to = attrs.get('mail-to').value
        if attrs.get('owner-guid'):
            self.owner_guid = attrs.get('owner-guid').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'source':
            obj_ = RestoreTaskDescriptionSource.factory()
            obj_.build(child_)
            self.set_source(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'objects':
            obj_ = RestoreTaskDescriptionObjects.factory()
            obj_.build(child_)
            self.set_objects(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ignore-errors':
            obj_ = IgnoreErrors.factory()
            obj_.build(child_)
            self.set_ignore_errors(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'misc':
            obj_ = RestoreTaskDescriptionMisc.factory()
            obj_.build(child_)
            self.set_misc(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'conflict-resolution-rules':
            obj_ = ConflictResolutionRules.factory()
            obj_.build(child_)
            self.set_conflict_resolution_rules(obj_)
# end class RestoreTaskDescription


class RestoreTaskDescriptionMisc:
    subclass = None
    superclass = None
    def __init__(self, suspend=None, verbose_level=None, valueOf_=''):
        self.suspend = suspend
        self.verbose_level = verbose_level
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if RestoreTaskDescriptionMisc.subclass:
            return RestoreTaskDescriptionMisc.subclass(*args_, **kwargs_)
        else:
            return RestoreTaskDescriptionMisc(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_suspend(self): return self.suspend
    def set_suspend(self, suspend): self.suspend = suspend
    def get_verbose_level(self): return self.verbose_level
    def set_verbose_level(self, verbose_level): self.verbose_level = verbose_level
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='RestoreTaskDescriptionMisc'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='RestoreTaskDescriptionMisc')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='RestoreTaskDescriptionMisc'):
        if self.get_suspend() is not None:
            outfile.write(' suspend="%s"' % str(self.get_suspend()))
        if self.get_verbose_level() is not None:
            outfile.write(' verbose-level="%s"' % str(self.get_verbose_level()))
    def exportChildren(self, outfile, level, namespace_='', name_='RestoreTaskDescriptionMisc'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='RestoreTaskDescriptionMisc'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('suspend = "%s",\n' % (self.get_suspend(),))
        showIndent(outfile, level)
        outfile.write('verbose_level = "%s",\n' % (self.get_verbose_level(),))
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('suspend'):
            self.suspend = attrs.get('suspend').value
        if attrs.get('verbose-level'):
            self.verbose_level = attrs.get('verbose-level').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class RestoreTaskDescriptionMisc


class RestoreTaskDescriptionSource:
    subclass = None
    superclass = None
    def __init__(self, dump_specification=None, session_id=''):
        self.dump_specification = dump_specification
        self.session_id = session_id
    def factory(*args_, **kwargs_):
        if RestoreTaskDescriptionSource.subclass:
            return RestoreTaskDescriptionSource.subclass(*args_, **kwargs_)
        else:
            return RestoreTaskDescriptionSource(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_dump_specification(self): return self.dump_specification
    def set_dump_specification(self, dump_specification): self.dump_specification = dump_specification
    def get_session_id(self): return self.session_id
    def set_session_id(self, session_id): self.session_id = session_id
    def export(self, outfile, level, namespace_='', name_='RestoreTaskDescriptionSource'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='RestoreTaskDescriptionSource')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='RestoreTaskDescriptionSource'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='RestoreTaskDescriptionSource'):
        if self.dump_specification:
            self.dump_specification.export(outfile, level, namespace_, name_='dump-specification', )
        showIndent(outfile, level)
        outfile.write('<%ssession-id>%s</%ssession-id>\n' % (namespace_, quote_xml(self.get_session_id()), namespace_))
    def exportLiteral(self, outfile, level, name_='RestoreTaskDescriptionSource'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        if self.dump_specification:
            showIndent(outfile, level)
            outfile.write('dump_specification=DumpSpecification(\n')
            self.dump_specification.exportLiteral(outfile, level, name_='dump_specification')
            showIndent(outfile, level)
            outfile.write('),\n')
        showIndent(outfile, level)
        outfile.write('session_id=%s,\n' % quote_python(self.get_session_id()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'dump-specification':
            obj_ = DumpSpecification.factory()
            obj_.build(child_)
            self.set_dump_specification(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'session-id':
            session_id_ = ''
            for text__content_ in child_.childNodes:
                session_id_ += text__content_.nodeValue
            self.session_id = session_id_
# end class RestoreTaskDescriptionSource


class session_id:
    subclass = None
    superclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if session_id.subclass:
            return session_id.subclass(*args_, **kwargs_)
        else:
            return session_id(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='session-id'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='session-id')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='session-id'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='session-id'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='session-id'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class session_id


class RestoreTaskDescriptionObjects:
    subclass = None
    superclass = None
    def __init__(self, all='', selected=None):
        self.all = all
        self.selected = selected
    def factory(*args_, **kwargs_):
        if RestoreTaskDescriptionObjects.subclass:
            return RestoreTaskDescriptionObjects.subclass(*args_, **kwargs_)
        else:
            return RestoreTaskDescriptionObjects(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_all(self): return self.all
    def set_all(self, all): self.all = all
    def get_selected(self): return self.selected
    def set_selected(self, selected): self.selected = selected
    def export(self, outfile, level, namespace_='', name_='RestoreTaskDescriptionObjects'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='RestoreTaskDescriptionObjects')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='RestoreTaskDescriptionObjects'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='RestoreTaskDescriptionObjects'):
        showIndent(outfile, level)
        outfile.write('<%sall>%s</%sall>\n' % (namespace_, quote_xml(self.get_all()), namespace_))
        if self.selected:
            self.selected.export(outfile, level, namespace_, name_='selected', )
    def exportLiteral(self, outfile, level, name_='RestoreTaskDescriptionObjects'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('all=%s,\n' % quote_python(self.get_all()))
        if self.selected:
            showIndent(outfile, level)
            outfile.write('selected=RestoreTaskDescriptionObjectsSelected(\n')
            self.selected.exportLiteral(outfile, level, name_='selected')
            showIndent(outfile, level)
            outfile.write('),\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'all':
            all_ = ''
            for text__content_ in child_.childNodes:
                all_ += text__content_.nodeValue
            self.all = all_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'selected':
            obj_ = RestoreTaskDescriptionObjectsSelected.factory()
            obj_.build(child_)
            self.set_selected(obj_)
# end class RestoreTaskDescriptionObjects


class all:
    subclass = None
    superclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if all.subclass:
            return all.subclass(*args_, **kwargs_)
        else:
            return all(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='all'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='all')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='all'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='all'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='all'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class all


class RestoreTaskDescriptionObjectsSelected:
    subclass = None
    superclass = None
    def __init__(self, node=None):
        if node is None:
            self.node = []
        else:
            self.node = node
    def factory(*args_, **kwargs_):
        if RestoreTaskDescriptionObjectsSelected.subclass:
            return RestoreTaskDescriptionObjectsSelected.subclass(*args_, **kwargs_)
        else:
            return RestoreTaskDescriptionObjectsSelected(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_node(self): return self.node
    def set_node(self, node): self.node = node
    def add_node(self, value): self.node.append(value)
    def insert_node(self, index, value): self.node[index] = value
    def validate_TransformNode(self, value):
        # validate type TransformNode
        pass
    def export(self, outfile, level, namespace_='', name_='RestoreTaskDescriptionObjectsSelected'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='RestoreTaskDescriptionObjectsSelected')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='RestoreTaskDescriptionObjectsSelected'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='RestoreTaskDescriptionObjectsSelected'):
        for node_ in self.get_node():
            node_.export(outfile, level, namespace_, name_='node')
    def exportLiteral(self, outfile, level, name_='RestoreTaskDescriptionObjectsSelected'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('node=[\n')
        level += 1
        for node in self.node:
            showIndent(outfile, level)
            outfile.write('TransformNode(\n')
            node.exportLiteral(outfile, level, name_='node')
            showIndent(outfile, level)
            outfile.write('),\n')
        level -= 1
        showIndent(outfile, level)
        outfile.write('],\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'node':
            obj_ = TransformNode.factory()
            obj_.build(child_)
            self.node.append(obj_)
            self.validate_TransformNode(self.node)    # validate type TransformNode
# end class RestoreTaskDescriptionObjectsSelected


class IgnoreErrors:
    subclass = None
    superclass = None
    def __init__(self, ignore_error=None):
        if ignore_error is None:
            self.ignore_error = []
        else:
            self.ignore_error = ignore_error
    def factory(*args_, **kwargs_):
        if IgnoreErrors.subclass:
            return IgnoreErrors.subclass(*args_, **kwargs_)
        else:
            return IgnoreErrors(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_ignore_error(self): return self.ignore_error
    def set_ignore_error(self, ignore_error): self.ignore_error = ignore_error
    def add_ignore_error(self, value): self.ignore_error.append(value)
    def insert_ignore_error(self, index, value): self.ignore_error[index] = value
    def validate_IgnoreError(self, value):
        # validate type IgnoreError
        pass
    def export(self, outfile, level, namespace_='', name_='IgnoreErrors'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='IgnoreErrors')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='IgnoreErrors'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='IgnoreErrors'):
        for ignore_error_ in self.get_ignore_error():
            ignore_error_.export(outfile, level, namespace_, name_='ignore-error')
    def exportLiteral(self, outfile, level, name_='IgnoreErrors'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('ignore_error=[\n')
        level += 1
        for ignore_error in self.ignore_error:
            showIndent(outfile, level)
            outfile.write('IgnoreError(\n')
            ignore_error.exportLiteral(outfile, level, name_='ignore_error')
            showIndent(outfile, level)
            outfile.write('),\n')
        level -= 1
        showIndent(outfile, level)
        outfile.write('],\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ignore-error':
            obj_ = IgnoreError.factory()
            obj_.build(child_)
            self.ignore_error.append(obj_)
            self.validate_IgnoreError(self.ignore_error)    # validate type IgnoreError
# end class IgnoreErrors


class IgnoreError:
    subclass = None
    superclass = None
    def __init__(self, typexx='', valueOf_=''):
        self.typexx = typexx
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if IgnoreError.subclass:
            return IgnoreError.subclass(*args_, **kwargs_)
        else:
            return IgnoreError(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_type(self): return self.typexx
    def set_type(self, typexx): self.typexx = typexx
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='IgnoreError'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='IgnoreError')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='IgnoreError'):
        outfile.write(' type="%s"' % (quote_attrib(self.get_type()), ))
    def exportChildren(self, outfile, level, namespace_='', name_='IgnoreError'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='IgnoreError'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('typexx = "%s",\n' % (self.get_type(),))
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('type'):
            self.typexx = attrs.get('type').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class IgnoreError


class TimingPolicy:
    subclass = None
    superclass = None
    def __init__(self, resolution=None):
        self.resolution = resolution
    def factory(*args_, **kwargs_):
        if TimingPolicy.subclass:
            return TimingPolicy.subclass(*args_, **kwargs_)
        else:
            return TimingPolicy(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_resolution(self): return self.resolution
    def set_resolution(self, resolution): self.resolution = resolution
    def export(self, outfile, level, namespace_='', name_='TimingPolicy'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='TimingPolicy')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='TimingPolicy'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='TimingPolicy'):
        if self.resolution:
            self.resolution.export(outfile, level, namespace_, name_='resolution', )
    def exportLiteral(self, outfile, level, name_='TimingPolicy'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        if self.resolution:
            showIndent(outfile, level)
            outfile.write('resolution=Resolution(\n')
            self.resolution.exportLiteral(outfile, level, name_='resolution')
            showIndent(outfile, level)
            outfile.write('),\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'resolution':
            obj_ = Resolution.factory()
            obj_.build(child_)
            self.set_resolution(obj_)
# end class TimingPolicy


class ResourceUsagePolicy:
    subclass = None
    superclass = None
    def __init__(self, resolution=None):
        self.resolution = resolution
    def factory(*args_, **kwargs_):
        if ResourceUsagePolicy.subclass:
            return ResourceUsagePolicy.subclass(*args_, **kwargs_)
        else:
            return ResourceUsagePolicy(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_resolution(self): return self.resolution
    def set_resolution(self, resolution): self.resolution = resolution
    def export(self, outfile, level, namespace_='', name_='ResourceUsagePolicy'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='ResourceUsagePolicy')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='ResourceUsagePolicy'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='ResourceUsagePolicy'):
        if self.resolution:
            self.resolution.export(outfile, level, namespace_, name_='resolution', )
    def exportLiteral(self, outfile, level, name_='ResourceUsagePolicy'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        if self.resolution:
            showIndent(outfile, level)
            outfile.write('resolution=Resolution(\n')
            self.resolution.exportLiteral(outfile, level, name_='resolution')
            showIndent(outfile, level)
            outfile.write('),\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'resolution':
            obj_ = Resolution.factory()
            obj_.build(child_)
            self.set_resolution(obj_)
# end class ResourceUsagePolicy


class ConfigurationPolicy:
    subclass = None
    superclass = None
    def __init__(self, resolution=None):
        self.resolution = resolution
    def factory(*args_, **kwargs_):
        if ConfigurationPolicy.subclass:
            return ConfigurationPolicy.subclass(*args_, **kwargs_)
        else:
            return ConfigurationPolicy(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_resolution(self): return self.resolution
    def set_resolution(self, resolution): self.resolution = resolution
    def export(self, outfile, level, namespace_='', name_='ConfigurationPolicy'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='ConfigurationPolicy')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='ConfigurationPolicy'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='ConfigurationPolicy'):
        if self.resolution:
            self.resolution.export(outfile, level, namespace_, name_='resolution', )
    def exportLiteral(self, outfile, level, name_='ConfigurationPolicy'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        if self.resolution:
            showIndent(outfile, level)
            outfile.write('resolution=Resolution(\n')
            self.resolution.exportLiteral(outfile, level, name_='resolution')
            showIndent(outfile, level)
            outfile.write('),\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'resolution':
            obj_ = Resolution.factory()
            obj_.build(child_)
            self.set_resolution(obj_)
# end class ConfigurationPolicy


class Policy:
    subclass = None
    superclass = None
    def __init__(self, timing=None, resource_usage=None, configuration=None):
        self.timing = timing
        self.resource_usage = resource_usage
        self.configuration = configuration
    def factory(*args_, **kwargs_):
        if Policy.subclass:
            return Policy.subclass(*args_, **kwargs_)
        else:
            return Policy(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_timing(self): return self.timing
    def set_timing(self, timing): self.timing = timing
    def get_resource_usage(self): return self.resource_usage
    def set_resource_usage(self, resource_usage): self.resource_usage = resource_usage
    def get_configuration(self): return self.configuration
    def set_configuration(self, configuration): self.configuration = configuration
    def export(self, outfile, level, namespace_='', name_='Policy'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='Policy')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='Policy'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='Policy'):
        if self.get_timing() != None :
            if self.timing:
                self.timing.export(outfile, level, namespace_, name_='timing')
        if self.get_resource_usage() != None :
            if self.resource_usage:
                self.resource_usage.export(outfile, level, namespace_, name_='resource-usage')
        if self.get_configuration() != None :
            if self.configuration:
                self.configuration.export(outfile, level, namespace_, name_='configuration')
    def exportLiteral(self, outfile, level, name_='Policy'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        if self.timing:
            showIndent(outfile, level)
            outfile.write('timing=TimingPolicy(\n')
            self.timing.exportLiteral(outfile, level, name_='timing')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.resource_usage:
            showIndent(outfile, level)
            outfile.write('resource_usage=ResourceUsagePolicy(\n')
            self.resource_usage.exportLiteral(outfile, level, name_='resource_usage')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.configuration:
            showIndent(outfile, level)
            outfile.write('configuration=ConfigurationPolicy(\n')
            self.configuration.exportLiteral(outfile, level, name_='configuration')
            showIndent(outfile, level)
            outfile.write('),\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'timing':
            obj_ = TimingPolicy.factory()
            obj_.build(child_)
            self.set_timing(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'resource-usage':
            obj_ = ResourceUsagePolicy.factory()
            obj_.build(child_)
            self.set_resource_usage(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'configuration':
            obj_ = ConfigurationPolicy.factory()
            obj_.build(child_)
            self.set_configuration(obj_)
# end class Policy


class DumpObjects:
    subclass = None
    superclass = None
    def __init__(self, node=None):
        if node is None:
            self.node = []
        else:
            self.node = node
    def factory(*args_, **kwargs_):
        if DumpObjects.subclass:
            return DumpObjects.subclass(*args_, **kwargs_)
        else:
            return DumpObjects(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_node(self): return self.node
    def set_node(self, node): self.node = node
    def add_node(self, value): self.node.append(value)
    def insert_node(self, index, value): self.node[index] = value
    def validate_TransformNode(self, value):
        # validate type TransformNode
        pass
    def export(self, outfile, level, namespace_='', name_='DumpObjects'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='DumpObjects')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='DumpObjects'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='DumpObjects'):
        for node_ in self.get_node():
            node_.export(outfile, level, namespace_, name_='node')
    def exportLiteral(self, outfile, level, name_='DumpObjects'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('node=[\n')
        level += 1
        for node in self.node:
            showIndent(outfile, level)
            outfile.write('TransformNode(\n')
            node.exportLiteral(outfile, level, name_='node')
            showIndent(outfile, level)
            outfile.write('),\n')
        level -= 1
        showIndent(outfile, level)
        outfile.write('],\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'node':
            obj_ = TransformNode.factory()
            obj_.build(child_)
            self.node.append(obj_)
            self.validate_TransformNode(self.node)    # validate type TransformNode
# end class DumpObjects


class Rule:
    subclass = None
    superclass = None
    def __init__(self, conflict_id='', dump_objects=None, resolution=None):
        self.conflict_id = conflict_id
        self.dump_objects = dump_objects
        self.resolution = resolution
    def factory(*args_, **kwargs_):
        if Rule.subclass:
            return Rule.subclass(*args_, **kwargs_)
        else:
            return Rule(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_dump_objects(self): return self.dump_objects
    def set_dump_objects(self, dump_objects): self.dump_objects = dump_objects
    def get_resolution(self): return self.resolution
    def set_resolution(self, resolution): self.resolution = resolution
    def get_conflict_id(self): return self.conflict_id
    def set_conflict_id(self, conflict_id): self.conflict_id = conflict_id
    def export(self, outfile, level, namespace_='', name_='Rule'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='Rule')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='Rule'):
        outfile.write(' conflict-id="%s"' % (quote_attrib(self.get_conflict_id()), ))
    def exportChildren(self, outfile, level, namespace_='', name_='Rule'):
        if self.get_dump_objects() != None :
            if self.dump_objects:
                self.dump_objects.export(outfile, level, namespace_, name_='dump-objects')
        if self.resolution:
            self.resolution.export(outfile, level, namespace_, name_='resolution', )
    def exportLiteral(self, outfile, level, name_='Rule'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('conflict_id = "%s",\n' % (self.get_conflict_id(),))
    def exportLiteralChildren(self, outfile, level, name_):
        if self.dump_objects:
            showIndent(outfile, level)
            outfile.write('dump_objects=DumpObjects(\n')
            self.dump_objects.exportLiteral(outfile, level, name_='dump_objects')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.resolution:
            showIndent(outfile, level)
            outfile.write('resolution=Resolution(\n')
            self.resolution.exportLiteral(outfile, level, name_='resolution')
            showIndent(outfile, level)
            outfile.write('),\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('conflict-id'):
            self.conflict_id = attrs.get('conflict-id').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'dump-objects':
            obj_ = DumpObjects.factory()
            obj_.build(child_)
            self.set_dump_objects(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'resolution':
            obj_ = Resolution.factory()
            obj_.build(child_)
            self.set_resolution(obj_)
# end class Rule


class ResolveConflictsTaskDescription:
    subclass = None
    superclass = None
    def __init__(self, session_id='', conflict_resolution_rules=None):
        self.session_id = session_id
        self.conflict_resolution_rules = conflict_resolution_rules
    def factory(*args_, **kwargs_):
        if ResolveConflictsTaskDescription.subclass:
            return ResolveConflictsTaskDescription.subclass(*args_, **kwargs_)
        else:
            return ResolveConflictsTaskDescription(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_conflict_resolution_rules(self): return self.conflict_resolution_rules
    def set_conflict_resolution_rules(self, conflict_resolution_rules): self.conflict_resolution_rules = conflict_resolution_rules
    def get_session_id(self): return self.session_id
    def set_session_id(self, session_id): self.session_id = session_id
    def export(self, outfile, level, namespace_='', name_='ResolveConflictsTaskDescription'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='ResolveConflictsTaskDescription')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='ResolveConflictsTaskDescription'):
        if self.get_session_id() is not None:
            outfile.write(' session-id="%s"' % (quote_attrib(self.get_session_id()), ))
    def exportChildren(self, outfile, level, namespace_='', name_='ResolveConflictsTaskDescription'):
        if self.conflict_resolution_rules:
            self.conflict_resolution_rules.export(outfile, level, namespace_, name_='conflict-resolution-rules', )
    def exportLiteral(self, outfile, level, name_='ResolveConflictsTaskDescription'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('session_id = "%s",\n' % (self.get_session_id(),))
    def exportLiteralChildren(self, outfile, level, name_):
        if self.conflict_resolution_rules:
            showIndent(outfile, level)
            outfile.write('conflict_resolution_rules=ConflictResolutionRules(\n')
            self.conflict_resolution_rules.exportLiteral(outfile, level, name_='conflict_resolution_rules')
            showIndent(outfile, level)
            outfile.write('),\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('session-id'):
            self.session_id = attrs.get('session-id').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'conflict-resolution-rules':
            obj_ = ConflictResolutionRules.factory()
            obj_.build(child_)
            self.set_conflict_resolution_rules(obj_)
# end class ResolveConflictsTaskDescription


class ConflictResolutionRules:
    subclass = None
    superclass = None
    def __init__(self, policy=None, rule=None):
        self.policy = policy
        if rule is None:
            self.rule = []
        else:
            self.rule = rule
    def factory(*args_, **kwargs_):
        if ConflictResolutionRules.subclass:
            return ConflictResolutionRules.subclass(*args_, **kwargs_)
        else:
            return ConflictResolutionRules(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_policy(self): return self.policy
    def set_policy(self, policy): self.policy = policy
    def get_rule(self): return self.rule
    def set_rule(self, rule): self.rule = rule
    def add_rule(self, value): self.rule.append(value)
    def insert_rule(self, index, value): self.rule[index] = value
    def export(self, outfile, level, namespace_='', name_='ConflictResolutionRules'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='ConflictResolutionRules')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='ConflictResolutionRules'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='ConflictResolutionRules'):
        if self.policy:
            self.policy.export(outfile, level, namespace_, name_='policy', )
        for rule_ in self.get_rule():
            rule_.export(outfile, level, namespace_, name_='rule')
    def exportLiteral(self, outfile, level, name_='ConflictResolutionRules'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        if self.policy:
            showIndent(outfile, level)
            outfile.write('policy=Policy(\n')
            self.policy.exportLiteral(outfile, level, name_='policy')
            showIndent(outfile, level)
            outfile.write('),\n')
        showIndent(outfile, level)
        outfile.write('rule=[\n')
        level += 1
        for rule in self.rule:
            showIndent(outfile, level)
            outfile.write('Rule(\n')
            rule.exportLiteral(outfile, level, name_='rule')
            showIndent(outfile, level)
            outfile.write('),\n')
        level -= 1
        showIndent(outfile, level)
        outfile.write('],\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'policy':
            obj_ = Policy.factory()
            obj_.build(child_)
            self.set_policy(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'rule':
            obj_ = Rule.factory()
            obj_.build(child_)
            self.rule.append(obj_)
# end class ConflictResolutionRules


class ResolutionDoNotRestore:
    subclass = None
    superclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if ResolutionDoNotRestore.subclass:
            return ResolutionDoNotRestore.subclass(*args_, **kwargs_)
        else:
            return ResolutionDoNotRestore(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='ResolutionDoNotRestore'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='ResolutionDoNotRestore')
        outfile.write('>')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='ResolutionDoNotRestore'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='ResolutionDoNotRestore'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='ResolutionDoNotRestore'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class ResolutionDoNotRestore


class ResolutionProceedWithCurrent:
    subclass = None
    superclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if ResolutionProceedWithCurrent.subclass:
            return ResolutionProceedWithCurrent.subclass(*args_, **kwargs_)
        else:
            return ResolutionProceedWithCurrent(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='ResolutionProceedWithCurrent'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='ResolutionProceedWithCurrent')
        outfile.write('>')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='ResolutionProceedWithCurrent'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='ResolutionProceedWithCurrent'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='ResolutionProceedWithCurrent'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class ResolutionProceedWithCurrent


class ResolutionAutomatic:
    subclass = None
    superclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if ResolutionAutomatic.subclass:
            return ResolutionAutomatic.subclass(*args_, **kwargs_)
        else:
            return ResolutionAutomatic(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='ResolutionAutomatic'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='ResolutionAutomatic')
        outfile.write('>')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='ResolutionAutomatic'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='ResolutionAutomatic'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='ResolutionAutomatic'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class ResolutionAutomatic


class ResolutionOveruse:
    subclass = None
    superclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if ResolutionOveruse.subclass:
            return ResolutionOveruse.subclass(*args_, **kwargs_)
        else:
            return ResolutionOveruse(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='ResolutionOveruse'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='ResolutionOveruse')
        outfile.write('>')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='ResolutionOveruse'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='ResolutionOveruse'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='ResolutionOveruse'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class ResolutionOveruse


class ResolutionOverwrite:
    subclass = None
    superclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if ResolutionOverwrite.subclass:
            return ResolutionOverwrite.subclass(*args_, **kwargs_)
        else:
            return ResolutionOverwrite(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='ResolutionOverwrite'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='ResolutionOverwrite')
        outfile.write('>')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='ResolutionOverwrite'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='ResolutionOverwrite'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='ResolutionOverwrite'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class ResolutionOverwrite


class ResolutionRename:
    subclass = None
    superclass = None
    def __init__(self, new_name='', valueOf_=''):
        self.new_name = new_name
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if ResolutionRename.subclass:
            return ResolutionRename.subclass(*args_, **kwargs_)
        else:
            return ResolutionRename(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_new_name(self): return self.new_name
    def set_new_name(self, new_name): self.new_name = new_name
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='ResolutionRename'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='ResolutionRename')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='ResolutionRename'):
        if self.get_new_name() is not None:
            outfile.write(' new-name="%s"' % (quote_attrib(self.get_new_name()), ))
    def exportChildren(self, outfile, level, namespace_='', name_='ResolutionRename'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='ResolutionRename'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('new_name = "%s",\n' % (self.get_new_name(),))
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('new-name'):
            self.new_name = attrs.get('new-name').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class ResolutionRename


class Resolution:
    subclass = None
    superclass = None
    def __init__(self, do_not_restore=None, proceed_with_current=None, automatic=None, overuse=None, overwrite=None, rename=None):
        self.do_not_restore = do_not_restore
        self.proceed_with_current = proceed_with_current
        self.automatic = automatic
        self.overuse = overuse
        self.overwrite = overwrite
        self.rename = rename
    def factory(*args_, **kwargs_):
        if Resolution.subclass:
            return Resolution.subclass(*args_, **kwargs_)
        else:
            return Resolution(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_do_not_restore(self): return self.do_not_restore
    def set_do_not_restore(self, do_not_restore): self.do_not_restore = do_not_restore
    def get_proceed_with_current(self): return self.proceed_with_current
    def set_proceed_with_current(self, proceed_with_current): self.proceed_with_current = proceed_with_current
    def get_automatic(self): return self.automatic
    def set_automatic(self, automatic): self.automatic = automatic
    def get_overuse(self): return self.overuse
    def set_overuse(self, overuse): self.overuse = overuse
    def get_overwrite(self): return self.overwrite
    def set_overwrite(self, overwrite): self.overwrite = overwrite
    def get_rename(self): return self.rename
    def set_rename(self, rename): self.rename = rename
    def export(self, outfile, level, namespace_='', name_='Resolution'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='Resolution')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='Resolution'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='Resolution'):
        if self.do_not_restore:
            self.do_not_restore.export(outfile, level, namespace_, name_='do-not-restore', )
        if self.proceed_with_current:
            self.proceed_with_current.export(outfile, level, namespace_, name_='proceed-with-current', )
        if self.automatic:
            self.automatic.export(outfile, level, namespace_, name_='automatic', )
        if self.overuse:
            self.overuse.export(outfile, level, namespace_, name_='overuse', )
        if self.overwrite:
            self.overwrite.export(outfile, level, namespace_, name_='overwrite', )
        if self.rename:
            self.rename.export(outfile, level, namespace_, name_='rename', )
    def exportLiteral(self, outfile, level, name_='Resolution'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        if self.do_not_restore:
            showIndent(outfile, level)
            outfile.write('do_not_restore=ResolutionDoNotRestore(\n')
            self.do_not_restore.exportLiteral(outfile, level, name_='do_not_restore')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.proceed_with_current:
            showIndent(outfile, level)
            outfile.write('proceed_with_current=ResolutionProceedWithCurrent(\n')
            self.proceed_with_current.exportLiteral(outfile, level, name_='proceed_with_current')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.automatic:
            showIndent(outfile, level)
            outfile.write('automatic=ResolutionAutomatic(\n')
            self.automatic.exportLiteral(outfile, level, name_='automatic')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.overuse:
            showIndent(outfile, level)
            outfile.write('overuse=ResolutionOveruse(\n')
            self.overuse.exportLiteral(outfile, level, name_='overuse')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.overwrite:
            showIndent(outfile, level)
            outfile.write('overwrite=ResolutionOverwrite(\n')
            self.overwrite.exportLiteral(outfile, level, name_='overwrite')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.rename:
            showIndent(outfile, level)
            outfile.write('rename=ResolutionRename(\n')
            self.rename.exportLiteral(outfile, level, name_='rename')
            showIndent(outfile, level)
            outfile.write('),\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'do-not-restore':
            obj_ = ResolutionDoNotRestore.factory()
            obj_.build(child_)
            self.set_do_not_restore(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'proceed-with-current':
            obj_ = ResolutionProceedWithCurrent.factory()
            obj_.build(child_)
            self.set_proceed_with_current(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'automatic':
            obj_ = ResolutionAutomatic.factory()
            obj_.build(child_)
            self.set_automatic(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'overuse':
            obj_ = ResolutionOveruse.factory()
            obj_.build(child_)
            self.set_overuse(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'overwrite':
            obj_ = ResolutionOverwrite.factory()
            obj_.build(child_)
            self.set_overwrite(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'rename':
            obj_ = ResolutionRename.factory()
            obj_.build(child_)
            self.set_rename(obj_)
# end class Resolution


class AgentCredentials:
    subclass = None
    superclass = None
    def __init__(self, host_credentials=None, agent_executable='', log_directory=''):
        self.host_credentials = host_credentials
        self.agent_executable = agent_executable
        self.log_directory = log_directory
    def factory(*args_, **kwargs_):
        if AgentCredentials.subclass:
            return AgentCredentials.subclass(*args_, **kwargs_)
        else:
            return AgentCredentials(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_host_credentials(self): return self.host_credentials
    def set_host_credentials(self, host_credentials): self.host_credentials = host_credentials
    def validate_HostCredentials(self, value):
        # validate type HostCredentials
        pass
    def get_agent_executable(self): return self.agent_executable
    def set_agent_executable(self, agent_executable): self.agent_executable = agent_executable
    def get_log_directory(self): return self.log_directory
    def set_log_directory(self, log_directory): self.log_directory = log_directory
    def export(self, outfile, level, namespace_='', name_='AgentCredentials'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='AgentCredentials')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='AgentCredentials'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='AgentCredentials'):
        if self.get_host_credentials() != None :
            if self.host_credentials:
                self.host_credentials.export(outfile, level, namespace_, name_='host-credentials')
        if self.get_agent_executable() != None :
            if self.get_agent_executable() != "" :
                showIndent(outfile, level)
                outfile.write('<%sagent-executable>%s</%sagent-executable>\n' % (namespace_, quote_xml(self.get_agent_executable()), namespace_))
        if self.get_log_directory() != None :
            if self.get_log_directory() != "" :
                showIndent(outfile, level)
                outfile.write('<%slog-directory>%s</%slog-directory>\n' % (namespace_, quote_xml(self.get_log_directory()), namespace_))
    def exportLiteral(self, outfile, level, name_='AgentCredentials'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        if self.host_credentials:
            showIndent(outfile, level)
            outfile.write('host_credentials=HostCredentials(\n')
            self.host_credentials.exportLiteral(outfile, level, name_='host_credentials')
            showIndent(outfile, level)
            outfile.write('),\n')
        showIndent(outfile, level)
        outfile.write('agent_executable=%s,\n' % quote_python(self.get_agent_executable()))
        showIndent(outfile, level)
        outfile.write('log_directory=%s,\n' % quote_python(self.get_log_directory()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'host-credentials':
            obj_ = HostCredentials.factory()
            obj_.build(child_)
            self.set_host_credentials(obj_)
            self.validate_HostCredentials(self.host_credentials)    # validate type HostCredentials
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'agent-executable':
            agent_executable_ = ''
            for text__content_ in child_.childNodes:
                agent_executable_ += text__content_.nodeValue
            self.agent_executable = agent_executable_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'log-directory':
            log_directory_ = ''
            for text__content_ in child_.childNodes:
                log_directory_ += text__content_.nodeValue
            self.log_directory = log_directory_
# end class AgentCredentials


class agent_executable:
    subclass = None
    superclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if agent_executable.subclass:
            return agent_executable.subclass(*args_, **kwargs_)
        else:
            return agent_executable(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='agent-executable'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='agent-executable')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='agent-executable'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='agent-executable'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='agent-executable'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class agent_executable


class log_directory:
    subclass = None
    superclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if log_directory.subclass:
            return log_directory.subclass(*args_, **kwargs_)
        else:
            return log_directory(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='log-directory'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='log-directory')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='log-directory'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='log-directory'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='log-directory'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class log_directory


class HostCredentials:
    subclass = None
    superclass = None
    def __init__(self, remoting_type='', login='', password='', hostname=''):
        self.remoting_type = remoting_type
        self.login = login
        self.password = password
        self.hostname = hostname
    def factory(*args_, **kwargs_):
        if HostCredentials.subclass:
            return HostCredentials.subclass(*args_, **kwargs_)
        else:
            return HostCredentials(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_login(self): return self.login
    def set_login(self, login): self.login = login
    def get_password(self): return self.password
    def set_password(self, password): self.password = password
    def get_hostname(self): return self.hostname
    def set_hostname(self, hostname): self.hostname = hostname
    def get_remoting_type(self): return self.remoting_type
    def set_remoting_type(self, remoting_type): self.remoting_type = remoting_type
    def export(self, outfile, level, namespace_='', name_='HostCredentials'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='HostCredentials')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='HostCredentials'):
        if self.get_remoting_type() is not None:
            outfile.write(' remoting-type="%s"' % (quote_attrib(self.get_remoting_type()), ))
    def exportChildren(self, outfile, level, namespace_='', name_='HostCredentials'):
        showIndent(outfile, level)
        outfile.write('<%slogin>%s</%slogin>\n' % (namespace_, quote_xml(self.get_login()), namespace_))
        showIndent(outfile, level)
        outfile.write('<%spassword>%s</%spassword>\n' % (namespace_, quote_xml(self.get_password()), namespace_))
        showIndent(outfile, level)
        outfile.write('<%shostname>%s</%shostname>\n' % (namespace_, quote_xml(self.get_hostname()), namespace_))
    def exportLiteral(self, outfile, level, name_='HostCredentials'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('remoting_type = "%s",\n' % (self.get_remoting_type(),))
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('login=%s,\n' % quote_python(self.get_login()))
        showIndent(outfile, level)
        outfile.write('password=%s,\n' % quote_python(self.get_password()))
        showIndent(outfile, level)
        outfile.write('hostname=%s,\n' % quote_python(self.get_hostname()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('remoting-type'):
            self.remoting_type = attrs.get('remoting-type').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'login':
            login_ = ''
            for text__content_ in child_.childNodes:
                login_ += text__content_.nodeValue
            self.login = login_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'password':
            password_ = ''
            for text__content_ in child_.childNodes:
                password_ += text__content_.nodeValue
            self.password = password_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'hostname':
            hostname_ = ''
            for text__content_ in child_.childNodes:
                hostname_ += text__content_.nodeValue
            self.hostname = hostname_
# end class HostCredentials


class login:
    subclass = None
    superclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if login.subclass:
            return login.subclass(*args_, **kwargs_)
        else:
            return login(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='login'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='login')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='login'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='login'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='login'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class login


class password:
    subclass = None
    superclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if password.subclass:
            return password.subclass(*args_, **kwargs_)
        else:
            return password(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='password'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='password')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='password'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='password'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='password'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class password


class hostname:
    subclass = None
    superclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if hostname.subclass:
            return hostname.subclass(*args_, **kwargs_)
        else:
            return hostname(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='hostname'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='hostname')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='hostname'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='hostname'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='hostname'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class hostname


class ControlPanelCredentials:
    subclass = None
    superclass = None
    def __init__(self, typexx='', url='', admin_login='', admin_password=''):
        self.typexx = typexx
        self.url = url
        self.admin_login = admin_login
        self.admin_password = admin_password
    def factory(*args_, **kwargs_):
        if ControlPanelCredentials.subclass:
            return ControlPanelCredentials.subclass(*args_, **kwargs_)
        else:
            return ControlPanelCredentials(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_type(self): return self.typexx
    def set_type(self, typexx): self.typexx = typexx
    def get_url(self): return self.url
    def set_url(self, url): self.url = url
    def get_admin_login(self): return self.admin_login
    def set_admin_login(self, admin_login): self.admin_login = admin_login
    def get_admin_password(self): return self.admin_password
    def set_admin_password(self, admin_password): self.admin_password = admin_password
    def export(self, outfile, level, namespace_='', name_='ControlPanelCredentials'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='ControlPanelCredentials')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='ControlPanelCredentials'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='ControlPanelCredentials'):
        showIndent(outfile, level)
        outfile.write('<%stype>%s</%stype>\n' % (namespace_, quote_xml(self.get_type()), namespace_))
        showIndent(outfile, level)
        outfile.write('<%surl>%s</%surl>\n' % (namespace_, quote_xml(self.get_url()), namespace_))
        showIndent(outfile, level)
        outfile.write('<%sadmin-login>%s</%sadmin-login>\n' % (namespace_, quote_xml(self.get_admin_login()), namespace_))
        showIndent(outfile, level)
        outfile.write('<%sadmin-password>%s</%sadmin-password>\n' % (namespace_, quote_xml(self.get_admin_password()), namespace_))
    def exportLiteral(self, outfile, level, name_='ControlPanelCredentials'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('typexx=%s,\n' % quote_python(self.get_type()))
        showIndent(outfile, level)
        outfile.write('url=%s,\n' % quote_python(self.get_url()))
        showIndent(outfile, level)
        outfile.write('admin_login=%s,\n' % quote_python(self.get_admin_login()))
        showIndent(outfile, level)
        outfile.write('admin_password=%s,\n' % quote_python(self.get_admin_password()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'type':
            type_ = ''
            for text__content_ in child_.childNodes:
                type_ += text__content_.nodeValue
            self.typexx = type_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'url':
            url_ = ''
            for text__content_ in child_.childNodes:
                url_ += text__content_.nodeValue
            self.url = url_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'admin-login':
            admin_login_ = ''
            for text__content_ in child_.childNodes:
                admin_login_ += text__content_.nodeValue
            self.admin_login = admin_login_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'admin-password':
            admin_password_ = ''
            for text__content_ in child_.childNodes:
                admin_password_ += text__content_.nodeValue
            self.admin_password = admin_password_
# end class ControlPanelCredentials


class url:
    subclass = None
    superclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if url.subclass:
            return url.subclass(*args_, **kwargs_)
        else:
            return url(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='url'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='url')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='url'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='url'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='url'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class url


class admin_login:
    subclass = None
    superclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if admin_login.subclass:
            return admin_login.subclass(*args_, **kwargs_)
        else:
            return admin_login(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='admin-login'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='admin-login')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='admin-login'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='admin-login'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='admin-login'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class admin_login


class admin_password:
    subclass = None
    superclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if admin_password.subclass:
            return admin_password.subclass(*args_, **kwargs_)
        else:
            return admin_password(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='admin-password'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='admin-password')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='admin-password'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='admin-password'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='admin-password'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class admin_password


class SrcDstFilesSpecification:
    subclass = None
    superclass = None
    def __init__(self, guid='', typexx=None, src=None, dst=None):
        self.guid = guid
        self.typexx = typexx
        self.src = src
        self.dst = dst
    def factory(*args_, **kwargs_):
        if SrcDstFilesSpecification.subclass:
            return SrcDstFilesSpecification.subclass(*args_, **kwargs_)
        else:
            return SrcDstFilesSpecification(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_src(self): return self.src
    def set_src(self, src): self.src = src
    def get_dst(self): return self.dst
    def set_dst(self, dst): self.dst = dst
    def get_guid(self): return self.guid
    def set_guid(self, guid): self.guid = guid
    def get_type(self): return self.typexx
    def set_type(self, typexx): self.typexx = typexx
    def export(self, outfile, level, namespace_='', name_='SrcDstFilesSpecification'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='SrcDstFilesSpecification')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='SrcDstFilesSpecification'):
        if self.get_guid() is not None:
            outfile.write(' guid="%s"' % (quote_attrib(self.get_guid()), ))
        if self.get_type() is not None:
            outfile.write(' type="%s"' % str(self.get_type()))
    def exportChildren(self, outfile, level, namespace_='', name_='SrcDstFilesSpecification'):
        if self.src:
            self.src.export(outfile, level, namespace_, name_='src', )
        if self.dst:
            self.dst.export(outfile, level, namespace_, name_='dst', )
    def exportLiteral(self, outfile, level, name_='SrcDstFilesSpecification'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('guid = "%s",\n' % (self.get_guid(),))
        showIndent(outfile, level)
        outfile.write('typexx = "%s",\n' % (self.get_type(),))
    def exportLiteralChildren(self, outfile, level, name_):
        if self.src:
            showIndent(outfile, level)
            outfile.write('src=DumpSpecification(\n')
            self.src.exportLiteral(outfile, level, name_='src')
            showIndent(outfile, level)
            outfile.write('),\n')
        if self.dst:
            showIndent(outfile, level)
            outfile.write('dst=DumpSpecification(\n')
            self.dst.exportLiteral(outfile, level, name_='dst')
            showIndent(outfile, level)
            outfile.write('),\n')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('guid'):
            self.guid = attrs.get('guid').value
        if attrs.get('type'):
            self.typexx = attrs.get('type').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'src':
            obj_ = DumpSpecification.factory()
            obj_.build(child_)
            self.set_src(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'dst':
            obj_ = DumpSpecification.factory()
            obj_.build(child_)
            self.set_dst(obj_)
# end class SrcDstFilesSpecification


class DumpSpecification:
    subclass = None
    superclass = None
    def __init__(self, dumps_storage_credentials=None, name_of_info_xml_file=''):
        self.dumps_storage_credentials = dumps_storage_credentials
        self.name_of_info_xml_file = name_of_info_xml_file
    def factory(*args_, **kwargs_):
        if DumpSpecification.subclass:
            return DumpSpecification.subclass(*args_, **kwargs_)
        else:
            return DumpSpecification(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_dumps_storage_credentials(self): return self.dumps_storage_credentials
    def set_dumps_storage_credentials(self, dumps_storage_credentials): self.dumps_storage_credentials = dumps_storage_credentials
    def validate_DumpsStorageCredentials(self, value):
        # validate type DumpsStorageCredentials
        pass
    def get_name_of_info_xml_file(self): return self.name_of_info_xml_file
    def set_name_of_info_xml_file(self, name_of_info_xml_file): self.name_of_info_xml_file = name_of_info_xml_file
    def export(self, outfile, level, namespace_='', name_='DumpSpecification'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='DumpSpecification')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='DumpSpecification'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='DumpSpecification'):
        if self.dumps_storage_credentials:
            self.dumps_storage_credentials.export(outfile, level, namespace_, name_='dumps-storage-credentials', )
        if self.get_name_of_info_xml_file() != None :
            if self.get_name_of_info_xml_file() != "" :
                showIndent(outfile, level)
                outfile.write('<%sname-of-info-xml-file>%s</%sname-of-info-xml-file>\n' % (namespace_, quote_xml(self.get_name_of_info_xml_file()), namespace_))
    def exportLiteral(self, outfile, level, name_='DumpSpecification'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        if self.dumps_storage_credentials:
            showIndent(outfile, level)
            outfile.write('dumps_storage_credentials=DumpsStorageCredentials(\n')
            self.dumps_storage_credentials.exportLiteral(outfile, level, name_='dumps_storage_credentials')
            showIndent(outfile, level)
            outfile.write('),\n')
        showIndent(outfile, level)
        outfile.write('name_of_info_xml_file=%s,\n' % quote_python(self.get_name_of_info_xml_file()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'dumps-storage-credentials':
            obj_ = DumpsStorageCredentials.factory()
            obj_.build(child_)
            self.set_dumps_storage_credentials(obj_)
            self.validate_DumpsStorageCredentials(self.dumps_storage_credentials)    # validate type DumpsStorageCredentials
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'name-of-info-xml-file':
            name_of_info_xml_file_ = ''
            for text__content_ in child_.childNodes:
                name_of_info_xml_file_ += text__content_.nodeValue
            self.name_of_info_xml_file = name_of_info_xml_file_
# end class DumpSpecification


class DumpsStorageCredentials:
    subclass = None
    superclass = None
    def __init__(self, storage_type='', use_passive_ftp_mode=None, login='', password='', hostname='', root_dir='', file_name=''):
        self.storage_type = storage_type
        self.use_passive_ftp_mode = use_passive_ftp_mode
        self.login = login
        self.password = password
        self.hostname = hostname
        self.root_dir = root_dir
        self.file_name = file_name
    def factory(*args_, **kwargs_):
        if DumpsStorageCredentials.subclass:
            return DumpsStorageCredentials.subclass(*args_, **kwargs_)
        else:
            return DumpsStorageCredentials(*args_, **kwargs_)
    factory = staticmethod(factory)
    def get_login(self): return self.login
    def set_login(self, login): self.login = login
    def get_password(self): return self.password
    def set_password(self, password): self.password = password
    def get_hostname(self): return self.hostname
    def set_hostname(self, hostname): self.hostname = hostname
    def get_root_dir(self): return self.root_dir
    def set_root_dir(self, root_dir): self.root_dir = root_dir
    def get_file_name(self): return self.file_name
    def set_file_name(self, file_name): self.file_name = file_name
    def get_storage_type(self): return self.storage_type
    def set_storage_type(self, storage_type): self.storage_type = storage_type
    def get_use_passive_ftp_mode(self): return self.use_passive_ftp_mode
    def set_use_passive_ftp_mode(self, use_passive_ftp_mode): self.use_passive_ftp_mode = use_passive_ftp_mode
    def export(self, outfile, level, namespace_='', name_='DumpsStorageCredentials'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='DumpsStorageCredentials')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        showIndent(outfile, level)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='DumpsStorageCredentials'):
        if self.get_storage_type() is not None:
            outfile.write(' storage-type="%s"' % (quote_attrib(self.get_storage_type()), ))
        if self.get_use_passive_ftp_mode() is not None:
            outfile.write(' use-passive-ftp-mode="%s"' % str(self.get_use_passive_ftp_mode()))
    def exportChildren(self, outfile, level, namespace_='', name_='DumpsStorageCredentials'):
        if self.get_login() != None :
            if self.get_login() != "" :
                showIndent(outfile, level)
                outfile.write('<%slogin>%s</%slogin>\n' % (namespace_, quote_xml(self.get_login()), namespace_))
        if self.get_password() != None :
            if self.get_password() != "" :
                showIndent(outfile, level)
                outfile.write('<%spassword>%s</%spassword>\n' % (namespace_, quote_xml(self.get_password()), namespace_))
        if self.get_hostname() != None :
            if self.get_hostname() != "" :
                showIndent(outfile, level)
                outfile.write('<%shostname>%s</%shostname>\n' % (namespace_, quote_xml(self.get_hostname()), namespace_))
        showIndent(outfile, level)
        outfile.write('<%sroot-dir>%s</%sroot-dir>\n' % (namespace_, quote_xml(self.get_root_dir()), namespace_))
        if self.get_file_name() != None :
            if self.get_file_name() != "" :
                showIndent(outfile, level)
                outfile.write('<%sfile-name>%s</%sfile-name>\n' % (namespace_, quote_xml(self.get_file_name()), namespace_))
    def exportLiteral(self, outfile, level, name_='DumpsStorageCredentials'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('storage_type = "%s",\n' % (self.get_storage_type(),))
        showIndent(outfile, level)
        outfile.write('use_passive_ftp_mode = "%s",\n' % (self.get_use_passive_ftp_mode(),))
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('login=%s,\n' % quote_python(self.get_login()))
        showIndent(outfile, level)
        outfile.write('password=%s,\n' % quote_python(self.get_password()))
        showIndent(outfile, level)
        outfile.write('hostname=%s,\n' % quote_python(self.get_hostname()))
        showIndent(outfile, level)
        outfile.write('root_dir=%s,\n' % quote_python(self.get_root_dir()))
        showIndent(outfile, level)
        outfile.write('file_name=%s,\n' % quote_python(self.get_file_name()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('storage-type'):
            self.storage_type = attrs.get('storage-type').value
        if attrs.get('use-passive-ftp-mode'):
            self.use_passive_ftp_mode = attrs.get('use-passive-ftp-mode').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'login':
            login_ = ''
            for text__content_ in child_.childNodes:
                login_ += text__content_.nodeValue
            self.login = login_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'password':
            password_ = ''
            for text__content_ in child_.childNodes:
                password_ += text__content_.nodeValue
            self.password = password_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'hostname':
            hostname_ = ''
            for text__content_ in child_.childNodes:
                hostname_ += text__content_.nodeValue
            self.hostname = hostname_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'root-dir':
            root_dir_ = ''
            for text__content_ in child_.childNodes:
                root_dir_ += text__content_.nodeValue
            self.root_dir = root_dir_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'file-name':
            file_name_ = ''
            for text__content_ in child_.childNodes:
                file_name_ += text__content_.nodeValue
            self.file_name = file_name_
# end class DumpsStorageCredentials


class root_dir:
    subclass = None
    superclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if root_dir.subclass:
            return root_dir.subclass(*args_, **kwargs_)
        else:
            return root_dir(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='root-dir'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='root-dir')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='root-dir'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='root-dir'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='root-dir'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class root_dir


class file_name:
    subclass = None
    superclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if file_name.subclass:
            return file_name.subclass(*args_, **kwargs_)
        else:
            return file_name(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, namespace_='', name_='file-name'):
        showIndent(outfile, level)
        outfile.write('<%s%s' % (namespace_, name_))
        self.exportAttributes(outfile, level, namespace_, name_='file-name')
        outfile.write('>\n')
        self.exportChildren(outfile, level + 1, namespace_, name_)
        outfile.write('</%s%s>\n' % (namespace_, name_))
    def exportAttributes(self, outfile, level, namespace_='', name_='file-name'):
        pass
    def exportChildren(self, outfile, level, namespace_='', name_='file-name'):
        outfile.write(quote_xml('%s' % self.valueOf_))
    def exportLiteral(self, outfile, level, name_='file-name'):
        level += 1
        self.exportLiteralAttributes(outfile, level, name_)
        self.exportLiteralChildren(outfile, level, name_)
    def exportLiteralAttributes(self, outfile, level, name_):
        pass
    def exportLiteralChildren(self, outfile, level, name_):
        showIndent(outfile, level)
        outfile.write('valueOf_ = "%s",\n' % (self.valueOf_,))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        self.valueOf_ = ''
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class file_name


from xml.sax import handler, make_parser

class SaxStackElement:
    def __init__(self, name='', obj=None):
        self.name = name
        self.obj = obj
        self.content = ''

#
# SAX handler
#
class Sax_RestoreTaskResultHandler(handler.ContentHandler):
    def __init__(self):
        self.stack = []
        self.root = None

    def getRoot(self):
        return self.root

    def setDocumentLocator(self, locator):
        self.locator = locator
    
    def showError(self, msg):
        print '*** (showError):', msg
        sys.exit(-1)

    def startElement(self, name, attrs):
        done = 0
        if name == 'RestoreTaskResult':
            obj = RestoreTaskResult.factory()
            stackObj = SaxStackElement('RestoreTaskResult', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'conflicts-description':
            obj = ConflictsDescription.factory()
            stackObj = SaxStackElement('conflicts_description', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'dump-validity-error':
            obj = DumpValidityError.factory()
            stackObj = SaxStackElement('dump_validity_error', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'dump-overview':
            obj = DumpOverview.factory()
            stackObj = SaxStackElement('dump_overview', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'plesk-object-identifier':
            obj = PleskObjectIdentifier.factory()
            stackObj = SaxStackElement('plesk_object_identifier', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'required-resource-description':
            obj = RequiredResourceDescription.factory()
            stackObj = SaxStackElement('required_resource_description', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'ip':
            obj = Ip.factory()
            stackObj = SaxStackElement('ip', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'database':
            obj = Database.factory()
            stackObj = SaxStackElement('database', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'db-server':
            obj = DbServer.factory()
            stackObj = SaxStackElement('db_server', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'site-app':
            obj = SiteApp.factory()
            stackObj = SaxStackElement('site_app', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'reason-description':
            obj = ResourceUsageReasonDescription.factory()
            stackObj = SaxStackElement('reason_description', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'resolve-options':
            obj = ResolveOptions.factory()
            stackObj = SaxStackElement('resolve_options', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'resource-usage':
            obj = ResourceUsage.factory()
            stackObj = SaxStackElement('resource_usage', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'unique-resource':
            obj = UniqueResource.factory()
            stackObj = SaxStackElement('unique_resource', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'timing':
            obj = Timing.factory()
            stackObj = SaxStackElement('timing', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'configuration':
            obj = Configuration.factory()
            stackObj = SaxStackElement('configuration', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'node':
            obj = TransformNode.factory()
            stackObj = SaxStackElement('node', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'context':
            obj = Context.factory()
            stackObj = SaxStackElement('context', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'attributes':
            obj = Attributes.factory()
            stackObj = SaxStackElement('attributes', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'path':
            stackObj = SaxStackElement('path', None)
            self.stack.append(stackObj)
            done = 1
        elif name == 'attribute':
            obj = Attribute.factory()
            stackObj = SaxStackElement('attribute', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'message':
            stackObj = SaxStackElement('message', None)
            self.stack.append(stackObj)
            done = 1
        elif name == 'param':
            obj = ConflictOverviewReasonParam.factory()
            stackObj = SaxStackElement('param', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'reason':
            obj = ConflictOverviewReason.factory()
            stackObj = SaxStackElement('reason', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'name':
            stackObj = SaxStackElement('name', None)
            self.stack.append(stackObj)
            done = 1
        elif name == 'type':
            stackObj = SaxStackElement('typexx', None)
            self.stack.append(stackObj)
            done = 1
        elif name == 'owner-name':
            stackObj = SaxStackElement('owner_name', None)
            self.stack.append(stackObj)
            done = 1
        elif name == 'reasons':
            obj = ConflictOverviewReasons.factory()
            stackObj = SaxStackElement('reasons', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'object':
            obj = ConflictOverviewObject.factory()
            stackObj = SaxStackElement('object', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'conflicting-objects':
            obj = ConflictingObjects.factory()
            stackObj = SaxStackElement('conflicting_objects', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'overview':
            obj = ConflictOverview.factory()
            stackObj = SaxStackElement('overview', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'conflict':
            obj = Conflict.factory()
            stackObj = SaxStackElement('conflict', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'database-id':
            stackObj = SaxStackElement('database_id', None)
            self.stack.append(stackObj)
            done = 1
        elif name == 'guid':
            stackObj = SaxStackElement('guid', None)
            self.stack.append(stackObj)
            done = 1
        elif name == 'parameter':
            obj = ResolveParameter.factory()
            stackObj = SaxStackElement('parameter', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'parameters':
            obj = ResolveParameters.factory()
            stackObj = SaxStackElement('parameters', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'option':
            obj = ResolveOption.factory()
            stackObj = SaxStackElement('option', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'errcode':
            stackObj = SaxStackElement('errcode', None)
            self.stack.append(stackObj)
            done = 1
        elif name == 'errmsg':
            stackObj = SaxStackElement('errmsg', None)
            self.stack.append(stackObj)
            done = 1
        elif name == 'data':
            obj = Data.factory()
            stackObj = SaxStackElement('data', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'dump-status':
            obj = DumpStatusFull.factory()
            stackObj = SaxStackElement('dump_status', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'dump':
            obj = Dump.factory()
            stackObj = SaxStackElement('dump', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'task-status':
            obj = TaskStatus.factory()
            stackObj = SaxStackElement('task_status', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'dumps-storage-credentials':
            obj = DumpsStorageCredentials.factory()
            stackObj = SaxStackElement('dumps_storage_credentials', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'task':
            obj = Task.factory()
            stackObj = SaxStackElement('task', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'record':
            obj = Record.factory()
            stackObj = SaxStackElement('record', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'owner-guid':
            stackObj = SaxStackElement('owner_guid', None)
            self.stack.append(stackObj)
            done = 1
        elif name == 'id':
            stackObj = SaxStackElement('id', None)
            self.stack.append(stackObj)
            done = 1
        elif name == 'metainformation':
            obj = Metainformation.factory()
            stackObj = SaxStackElement('metainformation', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'objects-to-select':
            obj = ObjectsToSelect.factory()
            stackObj = SaxStackElement('objects_to_select', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'display':
            obj = ObjectDisplay.factory()
            stackObj = SaxStackElement('display', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'select':
            obj = ObjectSelect.factory()
            stackObj = SaxStackElement('select', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'objects':
            obj = Objects.factory()
            stackObj = SaxStackElement('objects', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'restore-task-result':
            obj = RestoreTaskResult.factory()
            stackObj = SaxStackElement('restore_task_result', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'task-id':
            obj = TaskId.factory()
            stackObj = SaxStackElement('task_id', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'task-list':
            obj = TaskList.factory()
            stackObj = SaxStackElement('task_list', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'task-log':
            obj = TaskLog.factory()
            stackObj = SaxStackElement('task_log', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'dump-list':
            obj = DumpList.factory()
            stackObj = SaxStackElement('dump_list', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'check-dump-result':
            obj = CheckDumpResult.factory()
            stackObj = SaxStackElement('check_dump_result', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'scout-result':
            obj = ScoutResult.factory()
            stackObj = SaxStackElement('scout_result', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'quick-info':
            obj = QuickInfo.factory()
            stackObj = SaxStackElement('quick_info', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'detected-panel':
            obj = DetectedPanel.factory()
            stackObj = SaxStackElement('detected_panel', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'os-info':
            obj = OsInfo.factory()
            stackObj = SaxStackElement('os_info', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'remote-fs':
            obj = FsList.factory()
            stackObj = SaxStackElement('remote_fs', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'fs':
            obj = Fs.factory()
            stackObj = SaxStackElement('fs', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'details':
            obj = details.factory()
            stackObj = SaxStackElement('details', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'content-file-name':
            stackObj = SaxStackElement('content_file_name', None)
            self.stack.append(stackObj)
            done = 1
        elif name == 'working':
            obj = Working.factory()
            stackObj = SaxStackElement('working', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'finished':
            obj = Finished.factory()
            stackObj = SaxStackElement('finished', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'stopped':
            obj = Stopped.factory()
            stackObj = SaxStackElement('stopped', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'starting':
            obj = Starting.factory()
            stackObj = SaxStackElement('starting', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'deploy':
            obj = WorkingProgress.factory()
            stackObj = SaxStackElement('deploy', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'dumping':
            obj = WorkingProgress.factory()
            stackObj = SaxStackElement('dumping', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'current-object':
            obj = CurrentObject.factory()
            stackObj = SaxStackElement('current_object', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'object-specification':
            obj = ObjectSpecification.factory()
            stackObj = SaxStackElement('object_specification', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'misc':
            obj = BackupTaskDescriptionMisc.factory()
            stackObj = SaxStackElement('misc', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'agent-credentials':
            obj = AgentCredentials.factory()
            stackObj = SaxStackElement('agent_credentials', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'control-panel-credentials':
            obj = ControlPanelCredentials.factory()
            stackObj = SaxStackElement('control_panel_credentials', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'backup-specification':
            obj = BackupSpecification.factory()
            stackObj = SaxStackElement('backup_specification', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'backup-options':
            obj = BackupOptions.factory()
            stackObj = SaxStackElement('backup_options', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'object-to-backup':
            obj = BackupObjectIdentifier.factory()
            stackObj = SaxStackElement('object_to_backup', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'object-to-exclude':
            obj = BackupObjectIdentifier.factory()
            stackObj = SaxStackElement('object_to_exclude', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'source':
            obj = RestoreTaskDescriptionSource.factory()
            stackObj = SaxStackElement('source', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'ignore-errors':
            obj = IgnoreErrors.factory()
            stackObj = SaxStackElement('ignore_errors', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'conflict-resolution-rules':
            obj = ConflictResolutionRules.factory()
            stackObj = SaxStackElement('conflict_resolution_rules', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'dump-specification':
            obj = DumpSpecification.factory()
            stackObj = SaxStackElement('dump_specification', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'session-id':
            stackObj = SaxStackElement('session_id', None)
            self.stack.append(stackObj)
            done = 1
        elif name == 'all':
            stackObj = SaxStackElement('all', None)
            self.stack.append(stackObj)
            done = 1
        elif name == 'selected':
            obj = RestoreTaskDescriptionObjectsSelected.factory()
            stackObj = SaxStackElement('selected', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'ignore-error':
            obj = IgnoreError.factory()
            stackObj = SaxStackElement('ignore_error', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'resolution':
            obj = Resolution.factory()
            stackObj = SaxStackElement('resolution', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'dump-objects':
            obj = DumpObjects.factory()
            stackObj = SaxStackElement('dump_objects', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'policy':
            obj = Policy.factory()
            stackObj = SaxStackElement('policy', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'rule':
            obj = Rule.factory()
            stackObj = SaxStackElement('rule', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'do-not-restore':
            obj = ResolutionDoNotRestore.factory()
            stackObj = SaxStackElement('do_not_restore', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'proceed-with-current':
            obj = ResolutionProceedWithCurrent.factory()
            stackObj = SaxStackElement('proceed_with_current', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'automatic':
            obj = ResolutionAutomatic.factory()
            stackObj = SaxStackElement('automatic', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'overuse':
            obj = ResolutionOveruse.factory()
            stackObj = SaxStackElement('overuse', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'overwrite':
            obj = ResolutionOverwrite.factory()
            stackObj = SaxStackElement('overwrite', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'rename':
            obj = ResolutionRename.factory()
            stackObj = SaxStackElement('rename', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'host-credentials':
            obj = HostCredentials.factory()
            stackObj = SaxStackElement('host_credentials', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'agent-executable':
            stackObj = SaxStackElement('agent_executable', None)
            self.stack.append(stackObj)
            done = 1
        elif name == 'log-directory':
            stackObj = SaxStackElement('log_directory', None)
            self.stack.append(stackObj)
            done = 1
        elif name == 'login':
            stackObj = SaxStackElement('login', None)
            self.stack.append(stackObj)
            done = 1
        elif name == 'password':
            stackObj = SaxStackElement('password', None)
            self.stack.append(stackObj)
            done = 1
        elif name == 'hostname':
            stackObj = SaxStackElement('hostname', None)
            self.stack.append(stackObj)
            done = 1
        elif name == 'url':
            stackObj = SaxStackElement('url', None)
            self.stack.append(stackObj)
            done = 1
        elif name == 'admin-login':
            stackObj = SaxStackElement('admin_login', None)
            self.stack.append(stackObj)
            done = 1
        elif name == 'admin-password':
            stackObj = SaxStackElement('admin_password', None)
            self.stack.append(stackObj)
            done = 1
        elif name == 'src':
            obj = DumpSpecification.factory()
            stackObj = SaxStackElement('src', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'dst':
            obj = DumpSpecification.factory()
            stackObj = SaxStackElement('dst', obj)
            self.stack.append(stackObj)
            done = 1
        elif name == 'name-of-info-xml-file':
            stackObj = SaxStackElement('name_of_info_xml_file', None)
            self.stack.append(stackObj)
            done = 1
        elif name == 'root-dir':
            stackObj = SaxStackElement('root_dir', None)
            self.stack.append(stackObj)
            done = 1
        elif name == 'file-name':
            stackObj = SaxStackElement('file_name', None)
            self.stack.append(stackObj)
            done = 1
        if not done:
            self.reportError('"%s" element not allowed here.' % name)

    def endElement(self, name):
        done = 0
        if name == 'RestoreTaskResult':
            if len(self.stack) == 1:
                self.root = self.stack[-1].obj
                self.stack.pop()
                done = 1
        elif name == 'conflicts-description':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_conflicts_description(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'dump-validity-error':
            if len(self.stack) >= 2:
                self.stack[-2].obj.add_dump_validity_error(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'dump-overview':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_dump_overview(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'plesk-object-identifier':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_plesk_object_identifier(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'required-resource-description':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_required_resource_description(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'ip':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_ip(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'database':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_database(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'db-server':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_db_server(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'site-app':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_site_app(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'reason-description':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_reason_description(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'resolve-options':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_resolve_options(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'resource-usage':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_resource_usage(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'unique-resource':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_unique_resource(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'timing':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_timing(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'configuration':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_configuration(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'node':
            if len(self.stack) >= 2:
                self.stack[-2].obj.add_node(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'context':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_context(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'attributes':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_attributes(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'path':
            if len(self.stack) >= 2:
                content = self.stack[-1].content
                self.stack[-2].obj.add_path(content)
                self.stack.pop()
                done = 1
        elif name == 'attribute':
            if len(self.stack) >= 2:
                self.stack[-2].obj.add_attribute(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'message':
            if len(self.stack) >= 2:
                content = self.stack[-1].content
                self.stack[-2].obj.set_message(content)
                self.stack.pop()
                done = 1
        elif name == 'param':
            if len(self.stack) >= 2:
                self.stack[-2].obj.add_param(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'reason':
            if len(self.stack) >= 2:
                self.stack[-2].obj.add_reason(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'name':
            if len(self.stack) >= 2:
                content = self.stack[-1].content
                self.stack[-2].obj.set_name(content)
                self.stack.pop()
                done = 1
        elif name == 'type':
            if len(self.stack) >= 2:
                content = self.stack[-1].content
                self.stack[-2].obj.set_type(content)
                self.stack.pop()
                done = 1
        elif name == 'owner-name':
            if len(self.stack) >= 2:
                content = self.stack[-1].content
                self.stack[-2].obj.set_owner_name(content)
                self.stack.pop()
                done = 1
        elif name == 'reasons':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_reasons(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'object':
            if len(self.stack) >= 2:
                self.stack[-2].obj.add_object(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'conflicting-objects':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_conflicting_objects(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'overview':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_overview(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'conflict':
            if len(self.stack) >= 2:
                self.stack[-2].obj.add_conflict(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'database-id':
            if len(self.stack) >= 2:
                content = self.stack[-1].content
                self.stack[-2].obj.set_database_id(content)
                self.stack.pop()
                done = 1
        elif name == 'guid':
            if len(self.stack) >= 2:
                content = self.stack[-1].content
                self.stack[-2].obj.set_guid(content)
                self.stack.pop()
                done = 1
        elif name == 'parameter':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_parameter(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'parameters':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_parameters(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'option':
            if len(self.stack) >= 2:
                self.stack[-2].obj.add_option(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'errcode':
            if len(self.stack) >= 2:
                content = self.stack[-1].content
                self.stack[-2].obj.set_errcode(content)
                self.stack.pop()
                done = 1
        elif name == 'errmsg':
            if len(self.stack) >= 2:
                content = self.stack[-1].content
                self.stack[-2].obj.set_errmsg(content)
                self.stack.pop()
                done = 1
        elif name == 'data':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_data(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'dump-status':
            if len(self.stack) >= 2:
                self.stack[-2].obj.add_dump_status(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'dump':
            if len(self.stack) >= 2:
                self.stack[-2].obj.add_dump(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'task-status':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_task_status(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'dumps-storage-credentials':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_dumps_storage_credentials(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'task':
            if len(self.stack) >= 2:
                self.stack[-2].obj.add_task(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'record':
            if len(self.stack) >= 2:
                self.stack[-2].obj.add_record(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'owner-guid':
            if len(self.stack) >= 2:
                content = self.stack[-1].content
                self.stack[-2].obj.set_owner_guid(content)
                self.stack.pop()
                done = 1
        elif name == 'id':
            if len(self.stack) >= 2:
                content = self.stack[-1].content
                self.stack[-2].obj.set_id(content)
                self.stack.pop()
                done = 1
        elif name == 'metainformation':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_metainformation(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'objects-to-select':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_objects_to_select(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'display':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_display(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'select':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_select(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'objects':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_objects(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'restore-task-result':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_restore_task_result(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'task-id':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_task_id(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'task-list':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_task_list(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'task-log':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_task_log(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'dump-list':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_dump_list(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'check-dump-result':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_check_dump_result(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'scout-result':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_scout_result(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'quick-info':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_quick_info(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'detected-panel':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_detected_panel(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'os-info':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_os_info(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'remote-fs':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_remote_fs(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'fs':
            if len(self.stack) >= 2:
                self.stack[-2].obj.add_fs(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'details':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_details(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'content-file-name':
            if len(self.stack) >= 2:
                content = self.stack[-1].content
                self.stack[-2].obj.add_content_file_name(content)
                self.stack.pop()
                done = 1
        elif name == 'working':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_working(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'finished':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_finished(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'stopped':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_stopped(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'starting':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_starting(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'deploy':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_deploy(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'dumping':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_dumping(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'current-object':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_current_object(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'object-specification':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_object_specification(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'misc':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_misc(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'agent-credentials':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_agent_credentials(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'control-panel-credentials':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_control_panel_credentials(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'backup-specification':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_backup_specification(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'backup-options':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_backup_options(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'object-to-backup':
            if len(self.stack) >= 2:
                self.stack[-2].obj.add_object_to_backup(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'object-to-exclude':
            if len(self.stack) >= 2:
                self.stack[-2].obj.add_object_to_exclude(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'source':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_source(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'ignore-errors':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_ignore_errors(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'conflict-resolution-rules':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_conflict_resolution_rules(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'dump-specification':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_dump_specification(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'session-id':
            if len(self.stack) >= 2:
                content = self.stack[-1].content
                self.stack[-2].obj.set_session_id(content)
                self.stack.pop()
                done = 1
        elif name == 'all':
            if len(self.stack) >= 2:
                content = self.stack[-1].content
                self.stack[-2].obj.set_all(content)
                self.stack.pop()
                done = 1
        elif name == 'selected':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_selected(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'ignore-error':
            if len(self.stack) >= 2:
                self.stack[-2].obj.add_ignore_error(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'resolution':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_resolution(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'dump-objects':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_dump_objects(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'policy':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_policy(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'rule':
            if len(self.stack) >= 2:
                self.stack[-2].obj.add_rule(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'do-not-restore':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_do_not_restore(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'proceed-with-current':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_proceed_with_current(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'automatic':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_automatic(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'overuse':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_overuse(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'overwrite':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_overwrite(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'rename':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_rename(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'host-credentials':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_host_credentials(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'agent-executable':
            if len(self.stack) >= 2:
                content = self.stack[-1].content
                self.stack[-2].obj.set_agent_executable(content)
                self.stack.pop()
                done = 1
        elif name == 'log-directory':
            if len(self.stack) >= 2:
                content = self.stack[-1].content
                self.stack[-2].obj.set_log_directory(content)
                self.stack.pop()
                done = 1
        elif name == 'login':
            if len(self.stack) >= 2:
                content = self.stack[-1].content
                self.stack[-2].obj.set_login(content)
                self.stack.pop()
                done = 1
        elif name == 'password':
            if len(self.stack) >= 2:
                content = self.stack[-1].content
                self.stack[-2].obj.set_password(content)
                self.stack.pop()
                done = 1
        elif name == 'hostname':
            if len(self.stack) >= 2:
                content = self.stack[-1].content
                self.stack[-2].obj.set_hostname(content)
                self.stack.pop()
                done = 1
        elif name == 'url':
            if len(self.stack) >= 2:
                content = self.stack[-1].content
                self.stack[-2].obj.set_url(content)
                self.stack.pop()
                done = 1
        elif name == 'admin-login':
            if len(self.stack) >= 2:
                content = self.stack[-1].content
                self.stack[-2].obj.set_admin_login(content)
                self.stack.pop()
                done = 1
        elif name == 'admin-password':
            if len(self.stack) >= 2:
                content = self.stack[-1].content
                self.stack[-2].obj.set_admin_password(content)
                self.stack.pop()
                done = 1
        elif name == 'src':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_src(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'dst':
            if len(self.stack) >= 2:
                self.stack[-2].obj.set_dst(self.stack[-1].obj)
                self.stack.pop()
                done = 1
        elif name == 'name-of-info-xml-file':
            if len(self.stack) >= 2:
                content = self.stack[-1].content
                self.stack[-2].obj.set_name_of_info_xml_file(content)
                self.stack.pop()
                done = 1
        elif name == 'root-dir':
            if len(self.stack) >= 2:
                content = self.stack[-1].content
                self.stack[-2].obj.set_root_dir(content)
                self.stack.pop()
                done = 1
        elif name == 'file-name':
            if len(self.stack) >= 2:
                content = self.stack[-1].content
                self.stack[-2].obj.set_file_name(content)
                self.stack.pop()
                done = 1
        if not done:
            self.reportError('"%s" element not allowed here.' % name)

    def characters(self, chrs, start, end):
        if len(self.stack) > 0:
            self.stack[-1].content += chrs[start:end]

    def reportError(self, mesg):
        locator = self.locator
        sys.stderr.write('Doc: %s  Line: %d  Column: %d\n' % \
            (locator.getSystemId(), locator.getLineNumber(), 
            locator.getColumnNumber() + 1))
        sys.stderr.write(mesg)
        sys.stderr.write('\n')
        sys.exit(-1)
        #raise RuntimeError

USAGE_TEXT = """
Usage: python <Parser>.py [ -s ] <in_xml_file>
Options:
    -s        Use the SAX parser, not the minidom parser.
"""

def usage():
    print USAGE_TEXT
    sys.exit(-1)


#
# SAX handler used to determine the top level element.
#
class SaxSelectorHandler(handler.ContentHandler):
    def __init__(self):
        self.topElementName = None
    def getTopElementName(self):
        return self.topElementName
    def startElement(self, name, attrs):
        self.topElementName = name
        raise StopIteration


def parseSelect(inFileName):
    infile = file(inFileName, 'r')
    topElementName = None
    parser = make_parser()
    documentHandler = SaxSelectorHandler()
    parser.setContentHandler(documentHandler)
    try:
        try:
            parser.parse(infile)
        except StopIteration:
            topElementName = documentHandler.getTopElementName()
        if topElementName is None:
            raise RuntimeError, 'no top level element'
        topElementName = topElementName.replace('-', '_').replace(':', '_')
        if topElementName not in globals():
            raise RuntimeError, 'no class for top element: %s' % topElementName
        topElement = globals()[topElementName]
        infile.seek(0)
        doc = minidom.parse(infile)
    finally:
        infile.close()
    rootNode = doc.childNodes[0]
    rootObj = topElement.factory()
    rootObj.build(rootNode)
    # Enable Python to collect the space used by the DOM.
    doc = None
    sys.stdout.write('<?xml version="1.0" ?>\n')
    rootObj.export(sys.stdout, 0)
    return rootObj


def saxParse(inFileName):
    parser = make_parser()
    documentHandler = Sax_RestoreTaskResultHandler()
    parser.setDocumentHandler(documentHandler)
    parser.parse('file:%s' % inFileName)
    root = documentHandler.getRoot()
    sys.stdout.write('<?xml version="1.0" ?>\n')
    root.export(sys.stdout, 0)
    return root


def saxParseString(inString):
    parser = make_parser()
    documentHandler = Sax_RestoreTaskResultHandler()
    parser.setDocumentHandler(documentHandler)
    parser.feed(inString)
    parser.close()
    rootObj = documentHandler.getRoot()
    #sys.stdout.write('<?xml version="1.0" ?>\n')
    #rootObj.export(sys.stdout, 0)
    return rootObj


def parse(inFileName):
    doc = minidom.parse(inFileName)
    rootNode = doc.documentElement
    rootObj = RestoreTaskResult.factory()
    rootObj.build(rootNode)
    # Enable Python to collect the space used by the DOM.
    doc = None
    sys.stdout.write('<?xml version="1.0" ?>\n')
    rootObj.export(sys.stdout, 0, name_="RestoreTaskResult")
    return rootObj


def parseString(inString):
    doc = minidom.parseString(inString)
    rootNode = doc.documentElement
    rootObj = RestoreTaskResult.factory()
    rootObj.build(rootNode)
    # Enable Python to collect the space used by the DOM.
    doc = None
    sys.stdout.write('<?xml version="1.0" ?>\n')
    rootObj.export(sys.stdout, 0, name_="RestoreTaskResult")
    return rootObj


def parseLiteral(inFileName):
    doc = minidom.parse(inFileName)
    rootNode = doc.documentElement
    rootObj = RestoreTaskResult.factory()
    rootObj.build(rootNode)
    # Enable Python to collect the space used by the DOM.
    doc = None
    sys.stdout.write('from pmm_api_xml_protocols import *\n\n')
    sys.stdout.write('rootObj = RestoreTaskResult(\n')
    rootObj.exportLiteral(sys.stdout, 0, name_="RestoreTaskResult")
    sys.stdout.write(')\n')
    return rootObj


def main():
    args = sys.argv[1:]
    if len(args) == 2 and args[0] == '-s':
        saxParse(args[1])
    elif len(args) == 1:
        parse(args[0])
    else:
        usage()


if __name__ == '__main__':
    main()
    #import pdb
    #pdb.run('main()')

